commit 995ed33726ac1e840ea1d6a28f48d6883a4bad59
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 09:29:39 2005 +0000

    Increment CAIRO_VERSION to 1.0.0 and libtool versioning to 4:2:2.

 ChangeLog    |  5 +++++
 configure.in | 12 ++++++------
 2 files changed, 11 insertions(+), 6 deletions(-)

commit 95c1d5470151d4f9778a840847c9b532da1ef9f7
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 09:26:28 2005 +0000

    Fix typos. Add CAIRO_STATUS_INVALID_DASH.

 ChangeLog | 4 ++++
 NEWS      | 9 +++++++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 766f63567c8ecfc6881781054ac792e6252b8106
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 09:12:37 2005 +0000

    Unabbreviate "eg." to "for example,".

 ChangeLog | 4 ++++
 README    | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 2cd76fc77f5455fb2bb141a4e75b3ced0004a1e2
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 08:46:02 2005 +0000

    Update name from "0.5 porting guide" to "1.0 porting guide."

 ChangeLog     |  5 +++++
 PORTING_GUIDE | 14 +++++++++++---
 2 files changed, 16 insertions(+), 3 deletions(-)

commit aa4b9f4b00c5cf7be0f525caa2419b00a0dc26b5
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 08:28:00 2005 +0000

    Some text cleanups from Øyvind Kolås.

 ChangeLog | 5 +++++
 README    | 9 +++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit d86f5af717baf1e44df3d10633c46482ed44b9da
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 08:12:22 2005 +0000

    Add Amaury Jacquot.

 AUTHORS   | 1 +
 ChangeLog | 4 ++++
 2 files changed, 5 insertions(+)

commit ccc7a2f115960514ba43f24e85df9472b0fd4c60
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 08:07:24 2005 +0000

    Fix typo.

 ChangeLog | 4 ++++
 RELEASING | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit f4188a4680140c280bdf28c26020488d976b1dde
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 07:58:07 2005 +0000

    Fix typos.

 AUTHORS   | 2 +-
 ChangeLog | 5 +++++
 README    | 2 +-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit bd510d8b4b7ab22a8699d55734e22b57648752d8
Author: Tor Lillqvist <tml@novell.com>
Date:   Wed Aug 24 07:56:45 2005 +0000

    Drop PDF and PS backend and FT font API from Win32 DLL entry points for now.

 ChangeLog       | 5 +++++
 src/Makefile.am | 3 ---
 2 files changed, 5 insertions(+), 3 deletions(-)

commit d86b741b4e9fdae422f7ef8c791ce779812b2be9
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 07:16:01 2005 +0000

    Fix typos.

 ChangeLog | 4 ++++
 README    | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 83b2f98d4955149c0d9941ed42ea51bf0d6cc993
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 06:50:51 2005 +0000

    Move glitz into the experimental list.

 ChangeLog | 4 ++++
 README    | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 9fde3cc0e3eea213c0f0fdfd8ca571fe63f4ddc9
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 06:48:02 2005 +0000

    Put glitz in the experimental section.
    Give glitz the experimental treatment, (disable it by default.

 ChangeLog    | 7 +++++++
 INSTALL      | 2 +-
 configure.in | 8 ++++++--
 3 files changed, 14 insertions(+), 3 deletions(-)

commit 19c25d63c2c4dd7a178e90df81b711ba667cbdd1
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 06:17:39 2005 +0000

    Add some more detailed build instructions.

 ChangeLog |   4 +++
 INSTALL   | 118 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 117 insertions(+), 5 deletions(-)

commit 985d8571d2266715229d5e1e9d2037897240d6ce
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Wed Aug 24 06:09:11 2005 +0000

    Fix some minor typos in the doc.

 ChangeLog   |  5 +++++
 src/cairo.c | 18 +++++++++---------
 2 files changed, 14 insertions(+), 9 deletions(-)

commit b5a7a195791007e3c367b92a1fcc628699ca8043
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 06:07:58 2005 +0000

    Disable ATSUI by default as well.

 ChangeLog    | 4 ++++
 configure.in | 8 ++++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 3a9f977817b287e56f54760aece3105771a7dcc1
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 05:43:48 2005 +0000

    Add pointer to http://bugs.freedesktop.org.

 BUGS      | 12 ++++++++++++
 ChangeLog |  4 ++++
 2 files changed, 16 insertions(+)

commit 9282036cd354a5714655ce4ad7859a99a1800b19
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 05:36:05 2005 +0000

    Add more detailed notes on what is required to compile cairo on Mac OS X or win32.

 ChangeLog |  5 +++++
 README    | 23 +++++++++++++++++++++++
 2 files changed, 28 insertions(+)

commit 4569aeda97c15084998eb956a659ad1ace302819
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 05:28:28 2005 +0000

    Change upload directory from snapshots to releases now thatwe're doing stable releases of cairo.

 ChangeLog   | 6 ++++++
 Makefile.am | 4 ++--
 RELEASING   | 2 +-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 18ef8944dc318b240791070ef5282b4037bd2441
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 05:25:51 2005 +0000

    Give PostScript and PDF backends the experimental treatment, disabling them by default.

 ChangeLog    |  5 +++++
 configure.in | 16 ++++++++++++----
 2 files changed, 17 insertions(+), 4 deletions(-)

commit 5ca5ddde0b505403a3a129c2c743c8e5f8fa9b90
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 05:21:50 2005 +0000

    Add notes for 1.0 release. Thanks to Owen Taylor.
    Note that PS and PDF backends are experimental.
    Note the progress that has been completed so that 1.0 is ready now.

 ChangeLog |  9 +++++++
 NEWS      | 82 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README    |  4 ++--
 ROADMAP   | 28 ++++++++++++++--------
 4 files changed, 111 insertions(+), 12 deletions(-)

commit 112094a350c4ed3a936a748f55bcbae7eac4e5c1
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 02:25:39 2005 +0000

    Update documentation for most path construction functions. Add discussion of the effects on the current point to all functions. Rephrase the wording of the relative functions. Big rewrite of cairo_arc description. Add discussion of join not caps to cairo_close_path.

 ChangeLog | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 235838d49f966804970fa06715e2e89b92f39c9f
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 24 01:47:13 2005 +0000

    Use new device_x_scale/device_y_scale surface fields to set the device coordinate space to the nominal pixels.
    Treat more alpha values as translucent (up to 0.999)
    Fix emit_image to actually use a temporary image when necessary.
    Change PS coordinate space to match cairo (top-down), adjust PS output to use new space.
    Find more cases where PS output was not supported and fall back to image surface.
    reviewed by: cworth

 ChangeLog              |  28 ++++++++++
 src/cairo-ps-surface.c | 146 +++++++++++++++++++++++++++++++------------------
 2 files changed, 121 insertions(+), 53 deletions(-)

commit 5198e71eaf07538307843a58a57f4551411f40b6
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 24 01:42:19 2005 +0000

    _cairo_surface_show_glyphs may return UNSUPPORTED in which case a call to scaled_font->backend->show_glyphs is needed.
    reviewed by: cworth

 ChangeLog                |  8 ++++++++
 src/cairo-meta-surface.c | 17 +++++++++++++++++
 2 files changed, 25 insertions(+)

commit e4166936b9d2e1197efcdc378a6113a6c68a41ed
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 24 01:39:56 2005 +0000

    Add device_x_scale and device_y_scale to surface so that the coordinate system seen by the backend can differ from the nominal device coordinate space used by the application.
    Useful for printer backends where the device coordinate space should be in pixels while the user visible device space is in points.
    There is no API to set these values; the backends using this functionality should do that themselves before the first cairo_t is created.
    reviewed by: cworth

 ChangeLog                  | 27 ++++++++++++++++++++++++
 src/cairo-gstate-private.h |  4 ++--
 src/cairo-gstate.c         | 51 ++++++++++++++++++++++++++++++++++++----------
 src/cairo-surface.c        | 10 +++++----
 src/cairoint.h             |  2 ++
 5 files changed, 77 insertions(+), 17 deletions(-)

commit 77a0ae7439bba5b442fc7c3bee5eb61ebfe24abb
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 01:13:36 2005 +0000

    Fix cairo_show_text to advance the current point. Add documentation for cairo_show_text.
    Add test to verify that the current-point-advancing behavior of cairo_show_text is working.
    Remove bug about cairo_show_text not advancing the current point.

 BUGS                                 |   4 ---
 ChangeLog                            |  15 ++++++++
 src/cairo.c                          |  54 ++++++++++++++++++++++++----
 test/.cvsignore                      |   1 +
 test/Makefile.am                     |   3 ++
 test/show-text-current-point-ref.png | Bin 0 -> 1606 bytes
 test/show-text-current-point.c       |  68 +++++++++++++++++++++++++++++++++++
 7 files changed, 134 insertions(+), 11 deletions(-)

commit 5ac2d216ab5322869cd2540c7cc2cda579eaf85e
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 24 00:19:52 2005 +0000

    Update documentation for most path construction functions. Add discussion of the effects on the current point to all functions. Rephrase the wording of the relative functions. Big rewrite of cairo_arc description. Add discussion of join not caps to cairo_close_path.

 ChangeLog   |   4 ++
 src/cairo.c | 130 +++++++++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 93 insertions(+), 41 deletions(-)

commit 4f44cd809db5c72638d14963870848eba9f266d1
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 23:20:53 2005 +0000

    Minor doc edit.

 ChangeLog   | 4 ++++
 src/cairo.h | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit ef8b5b6a50667792a1cbdd5d338c8f0a154855ff
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 23:13:35 2005 +0000

    Minor doc edits.

 ChangeLog                         | 4 ++++
 doc/public/tmpl/cairo-matrix.sgml | 6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 4047fa507720c01a9ac0377de92ddc71ff2f359f
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 22:48:13 2005 +0000

    Prefer cairo over Cairo when not at the beginning of a sentence.

 ChangeLog                         | 8 ++++++++
 doc/public/tmpl/cairo-matrix.sgml | 2 +-
 doc/public/tmpl/cairo-status.sgml | 2 +-
 doc/public/tmpl/cairo-types.sgml  | 2 +-
 doc/public/tmpl/cairo.sgml        | 6 +++---
 5 files changed, 14 insertions(+), 6 deletions(-)

commit 0b616d20dd77aaa4549759a49d72dd1007290ebb
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 23 21:36:08 2005 +0000

    Add a long description.
    Fix a typo.
    Document the return value of cairo_scaled_font_reference().
    Document the width and height parameters of cairo_xlib_surface_set_drawable().

 ChangeLog                        | 9 +++++++++
 doc/public/tmpl/cairo-image.sgml | 7 +++++--
 doc/public/tmpl/cairo.sgml       | 2 +-
 src/cairo-font.c                 | 2 ++
 src/cairo-xlib-surface.c         | 2 ++
 5 files changed, 19 insertions(+), 3 deletions(-)

commit 86889a55de043b1357af39a2446b948068d54179
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 23 21:10:39 2005 +0000

    Document the rest of the path functions (except the two text ones, which should coordinate with their corresponding non-path versions).
    Minor shuffling.

 ChangeLog                        |  9 ++++
 doc/public/cairo-sections.txt    | 18 ++++----
 doc/public/tmpl/cairo-paths.sgml | 87 ++++++++++++++++++++++---------------
 doc/public/tmpl/cairo-text.sgml  | 19 ---------
 src/cairo.c                      | 92 ++++++++++++++++++++++++++++++++++++++++
 5 files changed, 163 insertions(+), 62 deletions(-)

commit 1e054fa3966341c08069d90daa0a430571539d3f
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Tue Aug 23 20:08:21 2005 +0000

    More minor edits.

 AUTHORS   | 2 +-
 ChangeLog | 5 +++++
 README    | 2 ++
 3 files changed, 8 insertions(+), 1 deletion(-)

commit ebb54333561b4b4e85660687f1188999435f1a7a
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 23 19:54:11 2005 +0000

    Minor edits.

 ChangeLog |  4 ++++
 README    | 16 +++++++---------
 2 files changed, 11 insertions(+), 9 deletions(-)

commit 326911a749979104fbcd60e5af93f902257a5389
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 23 19:52:09 2005 +0000

    Update the long description of cairo_matrix_t to match the current sources.
    Add cairo_path_data_t.
    Some documentation updates and improvements.

 ChangeLog                         | 11 +++++
 doc/public/tmpl/cairo-matrix.sgml | 30 +++++--------
 doc/public/tmpl/cairo-paths.sgml  |  6 +++
 src/cairo-ft-font.c               |  5 +--
 src/cairo-path-data.c             |  4 +-
 src/cairo-pattern.c               |  4 +-
 src/cairo.c                       | 89 ++++++++++++++++++++++++-------------
 src/cairo.h                       | 92 ++++++++++++++++++++-------------------
 8 files changed, 139 insertions(+), 102 deletions(-)

commit ee3e72e6a9e777aec5a0993352de1f8e77065989
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 19:34:20 2005 +0000

    Add suppression for uninitialized data in fbBltOne.

 ChangeLog                   |  5 +++++
 test/.valgrind-suppressions | 16 ++++++++++++++++
 2 files changed, 21 insertions(+)

commit 0b063224a6d72ea025720060abf0781d4df81757
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 19:31:10 2005 +0000

    Big update in preparation for 1.0.

 ChangeLog |   4 ++
 README    | 149 ++++++++++++++++++++++++++++++++++++++++++++------------------
 2 files changed, 110 insertions(+), 43 deletions(-)

commit 83aae920630ec9be77fc80cb544c6272859f4460
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 17:36:20 2005 +0000

    Added several names to the AUTHORS file (since 2005-01-24):
    Josh Aas <joshmoz@gmail.com> Billy Biggs <vektor@dumbterm.net> Damien Carbery <damien.carbery@sun.com> Steve Chaplin <stevech1097@yahoo.com.au> Tomasz Cholewo <cholewo@ieee-cis.org> John Ehresman <jpe@wingide.com> Behdad Esfahbod <behdad@behdad.org> Bertram Felgenhauer <int-e@gmx.de> J. Ali Harlow <ali@avrc.city.ac.uk> Adrian Johnson <ajohnson@redneon.com> Michael Johnson <ahze@ahze.net> Øyvind Kolås <pippin@freedesktop.org> Martin Kretzschmar <martink@gnome.org> Tor Lillqvist <tml@novell.com> Luke-Jr <luke-jr@utopios.org> Jeff Muizelaar <jeff@infidigm.net> Peter Nilsson <c99pnn@cs.umu.se> Geoff Norton <gnorton@customerdna.com> Robert O'Callahan <rocallahan@novell.com> Mike Owens <etc@filespanker.com> Stuart Parmenter <pavlov@pavlov.net> Tim Rowley <tim.rowley@gmail.com> Jason Dorje Short <jdorje@users.sf.net> Travis Spencer <tspencer@cs.pdx.edu> Malcolm Tredinnick <malcolm@commsecure.com.au>

 AUTHORS   | 29 +++++++++++++++++++++++++++--
 ChangeLog | 34 +++++++++++++++++++++++++++++++---
 2 files changed, 58 insertions(+), 5 deletions(-)

commit b4d43d7fddd9d0843a97a8f321cafc646f59d76d
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 23 16:31:59 2005 +0000

    Experimental Quartz and XCB backends removed from the public doc for now.

 ChangeLog                 | 5 +++++
 doc/public/cairo-docs.xml | 6 ++++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit f5c16c2e4815306308de5c884d11ff9888229986
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 15:16:37 2005 +0000

    Reverse the help text for --enable-xcb,
    --enable-quartz.

 ChangeLog    | 5 +++++
 configure.in | 6 +++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit b8d610c56e77afe6e27514d8a1ce76bd9aaf8274
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 15:11:44 2005 +0000

    Disable XCB and Quartz backends unless explicitely enabled. Add a big warning message if they are enabled about bugs and API instability.

 ChangeLog    |  6 ++++++
 configure.in | 19 +++++++++++++++++--
 2 files changed, 23 insertions(+), 2 deletions(-)

commit 00af78735e02a0384ada84d57cd208f06bcaaadc
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 14:53:08 2005 +0000

    Rip out all the code for doing anything other than linear interpolation between color stops, instead of doing different funky things based on pattern->filter. (#4184)

 ChangeLog           |  7 ++++++
 src/cairo-pattern.c | 66 +++--------------------------------------------------
 2 files changed, 10 insertions(+), 63 deletions(-)

commit 48b3a1cacd9d486c0e279ea8fadfb2fd4e3207a0
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 14:52:38 2005 +0000

    Check for AlphaBlend() with GetProcAddress() to support older compilation environments like MSVC 6. (Also fixes this portion of the code to run on Win98 and Win95, but much of the rest of cairo-win32-* won't work in that environment) (#3926, Hans Breuer, Christian Biesinger, based on code originally from Mozilla)
    Remove WINVER define, since it was there only for AlphaBlend().

 src/cairo-win32-private.h | 6 ------
 1 file changed, 6 deletions(-)

commit c4c1c4db96549e4ffcbd0ee081661d54522860c9
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 14:51:51 2005 +0000

    Remove assert statements that violate two intentional instances of ref_count == 0.

 ChangeLog        | 6 ++++++
 src/cairo-font.c | 8 ++++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 2dfb7a662f63642d63a91e39ea1828957fab0705
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 14:37:09 2005 +0000

    Fix memory leak of pattern.

 ChangeLog           | 4 ++++
 test/text-pattern.c | 2 ++
 2 files changed, 6 insertions(+)

commit a96a4a7ce6c402ab96a9e06b453d9c2203fad7bb
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 14:30:52 2005 +0000

    Check for AlphaBlend() with GetProcAddress() to support older compilation environments like MSVC 6. (Also fixes this portion of the code to run on Win98 and Win95, but much of the rest of cairo-win32-* won't work in that environment) (#3926, Hans Breuer, Christian Biesinger, based on code originally from Mozilla)
    Remove WINVER define, since it was (hopefully) there only for AlphaBlend().

 ChangeLog                 |  13 ++++++
 src/cairo-win32-surface.c | 109 ++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 105 insertions(+), 17 deletions(-)

commit 6d8df3957dc0223b35b119788d9c0f460b06141a
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 14:12:01 2005 +0000

    Call _get_pattern_load_flags() on the resolved pattern, not the input pattern. (Further fix from sunmoon1997)

 ChangeLog           | 6 ++++++
 src/cairo-ft-font.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f219b83466f926ee48ba6abbf69ec723c9eba685
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 14:04:28 2005 +0000

    if users attempt to twice destroy or re-reference a destroyed object. The condition for detecting this case is a ref_count of 0.
    Reviewed by: otaylor Fixes bug #4198

 ChangeLog           | 17 +++++++++++++++++
 src/cairo-font.c    |  8 ++++++++
 src/cairo-pattern.c |  4 ++++
 src/cairo-surface.c |  4 ++++
 src/cairo.c         |  4 ++++
 5 files changed, 37 insertions(+)

commit a0ecb16417a4c3f92b0a7682b84be702480748b4
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 13:57:00 2005 +0000

    Move CAIRO_CONTENT_VALID and CAIRO_FORMAT_VALID from the public cairo.h to the private cairoint.h where they belong.

 ChangeLog      | 7 +++++++
 src/cairo.h    | 9 ---------
 src/cairoint.h | 9 +++++++++
 3 files changed, 16 insertions(+), 9 deletions(-)

commit f229b1abfb01d3c42cba1dec36a271fe75c503a9
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 13:34:14 2005 +0000

    when creating the temporary mask, do glyph ADD mask, not (glyph IN source) ADD mask. Set the mask as having component alpha when it's 4-channel.
    test/text-antialias-subpixel.c test/Makefile.am: No longer XFAIL.
    test/text-antialias-gray.c test/text-antialias-subpixel.c
    Don't turn off metrics hinting, it doesn't make sense.
    Update.

 ChangeLog                            |  15 +++++++++++++++
 src/cairo-ft-font.c                  |  10 ++++++----
 test/Makefile.am                     |   1 -
 test/text-antialias-gray-ref.png     | Bin 723 -> 727 bytes
 test/text-antialias-gray.c           |   1 -
 test/text-antialias-none-ref.png     | Bin 277 -> 278 bytes
 test/text-antialias-none.c           |   1 -
 test/text-antialias-subpixel-ref.png | Bin 1079 -> 1081 bytes
 test/text-antialias-subpixel.c       |   4 +---
 9 files changed, 22 insertions(+), 10 deletions(-)

commit c11f0376d4c4aec3ff1c849f333aad2ce56f06bd
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 12:48:17 2005 +0000

    Revise the description of indentation and tabs to be clear (I hope).

 CODING_STYLE | 29 ++++++++++++++++++++++++-----
 ChangeLog    |  5 +++++
 2 files changed, 29 insertions(+), 5 deletions(-)

commit 317af5618c01d1be86308aebc0e87d7752a7e309
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 10:55:00 2005 +0000

    Fix inadvertent commit of incorrect reference image

 test/text-antialias-subpixel-ref.png | Bin 970 -> 1079 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 9aa1f4d868c7fdad6412205538697899fe760dca
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 10:39:27 2005 +0000

    Clear to opaque white at the beginning of the test so that the 0 alpha values in the destination don't cause bizarre results. (main): Note that only the image backend should fail now.
    Add new reference image.

 ChangeLog                            |   9 +++++++++
 test/Makefile.am                     |   1 +
 test/text-antialias-subpixel-ref.png | Bin 0 -> 970 bytes
 test/text-antialias-subpixel.c       |   5 ++++-
 4 files changed, 14 insertions(+), 1 deletion(-)

commit 9e68e0ceef2519b28e582fdaa8f2a8a33401735a
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 10:11:16 2005 +0000

    Add more comments on the improved state of this bug. Commit a reference image generated with cairo_text_path; cairo_fill. (We may not require getting this exact result, but I think it is worth examining the differences closely.)

 ChangeLog                |   9 +++++++++
 test/text-rotate-ref.png | Bin 0 -> 12446 bytes
 test/text-rotate.c       |  39 +++++++++++++++++++++++++++++++++++++--
 3 files changed, 46 insertions(+), 2 deletions(-)

commit 985c919b9fca504125df024e511eacf42a001985
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 09:10:45 2005 +0000

    Add docs-publish target to build and push documentation, (since our nightly server-side cron job is not working right now).

 ChangeLog   |  6 ++++++
 Makefile.am | 15 +++++++++++++--
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 0c2aa6e6abda77b67af91b32721b228097326d6d
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 08:21:46 2005 +0000

    Move comment about missing cleanup of caches on XCloseDisplay from BUGS to a _cairo_xlib_close_display. Also covered in bug #4120.

 BUGS                    | 7 -------
 ChangeLog               | 7 +++++++
 src/cairo-xlib-screen.c | 3 +++
 3 files changed, 10 insertions(+), 7 deletions(-)

commit 60f9c8d9fd914004e183adaf2bbba76b08c4e950
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 07:51:56 2005 +0000

    Remove caps-sub-paths from the XFAIL list since it is fixed now.

 ChangeLog             | 6 ++++++
 test/Makefile.am      | 1 -
 test/caps-sub-paths.c | 3 +--
 3 files changed, 7 insertions(+), 3 deletions(-)

commit 256456b708292b200e49107e360bfb45b7eb5bf0
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 07:44:14 2005 +0000

    Fix for bug #4205:
    Abstract the cap-addition code from the end of the stroke operation into a new _cairo_stroker_add_caps function.
    Call the new _cairo_stroker_add_caps at the beginning of every move_to so that we get caps on every subpath and not just the last one.

 ChangeLog               | 13 ++++++++++++
 src/cairo-path-stroke.c | 55 +++++++++++++++++++++++++++++++------------------
 2 files changed, 48 insertions(+), 20 deletions(-)

commit 55a517991e0d2435a58cab7fd61e272048eddbe8
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 23 05:54:38 2005 +0000

    Add libpixman.la to the libcairo_la_DEPENDENCIES line so that changes to pixman get picked up.

 ChangeLog       | 5 +++++
 src/Makefile.am | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 099060f9254e972ae2d28f51815b75da01736a8f
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 23 05:18:48 2005 +0000

    Some fixes for warnings from sparse (Part of #4208, Kjartan Maraas)
    Use NULL, not 0.
    Fix C99'ism of mixed code and declarations.

 ChangeLog          | 10 ++++++++++
 src/cairo-matrix.c | 13 +++++++------
 test/cairo-test.c  |  2 +-
 3 files changed, 18 insertions(+), 7 deletions(-)

commit 704874c16538f0653f37be253f2fc3d89963667d
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 01:55:29 2005 +0000

    caps only added to last subpath: COVERED by test/caps-sub-paths and bug #4205.

 BUGS      | 4 ----
 ChangeLog | 5 +++++
 2 files changed, 5 insertions(+), 4 deletions(-)

commit eb206f0a12aac21807bfba5414ad0ed34a62fc37
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 01:50:25 2005 +0000

    Use the expect_failure variant of cairo_test so that make check prints the reason this test fails.

 ChangeLog             | 5 +++++
 test/caps-sub-paths.c | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 4b0ed008ba51a4e2e9f62c360f6ae8dcb708817c
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 01:02:16 2005 +0000

    Add test to demonstrate bug #4205, missing caps on all but last sub-path in a complex path.

 ChangeLog                   |   9 +++++++
 test/.cvsignore             |   1 +
 test/Makefile.am            |   4 +++
 test/caps-sub-paths-ref.png | Bin 0 -> 164 bytes
 test/caps-sub-paths.c       |  63 ++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 77 insertions(+)

commit 65bfc03e7284301fc1cea4b88de72f7928f3857a
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 00:03:09 2005 +0000

    Remove discussion of the BAD_NESTING restriction from the documentation of cairo_create. No such restriction exists anymore.

 ChangeLog   |  6 ++++++
 src/cairo.c | 10 ----------
 2 files changed, 6 insertions(+), 10 deletions(-)

commit c0bbf9ac08020cafdb7de4dae5099e9cf196802c
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 23 00:00:42 2005 +0000

    Fix for bug #4192:
    New function to handle both calling FT_Done_Face on unscaled->face and decrementing font_map->num_open_faces.
    Call new _font_map_release_face_lock_held as approporiate.
    Assert that (font_map->num_open_faces == 0) when we're done, to help guarantee the bug is fixed.
    Don't call FT_Done_Face anymore, instead assert that (unscaled->face == NULL) by the time this function is called.
    Prefer TRUE/FALSE as values for cairo_bool_t have_scale.

 ChangeLog           | 26 ++++++++++++++++++++++++++
 src/cairo-ft-font.c | 50 ++++++++++++++++++++++++++++++++++++--------------
 2 files changed, 62 insertions(+), 14 deletions(-)

commit dc907490e35c26ebb7d1fd106963f754d389ad82
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Mon Aug 22 22:23:54 2005 +0000

    Add version.xml to content_files so it will be copied to the right place for DESTDIR builds.

 ChangeLog              | 5 +++++
 doc/public/Makefile.am | 1 +
 2 files changed, 6 insertions(+)

commit a68097a219543160ea6ff12628626dcdb070f97e
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Mon Aug 22 22:11:44 2005 +0000

    Rework the index for the reference manual.
    Update descriptions and add new files for added sections.

 ChangeLog                               |  33 ++
 doc/public/cairo-docs.xml               |  50 +-
 doc/public/cairo-sections.txt           | 262 ++++++----
 doc/public/tmpl/cairo-font-options.sgml | 194 ++++++++
 doc/public/tmpl/cairo-font.sgml         | 268 +---------
 doc/public/tmpl/cairo-ft.sgml           |  18 +-
 doc/public/tmpl/cairo-glitz.sgml        |   4 +-
 doc/public/tmpl/cairo-image.sgml        |  73 +++
 doc/public/tmpl/cairo-matrix.sgml       |   5 +-
 doc/public/tmpl/cairo-paths.sgml        | 207 ++++++++
 doc/public/tmpl/cairo-pattern.sgml      |  92 ++--
 doc/public/tmpl/cairo-pdf.sgml          |   4 +-
 doc/public/tmpl/cairo-png.sgml          |  26 +-
 doc/public/tmpl/cairo-ps.sgml           |   4 +-
 doc/public/tmpl/cairo-quartz.sgml       |   4 +-
 doc/public/tmpl/cairo-scaled-font.sgml  | 110 +++++
 doc/public/tmpl/cairo-status.sgml       |  63 +++
 doc/public/tmpl/cairo-surface.sgml      |  53 +-
 doc/public/tmpl/cairo-text.sgml         | 189 ++++++++
 doc/public/tmpl/cairo-transforms.sgml   | 127 +++++
 doc/public/tmpl/cairo-types.sgml        |  42 ++
 doc/public/tmpl/cairo-version.sgml      |  54 +++
 doc/public/tmpl/cairo-win32-fonts.sgml  |  57 +++
 doc/public/tmpl/cairo-win32.sgml        |  40 +-
 doc/public/tmpl/cairo-xcb-xrender.sgml  |   4 +-
 doc/public/tmpl/cairo-xcb.sgml          |   4 +-
 doc/public/tmpl/cairo-xlib.sgml         |   4 +-
 doc/public/tmpl/cairo.sgml              | 833 ++++----------------------------
 28 files changed, 1588 insertions(+), 1236 deletions(-)

commit 2d9d744f8c8a9fdf011a292ef6e823605d000f23
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 22 20:43:23 2005 +0000

    Make cairo_ft_unscaled_font_backend static.
    Add missing static.
    Use NULL, not 0.
    Use void in the definition of void functions, not ().
    Make non-exported cairo_pattern_nil_* static.

 ChangeLog                | 17 +++++++++++++++++
 src/cairo-font.c         |  6 +++---
 src/cairo-ft-font.c      |  4 ++--
 src/cairo-gstate.c       |  2 +-
 src/cairo-pattern.c      |  8 ++++----
 src/cairo-ps-surface.c   |  2 +-
 src/cairo-xlib-surface.c |  2 +-
 7 files changed, 29 insertions(+), 12 deletions(-)

commit c792e6783c8424805b83c50a8c3fd9afa3ab8ed9
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 22 17:20:29 2005 +0000

    ref_counts will go negative: COVERED by https://bugs.freedesktop.org/show_bug.cgi?id=4198

 BUGS      | 6 ------
 ChangeLog | 5 +++++
 2 files changed, 5 insertions(+), 6 deletions(-)

commit 0fb5b1d4c44be43c9463fe8818aea1aed88facc5
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 22 16:56:43 2005 +0000

    Remove several entries in an effort to obsolete the BUGS file in favor of bugzilla and cairo/test. Specifically:
    cairo_image_surface_create should clear image: NOTABUG. The user can clear if desired, and cairo clearing unconditionally would be performance overhead).
    cairo_clip is really slow: FIXED/COVERED. Since the time this entry was added we've got rectangular, pixel-alignend clipping optimized. And there's a bug in bugzilla (https://bugs.freedesktop.org/show_bug.cgi?id=4191) for optimizing IN.
    self-intersecting path is wrong: COVERED by test/self-intersecting.c.
    Cairo is crashing Xnest: NEEDINFO. Is this still happening? Xfake has been working quite well for a very long time now.
    font-size=0 in SVG does bad things: FIXED.

 BUGS      | 37 -------------------------------------
 ChangeLog | 23 +++++++++++++++++++++++
 2 files changed, 23 insertions(+), 37 deletions(-)

commit 23baafbaa8d3295f109030637b5e73102e48ea8a
Author: Bertram Felgenhauer <int-e@gmx.de>
Date:   Mon Aug 22 16:52:40 2005 +0000

    remove.

 ChangeLog          |  5 +++++
 src/cairo-matrix.c | 31 -------------------------------
 src/cairoint.h     |  4 ----
 3 files changed, 5 insertions(+), 35 deletions(-)

commit 988310429036dd94ee0bb75b4c6a2fb7c930d448
Author: Bertram Felgenhauer <int-e@gmx.de>
Date:   Mon Aug 22 16:50:30 2005 +0000

    correct the calculation of the error bound.

 ChangeLog       |  5 +++++
 src/cairo-arc.c | 20 ++++++--------------
 2 files changed, 11 insertions(+), 14 deletions(-)

commit c0905759b059cf679674019c5c4dd09971bedab9
Author: Bertram Felgenhauer <int-e@gmx.de>
Date:   Mon Aug 22 16:48:28 2005 +0000

    use new function. strip comment of derivation for major axis length.
    use _cairo_matrix_get_affine to retrieve matrix entries.
    new function split out of cairo-pen.c. UTF8-ify the comment that explains the calculation.

 ChangeLog          |  12 +++++
 src/cairo-matrix.c | 145 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-pen.c    | 154 ++++-------------------------------------------------
 src/cairoint.h     |   3 ++
 4 files changed, 170 insertions(+), 144 deletions(-)

commit c7a35fbd3121f728ff40706cdf2a1ef8ac8e18a6
Author: Bertram Felgenhauer <int-e@gmx.de>
Date:   Mon Aug 22 16:29:56 2005 +0000

    use correctly transposed version of the matrix and fix up the comments above to use row vector notation.

 ChangeLog       |  6 ++++++
 src/cairo-pen.c | 26 ++++++++++++++------------
 2 files changed, 20 insertions(+), 12 deletions(-)

commit 46dd21e795549481d9db8d90c399e683ef1205c7
Author: Tor Lillqvist <tml@novell.com>
Date:   Mon Aug 22 15:49:04 2005 +0000

    Calculate LT_CURRENT_MINUS_AGE (which forms part of the DLL name on Win32), and AC_SUBST it.
    Add target "zips" to create zip file based distribution for Win32.
    Produce a cairo.def file for distribution by preprocessing the relevant header files and grepping for declarations of functions that start with cairo_. Works for now, will have to modify later if necessary. Use the .def file when linking on Win32.

 ChangeLog       | 14 ++++++++++++++
 Makefile.am     | 16 ++++++++++++++++
 configure.in    |  4 ++++
 src/Makefile.am | 36 +++++++++++++++++++++++++++++++++++-
 4 files changed, 69 insertions(+), 1 deletion(-)

commit aa6b2c386be0e7a09f53da3fa08c061f01151e55
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 22 15:19:03 2005 +0000

    Support artificial bold fonts with FC_EMBOLDEN; patch from Jackey Yang and sunmoon1997.
    Check for FT_GlyphSlot_Embolden()
    Call FT_GlyphSlot_Embolden for fonts where FC_EMBOLDEN is set but that aren't bold. Add another private flag for this.

 ChangeLog           | 11 +++++++++++
 configure.in        |  1 +
 src/cairo-ft-font.c | 36 +++++++++++++++++++++++++++++++++++-
 3 files changed, 47 insertions(+), 1 deletion(-)

commit 190dc79a2831ca86523f2e710e6b4152d0947694
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 22 13:59:52 2005 +0000

    Fix typo that was causing make dist to fail.

 ChangeLog        | 5 +++++
 test/Makefile.am | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 2ea856a21d2d392c0959e726c430e7fed87be97c
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 22 12:15:28 2005 +0000

    When width/height are 0, copy the src to the dest, don't just return. (#3017)

 pixman/ChangeLog       | 5 +++++
 pixman/src/pixregion.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 31e4ade4abf716718c2f38e594f02b5b488e0d86
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 22 08:45:46 2005 +0000

    Use floor(0.5+x) rather than round(), which is C99. (David Hollenberg)

 ChangeLog          | 5 +++++
 test/text-rotate.c | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit b217f95fa0b8b818cbed8630c16fe8725f430c49
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 22 08:33:54 2005 +0000

    Set LC_ALL=C rather than LANG and LC_NUMERIC to be robust against whatever settings the user has. (Martin Dobias)

 ChangeLog  | 5 +++++
 autogen.sh | 7 ++++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit fdb5e2aa473a83cda9a3ecfab2fa47cdf40ffe65
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sun Aug 21 21:04:52 2005 +0000

    Optimize away calls to cairo_paint_with_alpha() if the alpha value given is <= 0.
    Add a new macro CAIRO_ALPHA_IS_ZERO.

 ChangeLog      | 7 +++++++
 src/cairo.c    | 4 ++++
 src/cairoint.h | 1 +
 3 files changed, 12 insertions(+)

commit 89a4e13d73e3761e8b8b5d5fa0882d4ecb6423b1
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sun Aug 21 21:02:32 2005 +0000

    Fix a typo in the last change.

 pixman/ChangeLog          | 4 ++++
 pixman/src/pixman-remap.h | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 16ce285251afa9c6e125a51df0d8a487c0bf5bbd
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sun Aug 21 20:49:47 2005 +0000

    Remove warning about fbCompositeTrans_0888xnx0888 not being tested on big-endian, it's not helpful at this point.
    Only define _cairo_pixman_have_mmx for fbHaveMMX when the symbol will actually exist.

 pixman/ChangeLog          |  8 ++++++++
 pixman/src/fbpict.c       | 23 +++++++++++------------
 pixman/src/pixman-remap.h |  2 ++
 3 files changed, 21 insertions(+), 12 deletions(-)

commit 33599bc6b64ed987c1894e88bc680028f28453a7
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sun Aug 21 14:10:39 2005 +0000

    Fix for bug #4172:
    Use _cairo_fixed_to_double and _cairo_double_to_fixed when converting between double and 16.16 fixed point. These functions round nicely, and solve some inconsistencies in rendering between my PPC and x86 machines. Thanks to Owen Taylor for suggesting the fix.
    The above change does affect linear gradients slightly, but it seems worth it. Update the reference images to follow.

 ChangeLog                    |  17 +++++++++++++++++
 src/cairo-pattern.c          |   8 ++++----
 test/gradient-alpha-ref.png  | Bin 153 -> 154 bytes
 test/linear-gradient-ref.png | Bin 12744 -> 12719 bytes
 test/text-pattern-ref.png    | Bin 2728 -> 2731 bytes
 5 files changed, 21 insertions(+), 4 deletions(-)

commit e3e7046cd7ee629fe085cf081fd3aa2581782bf5
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 12:13:17 2005 +0000

    Remove stray doc sentence that wasn't meant to be committed.

 ChangeLog           | 5 +++++
 src/cairo-surface.c | 6 ------
 2 files changed, 5 insertions(+), 6 deletions(-)

commit 17845df95b80d2a9586ba44fc5ade2c311a62c4c
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sun Aug 21 11:41:44 2005 +0000

    Fix for bug #4165:
    Use pointer comparison for coincident points to ensure a well-defined ordering, and avoid setting discard on both points. This fixes problems with my Mac's implementation of qsort. Final patch by Bertram Felgenhauer.
    Update reference images after the change.

 ChangeLog                         |  18 ++++++++++++++++++
 src/cairo-hull.c                  |   7 ++++++-
 test/clip-operator-ref.png        | Bin 37330 -> 37330 bytes
 test/linear-gradient-ref.png      | Bin 12724 -> 12744 bytes
 test/operator-clear-ref.png       | Bin 4992 -> 4988 bytes
 test/operator-source-ref.png      | Bin 19957 -> 19958 bytes
 test/unantialiased-shapes-ref.png | Bin 4450 -> 4449 bytes
 test/unbounded-operator-ref.png   | Bin 11937 -> 11929 bytes
 8 files changed, 24 insertions(+), 1 deletion(-)

commit d93d56caeffb80ac92a0432ad1ebdecee5c0e2b6
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 11:23:58 2005 +0000

    Check automake-<ver> if automake isn't sufficiently new. (#3593, Philip Van Hoof)

 ChangeLog  |  5 +++++
 autogen.sh | 29 +++++++++++++++++++++++++++--
 2 files changed, 32 insertions(+), 2 deletions(-)

commit 2396b502a5de39ee44d53af971b7382a1f130a87
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 09:57:19 2005 +0000

    When invoked as, say, ../autogen.sh, switch to the sourcedir to run the auto*. Based on corresponding code in GTK+'s autogen.sh. (#3402, Thomas Fitzsimmons)
    Update from gtk-doc CVS, bringing in some minor output changes. (Eliminate the *** from the messages that don't indicate errors.)
    Use += for EXTRA_DIST, since gtk-doc.make already defines it.

 ChangeLog              | 13 +++++++++++++
 autogen.sh             | 13 ++++++++++++-
 doc/public/Makefile.am |  5 +++--
 gtk-doc.make           | 12 ++++++------
 4 files changed, 34 insertions(+), 9 deletions(-)

commit 5462c8a5856f1b3b81889ac3a714e47b047e1984
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 09:27:52 2005 +0000

    Check for FT_Load_Sfnt_Table and disable the PDF/PS backends if not found. (#4144, Billy Biggs)

 ChangeLog    |  5 +++++
 configure.in | 13 +++++++++----
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 1ce62becd11bbc929b75ea6d47fad477ad965962
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 08:53:56 2005 +0000

    Fix the handling of backend->clone_similar == NULL. (#4161, Christian Biesinger)

 ChangeLog           |  6 ++++++
 src/cairo-surface.c | 11 ++++++-----
 src/cairoint.h      |  2 +-
 3 files changed, 13 insertions(+), 6 deletions(-)

commit 8e9e40d75201ea4d21b53ab51d1326f6f858c57c
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 08:24:41 2005 +0000

    Improve the documentation of internal functions. (Based on a patch from Christian Biesinger, #4162)

 ChangeLog           |  5 +++++
 src/cairo-surface.c | 24 ++++++++++++++++--------
 2 files changed, 21 insertions(+), 8 deletions(-)

commit 65f90287bb922357e77b759b5e0db5d2c3698fc4
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 08:11:24 2005 +0000

    Recognize gentoo's (and maybe other distro's) modified server vendor string, where extra text is added to the upstream value. (#4068, reported by Doug Goldstein, others. Patch from Mart Raudsepp)

 ChangeLog                | 8 ++++++++
 src/cairo-xlib-surface.c | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit af614d2de601c997f3a2cbae535fb0e96110a386
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Aug 21 08:06:06 2005 +0000

    Don't try to transform val->image when it is NULL. (#4163, Mathias Hasselmann)

 ChangeLog           | 6 ++++++
 src/cairo-ft-font.c | 3 ++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit f823dfd9328f1aab0155257fcf9bb3aa45455867
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sat Aug 20 21:28:57 2005 +0000

    Fix for bug #4140:
    Dereference the pixel value correctly on big endian systems.

 pixman/ChangeLog    | 7 +++++++
 pixman/src/icrect.c | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit d1bdd1313ee351e2ec7e4af1cf68143827f59694
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 20 07:56:05 2005 +0000

    Fix for bug #4142:
    Disable xlib tests on X servers without the Render, since they currently just crash there. A better long-term fix would be to do some useful tests in this case. Thanks to Tim Mooney.

 ChangeLog         |  9 +++++++++
 test/cairo-test.c | 12 ++++++++++++
 2 files changed, 21 insertions(+)

commit 4a7a09b4ab4e8608d2f23661ddaf301f4508d42a
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sat Aug 20 05:23:52 2005 +0000

    Include Xfree86-4.5 in the blacklist. (Reported by Andrew Benton)

 ChangeLog                | 6 ++++++
 src/cairo-xlib-surface.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit b9da101879afc6ab960e43f94d1e0a2fc10b3aac
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Fri Aug 19 23:05:13 2005 +0000

    Fix for bug #4096:
    Improve the performance of png reading by adding special cases for fully transparent and fully opaque alpha, and using the standard optimization for 8-bit division by 255.
    Add an INLINE macro for gcc.

 ChangeLog       | 11 +++++++++++
 src/cairo-png.c | 28 +++++++++++++++++++++-------
 src/cairoint.h  |  6 ++++++
 3 files changed, 38 insertions(+), 7 deletions(-)

commit 465ff187869b118f30666de83e5327ea4d174df7
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 19 16:37:56 2005 +0000

    From Bertram Felgenhauer <int-e@gmx.de>:
    Add regression test for bug #4137 (fixed earlier).

 ChangeLog                             |  10 +++++
 test/.cvsignore                       |   1 +
 test/Makefile.am                      |   3 ++
 test/rectangle-rounding-error-ref.png | Bin 0 -> 298 bytes
 test/rectangle-rounding-error.c       |  69 ++++++++++++++++++++++++++++++++++
 5 files changed, 83 insertions(+)

commit 33b45c157273fbe8f8a24e5c0a333639b1a51f4a
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Fri Aug 19 14:42:57 2005 +0000

    No need to include cairo-pdf.h.

 ChangeLog            | 4 ++++
 test/pixman-rotate.c | 1 -
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 3ec312f7289192cca3ce71d8bafee27f49cf2aa2
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 19 14:37:42 2005 +0000

    Fix for bug #4137:
    Fix to round properly.

 ChangeLog         | 7 +++++++
 src/cairo-fixed.c | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 1f68f77a10e0d93e2a73000faa1bb0097c8b056a
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri Aug 19 14:05:14 2005 +0000

    Ignore really small fonts, since size zero fonts give xpdf fits. (#2938)

 ChangeLog               | 6 ++++++
 src/cairo-pdf-surface.c | 8 ++++++++
 2 files changed, 14 insertions(+)

commit 9d0211b2632e3a0c83331a037efd7670c91b79cd
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 19 13:00:23 2005 +0000

    Fix to actually test scaled_font->status instead of just having a comment that claims to test it. Thanks to Behdad Esfahbod <behdad@cs.toronto.edu>.

 ChangeLog        | 7 +++++++
 src/cairo-font.c | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 8eb912577b51c9feb7c078620b42f8fa858e02b0
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri Aug 19 12:55:00 2005 +0000

    We need the call to fixup_unbounded when we optimize the RENDER operator to XCopyArea as well.

 ChangeLog                |  6 ++++++
 src/cairo-xlib-surface.c | 23 ++++++++++++-----------
 2 files changed, 18 insertions(+), 11 deletions(-)

commit 7468ed35a1c2607bd305caa93c5f9bf9c9e0be18
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 19 12:08:42 2005 +0000

    Fixes for a general problem of which bug #4094 was a specific instance:
    Don't change the status value if it already holds an error. This avoids destroying "first error" information and also avoids attempting to write read-only data, (eg. from nil objects).
    Don't set an error on the same object if it is in an error state to begin with, just return immediately. This is intended to reduce (eventual) error prints to the first cause of an error for any given object, instead of a continual spew.

 ChangeLog              |  51 ++++++++++
 src/cairo-font.c       |  11 +-
 src/cairo-pattern.c    |  10 +-
 src/cairo-surface.c    |  18 ++--
 src/cairo-win32-font.c |   4 +-
 src/cairo.c            | 267 +++++++++++++------------------------------------
 6 files changed, 142 insertions(+), 219 deletions(-)

commit 2b72a4eee80e73f0553779a281e6ef5f0587519e
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 19 12:02:14 2005 +0000

    Fix for bug #2729:
    Adjust negative offsets up to their equivalent positive value. Add error checking for dash values, (must each be non-negative and must not be all zero).
    Add documentation.
    Add new CAIRO_STATUS_INVALID_DASH.
    Add dash-offfset-negative test from Owen.
    churn

 ChangeLog                         |  20 ++++++++
 doc/public/tmpl/cairo.sgml        |   5 +-
 src/cairo-gstate.c                |  45 +++++++++++++----
 src/cairo.c                       |  35 ++++++++++++--
 src/cairo.h                       |   9 +++-
 test/.cvsignore                   |   1 +
 test/Makefile.am                  |   4 ++
 test/dash-offset-negative-ref.png | Bin 0 -> 155 bytes
 test/dash-offset-negative.c       |  99 ++++++++++++++++++++++++++++++++++++++
 9 files changed, 203 insertions(+), 15 deletions(-)

commit a2e798b5a126a0aaf7043b817120986889538acf
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Aug 19 10:36:43 2005 +0000

    Add this missing fuction.
    Document this funtion.

 ChangeLog               |  8 ++++++++
 src/cairo-pdf-surface.c | 10 ++++++++++
 src/cairo-ps-surface.c  | 21 +++++++++++++++++++++
 3 files changed, 39 insertions(+)

commit b626dff5b9783ba8916365478c583551d7d97a23
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 19 07:39:47 2005 +0000

    Fix for bug #3915:
    Add new NULL_POINTER nil pattern.
    Check for surface == NULL and return a nil pattern.
    Verify that the above fix works.

 ChangeLog           | 12 ++++++++++++
 src/cairo-pattern.c | 14 ++++++++++++++
 test/nil-surface.c  | 40 ++++++++++++++++++++++++++++++++++++++--
 3 files changed, 64 insertions(+), 2 deletions(-)

commit 435fb3c65f3edd7687a332f274545abf7e601965
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 23:10:37 2005 +0000

    Fix for bug #4088:
    New function to return the current nil pattern depending on the status.
    Add missing early bailout on surface->status with error propagation to the pattern.
    Related cleanups for cairo_pattern_t:
    Don't check other->status since this is a static function.
    Add missing early bailout on other->status.
    Cleanup identifier names.
    Track rename of nil patterns.
    Don't call _cairo_error for pre-existing errors.
    Take care to initialize some fields to that _cairo_pattern_release_surface will work even after an error.
    Track rename of cairo_solid_pattern_nil to cairo_pattern_nil.
    New test to ensure that a file-not-found error will propagate from a surface, through a pattern, and onto a cairo_t.

 ChangeLog                |  48 ++++++++++++++++++++
 src/cairo-pattern.c      | 113 ++++++++++++++++++++++++-----------------------
 src/cairo.c              |   2 +-
 src/cairoint.h           |   2 +-
 test/.cvsignore          |   1 +
 test/Makefile.am         |   2 +
 test/nil-surface-ref.png | Bin 0 -> 107 bytes
 test/nil-surface.c       |  73 ++++++++++++++++++++++++++++++
 8 files changed, 184 insertions(+), 57 deletions(-)

commit 0e56f2ea0acb1f5359294b5da5f60b05673d75e3
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 22:43:39 2005 +0000

    Suppress a pthread initialization error now that tests are linked with -lpthread.

 ChangeLog                   |  5 +++++
 test/.valgrind-suppressions | 11 +++++++++++
 2 files changed, 16 insertions(+)

commit 45cea5efc8b16a9645e72b722353cc27a009af13
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 22:31:04 2005 +0000

    Fix documentation comment to use &amp; in place of &.

 ChangeLog           | 5 +++++
 src/cairo-pattern.c | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit d809e829806c68b87939e6598986d45cbd3862b9
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Thu Aug 18 19:13:06 2005 +0000

    Special case alpha values of 0 and 0xff. (fbCompositeSrc_8888x8888mmx): Add an MMX implementation for a common operation when using pixman.
    Prototype for the new function.
    Call the new function where appropriate.

 pixman/ChangeLog    | 12 ++++++++
 pixman/src/fbmmx.c  | 80 +++++++++++++++++++++++++++++++++++++++++++++++------
 pixman/src/fbmmx.h  | 12 ++++++++
 pixman/src/fbpict.c | 16 +++++++++--
 4 files changed, 108 insertions(+), 12 deletions(-)

commit f5afeec18a95b75102087abbf7497a45ff6d80c6
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Thu Aug 18 18:46:30 2005 +0000

    Special case projective transforms so we can avoid doing the expensive 64-bit math. Unroll the bilinear interpolation loops for an extra boost.

 pixman/ChangeLog       |   6 ++
 pixman/src/fbcompose.c | 235 +++++++++++++++++++++++++++++++++----------------
 2 files changed, 163 insertions(+), 78 deletions(-)

commit 5932a501ca5d8b3e4e60c77dac9a8af2c7943dd7
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Aug 18 17:22:23 2005 +0000

    Fix tests to just disable FreeType if a too-old FreeType is found, rather than erroring out. (#2298)
    Reviewed by: krh

 ChangeLog    |  7 +++++++
 configure.in | 38 ++++++++++++++++++++++----------------
 2 files changed, 29 insertions(+), 16 deletions(-)

commit c1b5a19624a850885996a6e0778098e77c0fd683
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Aug 18 17:19:54 2005 +0000

    Fix offset passed in for source patterns. (#2333, Tim Rowley)
    Fix font to Vera Sans rather than "Sans"

 ChangeLog                 |   7 +++++++
 src/cairo-xlib-surface.c  |  18 +++++++++---------
 test/.cvsignore           |   1 +
 test/text-pattern-ref.png | Bin 2869 -> 2728 bytes
 test/text-pattern.c       |   9 ++++++---
 5 files changed, 23 insertions(+), 12 deletions(-)

commit 8f93bcfa47fbdfd20949d09ed677eb5e4d90b12b
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 17:11:42 2005 +0000

    Update the roadmap. Remove difficulty rating from completed tasks. Note that PostScript/PDF is (grudgingly) done as far as 1.0 is concerned, but there is more work to completing this that is slipped beyond 1.0. Note that the deadlock bug is fixed as of 0.9.2. Update who is working on what for performance. Add some new detail for post-1.0 PostScript/PDF work. Slip the overlapping source/dest Render workaround past 1.0.

 ChangeLog | 10 +++++++++
 ROADMAP   | 73 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 61 insertions(+), 22 deletions(-)

commit 16f66dc31499afbf64e319562f01aac96edae52e
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Aug 18 16:22:23 2005 +0000

    Add a test for bug #2333 (Tim Rowley)

 ChangeLog                 |   4 +++
 test/Makefile.am          |   3 ++
 test/text-pattern-ref.png | Bin 0 -> 2869 bytes
 test/text-pattern.c       |  74 ++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 81 insertions(+)

commit 31341327bfa171845ec3e921151cee6f861c2da8
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Aug 18 15:50:36 2005 +0000

    Implement new equations for CLEAR and SOURCE CLEAR: (mask IN clip) ? 0 : dest SOURCE: (mask IN clip) ? src : dest That behave more like what people expect.
    CLEAR and SOURCE are now bounded.
    Assert that SOURCE and CLEAR aren't passed to these functions.
    Assert that SOURCE and CLEAR aren't passed to these functions when there is a mask.
    Do fixups for SOURCE and CLEAR as well as unbounded operators, since in the absence of a mask, we need SOURCE to work correctly (don't care about CLEAR)
    _cairo_ft_font_show_glyphs) Consistently use CLEAR/TRANSPARENT (source doesn't matter) rather than SOURCE/TRANSPARENT when clearing rectangles.
    src/cairo-xlib-surface.c src/cairo-surface.c: Use IN rather than SOURCE as an example of an unbounded operator in docs.
    Remove CLEAR/SOURCE columns since they are no longer unbounded.
    test/operator-clear.c test/operator-source Makefile.am: Add targetted tests of CLEAR/SOURCE.

 ChangeLog                       |  38 ++++++
 src/cairo-font.c                |   5 +
 src/cairo-ft-font.c             |   4 +-
 src/cairo-gstate.c              | 219 +++++++++++++++++++++++++---------
 src/cairo-image-surface.c       |   4 +-
 src/cairo-surface.c             |  14 ++-
 src/cairo-xlib-surface.c        |   6 +-
 test/.cvsignore                 |   2 +
 test/Makefile.am                |   6 +
 test/clip-operator-ref.png      | Bin 38336 -> 37330 bytes
 test/operator-clear-ref.png     | Bin 0 -> 4992 bytes
 test/operator-clear.c           | 214 +++++++++++++++++++++++++++++++++
 test/operator-source-ref.png    | Bin 0 -> 19957 bytes
 test/operator-source.c          | 253 ++++++++++++++++++++++++++++++++++++++++
 test/unbounded-operator-ref.png | Bin 14178 -> 11937 bytes
 test/unbounded-operator.c       |   4 +-
 16 files changed, 706 insertions(+), 63 deletions(-)

commit ff9654e677a916da7a3fcc97ac0547f128e71436
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 14:34:10 2005 +0000

    Fix to not leak surface->cgImage on out-of-memory (thanks to Josh Aas <joshmoz@gmail.com>).

 ChangeLog                  | 7 +++++++
 src/cairo-quartz-surface.c | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit a82cf0eb7bdfb7f500c1652f6b9635a94e830289
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 09:46:20 2005 +0000

    Fix to not right-shift a negative number when called with an argument of 0.

 ChangeLog         | 5 +++++
 src/cairo-fixed.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 7a9d2070402d75356ffee258517c5434dc232000
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 09:19:21 2005 +0000

    Disable not-yet-implemented quartz stuff.

 ChangeLog         | 5 +++++
 test/cairo-test.c | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 93e521ce1976cef6978fcbccf78b3ed98a544d51
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Thu Aug 18 08:28:08 2005 +0000

    Add an autoconf-generated version file to advertise what cairo version the manual was generated for. Idea taken from the GTK+ documentation.
    Include the version number, along with the title, in a bookinfo section.
    Add the version.xml.in to the dist.
    Ignore version.xml.
    Generate doc/public/version.xml.

 ChangeLog                 | 15 +++++++++++++++
 configure.in              |  1 +
 doc/public/.cvsignore     |  4 +---
 doc/public/Makefile.am    |  3 +++
 doc/public/cairo-docs.xml |  8 +++++++-
 doc/public/version.xml.in |  1 +
 6 files changed, 28 insertions(+), 4 deletions(-)

commit 3422d8760f54e403bda12aa58dc5256bb132ebf3
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 18 08:22:29 2005 +0000

    Clear setgid bit on regular files prior to tarring up a release.

 ChangeLog   |  5 +++++
 Makefile.am | 19 +++++++++++++------
 2 files changed, 18 insertions(+), 6 deletions(-)

commit 24ba58e7f56a45f09501c9f58d177633dfda1ecd
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Thu Aug 18 06:01:40 2005 +0000

    For the source operator, the output should be cleared if the mask is zero. This fixes the MMX code to match the fbcompose code.
    Fix a logic mistake that caused the MMX functions not to be used in many cases.

 pixman/ChangeLog    |  9 +++++++++
 pixman/src/fbmmx.c  | 12 ++++++++++++
 pixman/src/fbpict.c |  7 +++----
 3 files changed, 24 insertions(+), 4 deletions(-)

commit 260e8abfe0903b3b2955e2397e974308a1ca40bd
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Wed Aug 17 21:19:30 2005 +0000

    Fix typo in freetype configure check.

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 4ebe0b63cc5487661c8016ef9f80aa7890772517
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Wed Aug 17 21:14:02 2005 +0000

    Only mangle exported symbols. This is sufficient and makes debugging a lot easier.

 pixman/ChangeLog          |   5 +
 pixman/src/pixman-remap.h | 274 +++-------------------------------------------
 2 files changed, 19 insertions(+), 260 deletions(-)

commit 75b0541bdfb77ef456e09b1b92ccb0d2e9245ae3
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Wed Aug 17 15:57:45 2005 +0000

    Try to use pkg-config to detect freetype2, then fall back to the existing freetype-config based check.

 ChangeLog    |  5 +++++
 cairo.pc.in  |  4 ++--
 configure.in | 56 +++++++++++++++++++++++++++++++++++++-------------------
 3 files changed, 44 insertions(+), 21 deletions(-)

commit 639680e5fe2592c76d19e8102919ef3062371883
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 17 09:51:09 2005 +0000

    Fixes for bug #4110:
    Don't call _cairo_ft_unscaled_font_init_key in the from_face case, just clear filename and id instead. Initialize unscaled->base first so that initialization order matches the structure declaration order.
    Fix to accept a NULL string and hash it identically to a zero-length string.
    Add a test that calls cairo_ft_font_create_for_ft_face to demonstrate bug #4110.

 ChangeLog                         |  18 ++++++-
 src/cairo-cache.c                 |   2 +-
 src/cairo-ft-font.c               |  28 +++++------
 test/.cvsignore                   |   1 +
 test/Makefile.am                  |   5 ++
 test/ft-font-create-for-ft-face.c | 102 ++++++++++++++++++++++++++++++++++++++
 6 files changed, 140 insertions(+), 16 deletions(-)

commit f5f21a768d71f2a6897b5290f74fd41116c43966
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 16 21:04:02 2005 +0000

    Fix the filter-nearest-offset test to actually test CAIRO_FILTER_NEAREST.

 ChangeLog                    | 5 +++++
 test/filter-nearest-offset.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit c892ee36d94532a395dc11d4d954611ce4f353c7
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 16 19:54:05 2005 +0000

    Fix a typo in the last commit.

 pixman/ChangeLog       | 4 ++++
 pixman/src/Makefile.am | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0398085a6fb2e7bddba6529e7a205781347759d1
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 16 18:38:38 2005 +0000

    Split the MMX code into a separate libtool library to avoid applying the MMX CFLAGS to all of the pixman code. Idea and code from Owen Taylor.
    Update the mangling header file to include the MMX symbols.

 pixman/ChangeLog          |  9 +++++++++
 pixman/src/Makefile.am    |  7 +++++--
 pixman/src/pixman-remap.h | 21 +++++++++++++++++++++
 3 files changed, 35 insertions(+), 2 deletions(-)

commit 18f3357c99fdecb3eede41f24fbd086ab4700677
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Aug 16 18:22:16 2005 +0000

    src/cairoint.h: Split out a couple of useful utility functions.
    src/cairo-clip.c src/cairo-gstate.c: Use them.
    Move code to fill a pixman_region16_t to here.
    Document.
    Use _cairo_surface_fill_region().
    Add a return status, use regions to simplify.
    src/cairoint.h
    Handle the return value from _cairo_surface_composite_fixup_unbounded().
    src/cairo-surface.c src/cairoint.h (_cairo_surface_composite_shape_fixup_unbounded): Add a variant of _cairo_surface_composite_fixup_unbounded() to avoid creating a dummy cairo_surface_attributes_t.
    Use _cairo_surface_composite_shape_fixup_unbounded().
    Call _cairo_surface_composite_shape_fixup_unbounded(), since the source might still be restricted, even though the mask is unbounded.
    Restore the rectangle optizations when drawing with unbounded operators by adding a clear for the extra area after drawing the rectangles.

 ChangeLog                 |  44 +++++++
 src/Makefile.am           |   1 +
 src/cairo-clip.c          |  47 ++-----
 src/cairo-gstate.c        | 144 ++++++++++-----------
 src/cairo-image-surface.c |  90 +++++++------
 src/cairo-region.c        |  83 ++++++++++++
 src/cairo-surface.c       | 322 ++++++++++++++++++++++++++++++++--------------
 src/cairo-xlib-surface.c  |  84 ++++++------
 src/cairoint.h            |  50 +++++--
 9 files changed, 565 insertions(+), 300 deletions(-)

commit ae15c7d32166b6408ee7e1dc8a817a4c510ae3c3
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 16 16:52:35 2005 +0000

    Add a check for the MMX intrinsics used by pixman. gcc >= 3.4 is required.

 ChangeLog    |  5 +++++
 configure.in | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

commit 9ae7d8a13b065fc44966eceb28976aa2b009e46b
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Tue Aug 16 16:50:25 2005 +0000

    Port MMX code from xserver to pixman.
    Add an fbpict.c ported from the latest in xserver/fb, including hooks to the MMX code where appropriate. This replaces the old ic.c file.
    Replaced by fbpict.c.
    Move some X server macros from fbpict.c up into icint.h to keep the diff small.
    Add fbmmx and fbpict.c, remove ic.c.
    Add a check for the MMX intrinsics. gcc >= 3.4 is required.

 pixman/ChangeLog              |   53 +
 pixman/configure.in           |   32 +
 pixman/src/Makefile.am        |   10 +-
 pixman/src/fbmmx.c            | 2503 +++++++++++++++++++++++++++++++++++++++++
 pixman/src/fbmmx.h            |  228 ++++
 pixman/src/{ic.c => fbpict.c} |  647 +++++++----
 pixman/src/icint.h            |   30 +
 7 files changed, 3286 insertions(+), 217 deletions(-)

commit a2a89e858af70262de276c8568baabf91e00dbb2
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 16 16:41:10 2005 +0000

    Rename cairo_printf_format to CAIRO_PRINTF_FORMAT. Fix syntax error in the case of an empty definition. (Thanks to Vladimir Vukicevic).

 ChangeLog      | 6 ++++++
 src/cairoint.h | 7 +++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit b7737163bc8c8d60967e025b71d30f9827d45801
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Sun Aug 14 19:25:05 2005 +0000

    Zero out 'entry', not 'unscaled' when evicting face from cache.

 ChangeLog           | 5 +++++
 src/cairo-ft-font.c | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 52c5d89ae58e50a788f6d1ab79e9159c944c426e
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Sat Aug 13 17:38:23 2005 +0000

    Fix a mismatch between printf arguments and format string (thanks to Adrian Johnson).
    Add macro to mark printf like functions.

 ChangeLog              |  9 +++++++++
 src/cairo-ps-surface.c |  4 ++--
 src/cairoint.h         | 10 +++++++++-
 3 files changed, 20 insertions(+), 3 deletions(-)

commit 28958e368cfe50198188407da10c66510d9c9515
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sat Aug 13 08:12:17 2005 +0000

    Change docREEL back to doc. (Found by Kjartan Maraas)

 ChangeLog   | 5 +++++
 Makefile.am | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 0a2a4045daf9cdd9952918499152f88c6387709a
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 05:46:40 2005 +0000

    Fix typo ('internal' should have been 'external').

 ChangeLog | 4 ++++
 NEWS      | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 2ebf274db4a21f11739ff6603a47fdf49571e3e9
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 05:33:21 2005 +0000

    Increment CAIRO_VERSION to 0.9.3 after tagging RELEASE_0_9_2.
    Slight rewording of announcement email.

 ChangeLog    | 8 ++++++++
 Makefile.am  | 8 ++++++--
 configure.in | 2 +-
 3 files changed, 15 insertions(+), 3 deletions(-)

commit b3a4f29f830dbcb57ef3d1e4c3c140126752043b
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 05:00:20 2005 +0000

    Added notes for release 0.9.2.
    Increment CAIRO_VERSION to 0.9.2 and libtool versioning to 3:1:1.
    Remove some more 'snapshot' language. Make it more clear that the libtool versioning numbers need to be updated.

 ChangeLog    | 20 +++++++-------
 NEWS         | 88 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 RELEASING    | 10 +++----
 configure.in |  8 +++---
 4 files changed, 99 insertions(+), 27 deletions(-)

commit 3f24b949a070aebaeaa465ccd09604bda0be717b
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 04:22:46 2005 +0000

    Fix unterminated comment that eliminated cairo_pattern_add_color_stop_rgba.

 ChangeLog           | 5 +++++
 src/cairo-pattern.c | 1 +
 2 files changed, 6 insertions(+)

commit fd8a70f4b6b919682f2609e0dda08aa1564d8ccf
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 04:17:36 2005 +0000

    Add missing notes on soname and user-space locking for cairo_set_source() to the 0.9.0 release notes.
    Document cairo_pattern_add_color_stop_rgb, cairo_pattern_add_color_stop_rgba, cairo_pattern_set_matrix, and cairo_pattern_get_matrix.
    Add note on user-space locking to the documentation for cairo_set_source().

 ChangeLog           | 18 ++++++++++
 NEWS                | 34 ++++++++++++++++++-
 src/cairo-pattern.c | 96 ++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/cairo.c         |  5 +++
 4 files changed, 148 insertions(+), 5 deletions(-)

commit 620de68bea6fa4e287d565b293202114200deec4
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 03:26:18 2005 +0000

    Turn the mutex code back on. It looks like the deadlocks have disappeared as of the cairo_scaled_font_map patch from two days ago.
    Setup an automake conditional for the HAVE_PTHREAD case.
    Link all tests with -lpthread if available, so that we can get some testing of cairo with mutexes turned on.

 ChangeLog        | 16 ++++++++++++++++
 configure.in     |  7 ++-----
 src/cairoint.h   | 41 +++++++++--------------------------------
 test/Makefile.am |  4 ++++
 4 files changed, 31 insertions(+), 37 deletions(-)

commit 615a32107d8174b71b0a7cbb504d79913a6e159d
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 02:21:07 2005 +0000

    Minor, cosmetic changes:
    Reowrd comment to be more clear.
    Prefer return of address of base field rather than cast.
    Whitespace fix.

 ChangeLog           | 13 +++++++++++++
 src/cairo-ft-font.c |  7 ++++---
 2 files changed, 17 insertions(+), 3 deletions(-)

commit a8b6ad3e88e5b13434ab4fbac1e86e6a9076e636
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 02:02:39 2005 +0000

    Shuffle functions around to put them in a sane order within the file. There should be no functional change here.

 ChangeLog           |  11 ++
 src/cairo-ft-font.c | 367 +++++++++++++++++++++++++---------------------------
 2 files changed, 187 insertions(+), 191 deletions(-)

commit 47d5bbeafc3a763988b66d8dbffff5426655213d
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 13 01:38:55 2005 +0000

    Add hash_entry field to cairo_scaled_font_t so that it can be hashed.
    Convert the font_face/matrix/ctm/options => cairo_scaled_font_t mapping from a two-layer cairo-cache.c implementation to a single cairo-hash.c implementation backed by a simple array for the secondary cache.
    Reviewed by: keithp

 ChangeLog        |  22 +++
 src/cairo-font.c | 592 ++++++++++++++++++++++++-------------------------------
 src/cairoint.h   |   6 +-
 3 files changed, 288 insertions(+), 332 deletions(-)

commit be9698e6ada908a09a306dd0a2c7d824ffc824c8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 13 01:17:06 2005 +0000

    Move checks for invalid number of points before the calls that use the points.

 ChangeLog             |  6 ++++++
 src/cairo-path-data.c | 14 +++++++-------
 2 files changed, 13 insertions(+), 7 deletions(-)

commit c5ac41755d1df2083b86dcf8b25f96c3aa7d22ed
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 13 01:04:55 2005 +0000

    Fix conversion to short, to get a uniform range even for 0xffff. In other words, a color component of of (1.0 - epsilon) would convert to 0xffff, not 0xfffe.

 ChangeLog         |  6 ++++++
 src/cairo-color.c | 28 +++++++++-------------------
 2 files changed, 15 insertions(+), 19 deletions(-)

commit 20f92f48917393631c87d5f633a1055920b044a9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 13 00:20:45 2005 +0000

    Generate sh1sum instead of md5sum. Use gpg to sign it. You need gpg set up.

 ChangeLog   | 10 ++++++++--
 Makefile.am | 40 +++++++++++++++++++++++++++-------------
 RELEASING   | 10 ++++++----
 3 files changed, 41 insertions(+), 19 deletions(-)

commit a201637c7224b921948b79e4244dcc4f99f76cdf
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 12 23:50:17 2005 +0000

    Move tag from an instruction in RELEASING to an automated step at the end of release-publish.

 ChangeLog   | 6 ++++++
 Makefile.am | 2 ++
 RELEASING   | 9 +++------
 3 files changed, 11 insertions(+), 6 deletions(-)

commit 21dff93be5fd8fff1e4de96afaf8ff12cb7a850a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 12 21:35:31 2005 +0000

    Check that the micro component of the version number is even.
    Fixed the pattern to find all public header files.

 ChangeLog   |  9 ++++++++-
 Makefile.am | 16 ++++++++++++++--
 RELEASING   |  6 ++----
 3 files changed, 24 insertions(+), 7 deletions(-)

commit 027157feb6a3761eca1edb4eb547ca07081c33e2
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Thu Aug 11 21:07:26 2005 +0000

    Fix to be correct for arbitrary xDst values.

 pixman/ChangeLog    |  5 +++++
 pixman/src/icrect.c | 64 ++++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 63 insertions(+), 6 deletions(-)

commit 56d299d277f5a31f72d4a203673fbb026b7bb33f
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 11 16:52:43 2005 +0000

    Fix inverted sense of assert statement which led to lots of unpleasant crashes.

 ChangeLog                     | 5 +++++
 doc/public/cairo-sections.txt | 5 +++++
 src/cairo-font.c              | 2 +-
 3 files changed, 11 insertions(+), 1 deletion(-)

commit ba9cb14cdf7d89132232aa3121f8e60d5982dc34
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 11 14:59:27 2005 +0000

    Add hash_entry field to cairo_font_face_t so that it can (optionally) be hashed.
    Complete the remainder of the simple -> toy renaming. Convert the family/slant/weight -> cairo_toy_font_face_t mapping to use cairo-hash.c rather than cairo-cache.c.

 ChangeLog        |  16 +++
 src/cairo-font.c | 360 ++++++++++++++++++++++++-------------------------------
 src/cairoint.h   |   4 +-
 3 files changed, 178 insertions(+), 202 deletions(-)

commit d1dbd031cca9fbef2381e98e626e75c357dd4f53
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 11 14:49:07 2005 +0000

    Move implementation of filename/id => cairo_ft_unscaled_font_t from cairo-cache.c to cairo-hash.c, with new cairo_ft_unscaled_font_map.
    Add cairo_unscaled_font->hash_entry so that unscaled fonts can live in hash tables.

 ChangeLog           |  46 ++++++
 src/cairo-ft-font.c | 435 +++++++++++++++++++++++++++-------------------------
 src/cairoint.h      |   1 +
 3 files changed, 273 insertions(+), 209 deletions(-)

commit 34c9e242c85cfe5cb2b53182bea07513f38c9c78
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 11 06:35:20 2005 +0000

    Re-order cairo_scaled_font->font_face parameter to maintain the font_face,font_matrix,ctm,options order that prevails throughout the implementation. Add font_face parameter to _cairo_scaled_font_init.
    Remove const qualifier from toy_face parameter to creat_toy, as these functions may reference the font face. Track addition of font_face parameter to _cairo_scaled_font_init.
    Implement font_face parameter to _cairo_scaled_font_init, moving the reference of the font_face from _cairo_inner_font_cache_create_entry.
    Add a font_face parameter in addition to the unscaled_font parameter.
    Track new font_face parameter to _cairo_ft_scaled_font_create.
    Whitespace touchup.
    Reviewed by: otaylor

 ChangeLog              | 31 ++++++++++++++++++++++++++++++
 src/cairo-atsui-font.c |  4 ++--
 src/cairo-font.c       |  7 +++----
 src/cairo-ft-font.c    | 52 +++++++++++++++++++++++++++++---------------------
 src/cairo-win32-font.c | 11 ++++++++---
 src/cairoint.h         |  5 +++--
 6 files changed, 77 insertions(+), 33 deletions(-)

commit b25c1203d8d313d9b44f29e4b0d1329dddd42dbe
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Wed Aug 10 22:03:00 2005 +0000

    Add support for filling 1bpp images (used to clear A1 masks).

 pixman/ChangeLog    |  5 +++++
 pixman/src/icrect.c | 21 +++++++++++++++++++++
 2 files changed, 26 insertions(+)

commit 58c51ff1378ce749b78a2edac622100c8873efb8
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Wed Aug 10 21:12:10 2005 +0000

    Update to match the output from libpixman.

 ChangeLog                  |   5 +++++
 test/clip-operator-ref.png | Bin 37486 -> 38336 bytes
 2 files changed, 5 insertions(+)

commit 910d824b3df8cc72a52c44b1177045d91b83051b
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Wed Aug 10 21:10:11 2005 +0000

    Port fbcompose.c from xserver into pixman. Add #defines for gradients, convolution filters, and indexed colour formats to keep the patch small. Use pixman regions instead of X server regions as appropriate.
    Remove iccompose.c, replaced by fbcompose.c.
    Add a slightly-trimmed version of fbpict.h from xserver/fb to make the port smaller and cleaner.
    Use the redundant fbpict.h defines and add in the struct for indexed colour support.
    Remove defines now in fbpict.h.
    Add some constants and types required by fbcompose.c
    Add fbcompose.c and fbpict.h, remove iccompose.c.
    reviewed by: cworth and Jeff Muizelaar at various stages

 pixman/ChangeLog                   |   89 +
 pixman/src/Makefile.am             |    3 +-
 pixman/src/fbcompose.c             | 3617 ++++++++++++++++++++++++++++++++++++
 pixman/src/fbpict.h                |  356 ++++
 pixman/src/ic.c                    |   46 +-
 pixman/src/iccompose.c             | 2837 ----------------------------
 pixman/src/icimage.h               |   35 +-
 pixman/src/pixman-xserver-compat.h |   16 +
 8 files changed, 4082 insertions(+), 2917 deletions(-)

commit 0b991f9633b2b2285132c7100aea43dcb15c7ca8
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 20:25:57 2005 +0000

    Thanks to Olivier Andrieu:
    Add mention of cairo_get_antialias. Fix to mention cairo_surface_flush by its correct name, (rather than the non-existent cairo_flush).

 ChangeLog | 8 ++++++++
 NEWS      | 7 ++++---
 2 files changed, 12 insertions(+), 3 deletions(-)

commit ce5a493c70e530ee5aaec9acafb63d871d79d583
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 16:04:26 2005 +0000

    Fix id to be cairo rather than libglade. (Thanks to Christian Biesinger).

 ChangeLog                 | 5 +++++
 doc/public/cairo-docs.xml | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ae63b95211f32f169af37dc03956f9d23fd6794d
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 15:58:25 2005 +0000

    Augment existing CAIRO_VERSION_MAJOR/MINOR/MICRO and CAIRO_VERSION_STRING with CAIRO_VERSION_ENCODE and CAIRO_VERSION. Add functions for run-time access:
    cairo_version cairo_version_string

 ChangeLog   | 11 +++++++++++
 src/cairo.c | 42 ++++++++++++++++++++++++++++++++++++++++++
 src/cairo.h | 16 ++++++++++++++++
 3 files changed, 69 insertions(+)

commit bdd8cbddeedec584fc859c5c092ce67c3a1830eb
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 14:30:15 2005 +0000

    From Travis Spencer <tspencer@cs.pdx.edu>:
    Fix typo causing a syntax error.

 ChangeLog               | 8 ++++++++
 src/cairo-xcb-surface.c | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit eacc1e95a536cbdbf0fe7a09cfa9fb519b401b50
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 10 13:32:06 2005 +0000

    Place private include directives before CAIRO_CFLAGS in case pixman remains installed in the system.

 ChangeLog        | 6 ++++++
 test/Makefile.am | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit a05fcce1650e4b4b360056c072e09fdd7b193f5b
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 10 13:27:48 2005 +0000

    Union with empty rectangle should yield SUCCESS, not FAILURE

 pixman/ChangeLog       | 5 +++++
 pixman/src/pixregion.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 0fc4192104fe7f3e147fe9a80eada779fd0265fc
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 12:36:51 2005 +0000

    From Keith Packard <keithp@keithp.com>,
    Build pixman internally as a private part of cairo, with suitable name changes to avoid any visible pixman symbols in the cairo library:
    Descend into pixman.
    Drop libpixman from Requires.
    Don't check for libpixman. Check version of pkg-config and use Requires.private instead of Requires in cairo.pc if possible. Generate pixman Makefiles.
    Rip out release-publish target and installation of libpixman.pc.
    Add pixman-remap.h. Drop libpixman.la target.
    Fix to include config.h rather than ../config.h
    This is the cpp magic to rename all pixman functions from the various fb, Fb, INT_pixman, pixman, Render, _Render, or no prefix to _cairo_pixman_ prefixes.
    Include pixman-remap.h to get all the cairo-internalized names.
    Add -Ipixman/src to get at pixman-remap.h.

 ChangeLog                 |  36 ++++++
 Makefile.am               |   4 +-
 cairo.pc.in               |   2 +-
 configure.in              |  18 ++-
 pixman/Makefile.am        |  57 +--------
 pixman/src/Makefile.am    |   8 +-
 pixman/src/icint.h        |   2 +-
 pixman/src/pixman-remap.h | 302 ++++++++++++++++++++++++++++++++++++++++++++++
 pixman/src/pixman.h       |   3 +-
 src/Makefile.am           |   4 +-
 test/Makefile.am          |   1 +
 11 files changed, 364 insertions(+), 73 deletions(-)

commit bbf0d98a54ca15a7d5ba3f34851a9dd8d9ba07c4
Author: Vladimir Vukicevic <vladimir@pobox.com>
Date:   Wed Aug 10 11:40:11 2005 +0000

    Additional fix for 0-width/0-height glyphs.

 ChangeLog                 | 5 +++++
 src/cairo-glitz-surface.c | 6 ++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 8df9bfecadda5bc98d2fe484f6ea55110ac99b2c
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 11:30:45 2005 +0000

    Change release instructions to indicate new odd-micro version for in-progress development, and even-micro for released versions. Do a bit of snapshot->release renaming.

 ChangeLog   |  9 +++++++++
 Makefile.am |  4 ++--
 RELEASING   | 41 ++++++++++++++++++++++-------------------
 3 files changed, 33 insertions(+), 21 deletions(-)

commit 82fbb9c381adf9e7b7b6c5fac52c175b8859e419
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 11:08:38 2005 +0000

    Patch from Behdad Esfahbod <behdad@cs.toronto.edu>:
    Update to use AC_INIT and AM_INIT_AUTOMAKE in recommended ways. Add support for substituting CAIRO_VERSION_MAJOR/MINOR/MICRO into generated headers.
    Add CAIRO_VERSION_MAJOR/MINOR/MICRO and CAIRO_VERSION_STRING which are generated by configure.

 ChangeLog               | 11 +++++++++++
 configure.in            | 31 ++++++++++++++++++++++---------
 src/cairo-features.h.in |  6 ++++++
 3 files changed, 39 insertions(+), 9 deletions(-)

commit 52ec34a157d0d0ef5af49f767a50672b84ebb9e6
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 10 06:52:40 2005 +0000

    Add cairo_private to the few pieces of data that were missing it.

 ChangeLog                     |  6 ++++++
 src/cairo-path-data-private.h |  2 +-
 src/cairoint.h                | 12 ++++++------
 3 files changed, 13 insertions(+), 7 deletions(-)

commit 8042a0d219131acfbeb6ed54b078ad2bc26ccbef
Author: Vladimir Vukicevic <vladimir@pobox.com>
Date:   Tue Aug 9 13:42:54 2005 +0000

    Don't crash on 0-width or 0-height glyphs; also correctly initialize entry->key.base.memory with the image cache image.
    Free allocated entry in case of error to avoid leaking memory.

 ChangeLog                 |  9 +++++++++
 src/cairo-glitz-surface.c | 35 +++++++++++++++++++++++++++++++++--
 src/cairo-xlib-surface.c  |  3 +++
 3 files changed, 45 insertions(+), 2 deletions(-)

commit cedf233052f8e173c671e614207bd63e2b7add4b
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 9 13:01:14 2005 +0000

    Add cairo_private to several function prototypes that were missing it.

 ChangeLog                        |  8 ++++++++
 src/cairo-arc-private.h          |  4 ++--
 src/cairo-ft-private.h           |  4 ++--
 src/cairo-meta-surface-private.h |  4 ++--
 src/cairoint.h                   | 26 +++++++++++++-------------
 5 files changed, 27 insertions(+), 19 deletions(-)

commit a391bb451a9521efa9526fe8acba97f96540d4be
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 9 12:35:09 2005 +0000

    Note that sane clipping is done now. Add release versions for previously completed items.
    Ignore unantialiased-shapes.

 ChangeLog       |  7 +++++++
 ROADMAP         | 12 +++++-------
 test/.cvsignore |  1 +
 3 files changed, 13 insertions(+), 7 deletions(-)

commit 6ece52cd0572800006d87109e8818c514d5b88ca
Author: Tor Lillqvist <tml@novell.com>
Date:   Tue Aug 9 10:05:35 2005 +0000

    Get cairo_toy_font_face_t type right.

 ChangeLog              | 5 +++++
 src/cairo-atsui-font.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 018015d802c170c1578efcdb9efecec08f11ab99
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Aug 9 09:27:39 2005 +0000

    Add -head to CAIRO_VERSION after tagging with RELEASE_0_9_0.

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4bec3d6af49f9a720121617819700bc700ba5951
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 8 21:06:44 2005 +0000

    Added notes for release 0.9.0.
    Increment CAIRO_VERSION to 0.9.0. Increment LT_CURRENT to 2 to mark the beginning of proper soname management.

 ChangeLog    |  7 ++++++
 NEWS         | 77 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |  4 ++--
 3 files changed, 86 insertions(+), 2 deletions(-)

commit 9a088c2fad17af0564936a3b88c9d306c72f11de
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 8 21:02:11 2005 +0000

    Add missing cairo-debug.h which was hold up make distcheck.

 ChangeLog       | 5 +++++
 src/Makefile.am | 1 +
 2 files changed, 6 insertions(+)

commit 4d2b8bddded15662015466046039650c20231bbf
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 8 20:57:13 2005 +0000

    Fix typo that was holding up make distcheck from working.

 ChangeLog        | 5 +++++
 test/Makefile.am | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 1278ade2297e027906ca12c7471891a08188b115
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Mon Aug 8 18:36:56 2005 +0000

    Declare _cairo_path_nil as extern.

 ChangeLog                     | 4 ++++
 src/cairo-path-data-private.h | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 53444c286ef45fa0054ba6ab94dac11016e9600c
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Mon Aug 8 18:35:22 2005 +0000

    Add a new API for disabling antialiasing of shapes drawn by cairo. This is a hint and is not supported by all backends.
    Store the antialiasing mode in the gstate and pass it to the backend for trapezoid rendering and for clipping.
    Pass the antialiasing parameter down to the backend where appropriate.
    Pass the antialiasing parameter down to the backend where appropriate.
    Add support for A1 format trapezoid rendering, and remove the _create_mask_image function, creating a temporary image from memory we allocate and clear.
    Support A1 masks to disable antialiasing using the RENDER extension when requested.
    Support A1 masks to disable antialiasing using the RENDER extension when requested.
    Blindly pass through the antialising parameter.
    Add the antialiasing parameter but don't support it.
    Add a test case and a reference image from the latest libpixman.
    Add the new antialiasing disabling API to the docs.
    Update progress on a parameter to disable antialiasing.
    reviewed by: cworth, otaylor

 ChangeLog                         |  74 +++++++++++++++++++++++++++
 TODO                              |   2 +-
 doc/public/cairo-sections.txt     |   4 +-
 doc/public/tmpl/cairo-font.sgml   |  10 ----
 doc/public/tmpl/cairo.sgml        |  28 +++++++++++
 src/cairo-clip-private.h          |   2 +
 src/cairo-clip.c                  |  15 ++++--
 src/cairo-glitz-surface.c         |   1 +
 src/cairo-gstate-private.h        |   1 +
 src/cairo-gstate.c                |  49 ++++++++++++++----
 src/cairo-image-surface.c         |  71 ++++++++++++++------------
 src/cairo-meta-surface-private.h  |   3 ++
 src/cairo-meta-surface.c          |  11 +++-
 src/cairo-pdf-surface.c           |   4 +-
 src/cairo-ps-surface.c            |  12 +++--
 src/cairo-surface.c               |  20 ++++++--
 src/cairo-xcb-surface.c           |  11 +++-
 src/cairo-xlib-surface.c          |  22 ++++++--
 src/cairo.c                       |  40 +++++++++++++++
 src/cairo.h                       |  46 +++++++++--------
 src/cairoint.h                    |  18 +++++--
 test/Makefile.am                  |   3 ++
 test/unantialiased-shapes-ref.png | Bin 0 -> 4450 bytes
 test/unantialiased-shapes.c       | 103 ++++++++++++++++++++++++++++++++++++++
 24 files changed, 450 insertions(+), 100 deletions(-)

commit 578b45c9032fd00b68fc1709d61e915d74a527c7
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 8 17:32:24 2005 +0000

    Ignore clip-operator and unbounded-operator.

 ChangeLog       | 4 ++++
 test/.cvsignore | 2 ++
 2 files changed, 6 insertions(+)

commit 8bdad8ffa2962c9dff1e86e9bd131d588a1ebd2f
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 8 15:50:55 2005 +0000

    Fix gnome-announce-list address.

 ChangeLog | 4 ++++
 RELEASING | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit d51a35543ca405dda788eb6433e6bb30dc3c7cf5
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 8 14:27:01 2005 +0000

    Don't free the glyph if the entry doesn't have a glyph. (Maybe #3909, Carlos Garnacho Parro)

 ChangeLog                | 6 ++++++
 src/cairo-xlib-surface.c | 5 +++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 69f140b654df878b9ba86d61062d235bbebef7a2
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 8 14:13:50 2005 +0000

    Add a return value after ASSERT_NOT_REACHED to quiet an anxious compiler.

 ChangeLog          | 5 +++++
 src/cairo-gstate.c | 1 +
 2 files changed, 6 insertions(+)

commit 8478804d9818deb3a1f86e8e22200c40f83962bf
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 8 14:11:00 2005 +0000

    Fix accidentally committed line.

 ChangeLog          | 5 +++++
 src/cairo-gstate.c | 4 +---
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 7caa7cccf2e5aff083d5a88fbace0b24430397de
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon Aug 8 13:50:59 2005 +0000

    Update doc comment.

 ChangeLog           |  5 +++++
 src/cairo-surface.c | 12 +++++-------
 2 files changed, 10 insertions(+), 7 deletions(-)

commit d4b24dc974bd4298c1ad8d06efc4f3dfea68ee03
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 8 13:50:02 2005 +0000

    Add reference images

 test/clip-operator-ref.png      | Bin 0 -> 37486 bytes
 test/unbounded-operator-ref.png | Bin 0 -> 14178 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 8f19aaf9a8a60aa2eb86e25946d04f293ed703db
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 8 13:46:11 2005 +0000

    Add a function to test whether a cairo_operator_t is bounded (does nothing for 0 src/mask)
    cairoint.h: Add a helper function to take clearing areas that are outside the source/mask but are cleared by unbounded operations.
    src/cairo-xlib-surface.c (_cairo_xlib_surface_composite): Use _cairo_surface_composite_fixup_unbounded() as needed.
    src/cairo-image-surface.c src/cairint.h: Keep track of whether the surface has a clip or not ... we need this for determining when we can bypass an intermediate mask for composite_trapezoids().
    Create an intermediate mask of the right size with pixman_add_trapezoids() and composite that.
    When rendering with an unbounded operator, create the intermediate mask ourselves and render with ADD to that, then composite the result.
    Create an intermediate surface the size of the extents, render the glyphs to that then composite the results.
    Add the size of the glyph
    Compute the size of the glyph mask, then use _cairo_surface_composite_fixup_unbounded().
    Use the right mask format. (Unrelated bugfix)
    New function taking a drawing function as a parameter to encapsulate shared logic between compositing trapezoid, glyphs, and masks.
    Use _cairo_gstate_clip_and_composite(). Also fix extents computations for unbounded operators.
    src/cairo-clip.c src/cairo-clip-private.h (_cairo_clip_combine_to_surface): Add the destination as an extra parameter to allow combining to an intermediate surface.
    tests/unbounded-operator.c tests/Makefile.am: Add a test for the operation of the 6 unbounded operators against different shapes.
    tests/clip-operator.c tests/Makefile.am: Add a test that tests surface clipping with different shapes against all the operators.
    Make use OVER like the name and description. With fixed semantics, SOURCE does something different.

 ChangeLog                                      |  60 ++
 src/cairo-clip-private.h                       |   9 +-
 src/cairo-clip.c                               |  22 +-
 src/cairo-ft-font.c                            | 122 +++-
 src/cairo-gstate.c                             | 733 +++++++++++++++----------
 src/cairo-image-surface.c                      | 126 ++++-
 src/cairo-surface.c                            | 151 +++++
 src/cairo-xlib-surface.c                       | 214 +++++++-
 src/cairoint.h                                 |  23 +-
 test/Makefile.am                               |   6 +
 test/clip-operator.c                           | 205 +++++++
 test/composite-integer-translate-over-repeat.c |   2 +-
 test/unbounded-operator.c                      | 201 +++++++
 13 files changed, 1520 insertions(+), 354 deletions(-)

commit 31ef9a80e95c5b84439b5d668d11ab3480d22a22
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 6 17:00:59 2005 +0000

    Remove several bugs that have been fixed.

 BUGS | 53 -----------------------------------------------------
 1 file changed, 53 deletions(-)

commit 1fadb8065600d5b9cbab9a14232e08daec450e4d
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 6 16:57:14 2005 +0000

    Remove several bugs that have been fixed.
    Slip group support off of the 1.0 roadmap. Update status of clipping work which otaylor is working on.
    Update for progress on cairo_surface_mark_dirty (committed), non-antialiased rendering (patch), cairo_arc_to (patch), consistent error handling (committed), cairo_content_t (committed). Remove details for some completed items.
    Don't crash if font_face is NULL, (this is a documented mechanism for returning to the default font_face).

 BUGS               | 29 ------------------------
 ChangeLog          | 16 ++++++++++++++
 ROADMAP            | 22 +++++++++---------
 TODO               | 65 +++++-------------------------------------------------
 src/cairo-gstate.c |  2 +-
 5 files changed, 34 insertions(+), 100 deletions(-)

commit 2f1024f83fc971516224b910cec8d3e787740c53
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 6 16:38:33 2005 +0000

    Fix to return &_cairo_font_face_nil instead of NULL on error.

 ChangeLog   | 5 +++++
 src/cairo.c | 7 ++-----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 8c52b287f37f8361653030024d7a4a42fc6e54ed
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Aug 6 15:10:36 2005 +0000

    Give reason for failure.

 ChangeLog      | 4 ++++
 test/a8-mask.c | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 158b338fb2817996c5191332951b6957416c2e77
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sat Aug 6 10:22:07 2005 +0000

    Remove a non-sensical XXX that crept in at some point; for a solid color, there is no difference between premultiplied and non-premultiplied colors.

 ChangeLog              | 7 +++++++
 src/cairo-win32-font.c | 1 -
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f367e693322b1cf04040521080cc65403c292a28
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Aug 6 00:09:17 2005 +0000

    Fix up some stale comments. Rename _cairo_ft_scaled_font_create_for_unscaled to its proper name of _cairo_ft_scaled_font_create (which is available now that _cairo_ft_scaled_font_create_toy has its correct name). Also prefer 'scaled_font' over 'f' as an identifier.

 ChangeLog           | 11 +++++++++++
 src/cairo-ft-font.c | 46 ++++++++++++++++++++++++----------------------
 2 files changed, 35 insertions(+), 22 deletions(-)

commit e63e0578b1edf2b60c818b3e6741cf97c5a53359
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 23:41:41 2005 +0000

    Unify initialization for _cairo_ft_unscaled_font_create_from_face and _cairo_ft_unscaled_font_create_from_filename through new _cairo_ft_unscaled_font_init.

 ChangeLog           |   9 +++++
 src/cairo-ft-font.c | 102 ++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 80 insertions(+), 31 deletions(-)

commit c4a806f21c2b6c3081b953497daf25108a734787
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 22:37:29 2005 +0000

    Rename _ft_font_face_backend to be preoperly namespaced as _cairo_ft_font_face_backend.

 ChangeLog           | 6 ++++++
 src/cairo-ft-font.c | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit ff147497e54ef7573b35bd023d11e4e7d4272979
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 22:35:04 2005 +0000

    Rename cairo_ft_font_face->next_face to next.

 ChangeLog           |  6 ++++++
 src/cairo-ft-font.c | 18 ++++++++++++------
 2 files changed, 18 insertions(+), 6 deletions(-)

commit cfcab8fe4467095381c7a4d32182580649db6f00
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 22:29:06 2005 +0000

    Include cairo-hash-private.h.
    Add cairo-hash.c and cairo-hash-private.h since we're actually going to start using them now.

 ChangeLog       | 8 ++++++++
 src/Makefile.am | 2 ++
 src/cairoint.h  | 2 ++
 3 files changed, 12 insertions(+)

commit de87ebcc1c53d9daa4f77b618766215b1723778e
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 22:17:08 2005 +0000

    Fix problems in render fb implementation found by rendercheck:
    - fbCombineSaturate was pointed at fbCombineDisjointOver, instead of fbCombineDisjointOverReverse as it should. Instead, point fbCombineDisjointOverReverse at fbCombineSaturate (which is likely to be faster).
    - fix previously-unused fbCombineSaturate implementation.
    - fbCombineMaskAlphaC was just a copy of fbCombineMaskValueC. Make it do what it's supposed to (return a cs.alpha).
    - fbCombineAtopC didn't invert the source alpha value.
    - fix copy'n'paste errors in fbCombine(Dis/Con)jointGeneralC, also source alpha wasn't treated in a component fashion.
    From anholt.

 pixman/ChangeLog       |  20 +++++
 pixman/src/iccompose.c | 195 ++++++++++++++++++++++++++++++++++---------------
 2 files changed, 156 insertions(+), 59 deletions(-)

commit 71e560a8fa78d9fd6f83cce820de9f4acb3829eb
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 21:35:51 2005 +0000

    Temporarily disable the 24bpp WORKING_UNALIGNED_INT because of a crash when using electric-fence when accessing hte last pixel of a drawable (last pixel is 3 bytes, read it as a 4 byte word, and you're reading one extra pixel, which doesn't normally matter, but does in a few rare cases). Should be easy to work around, but that will come later.
    From jaymz

 pixman/ChangeLog       | 11 +++++++++++
 pixman/src/iccompose.c | 10 +++++++---
 2 files changed, 18 insertions(+), 3 deletions(-)

commit 417a66da5e8a98583661d08703a5c5562732678a
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 21:33:41 2005 +0000

    Simplify the implementation by taking advantage of the fact that destroy and reference are safe for NULL, and that reference returns its argument.

 ChangeLog          | 7 +++++++
 src/cairo-gstate.c | 7 ++-----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 80b944418cab51fcc2178080fe0c9a5ffd512479
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 21:27:21 2005 +0000

    Rename two functions:
    _cairo_gstate_unset_font -> _cairo_gstate_unset_scaled_font _cairo_gstate_ensure_font -> _cairo_gstate_ensure_scaled_font

 ChangeLog          | 17 +++++++++++++++++
 src/cairo-gstate.c | 40 ++++++++++++++++++++--------------------
 2 files changed, 37 insertions(+), 20 deletions(-)

commit 75e3d2883409220350a688716c908bea7b6e2c13
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 21:02:25 2005 +0000

    Entagle the cairo_unscaled_font_t typedef.

 ChangeLog      | 4 ++++
 src/cairoint.h | 6 ++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit c14f2252b1b3a4499e65c13a146b9f8c5e9c5550
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 20:53:09 2005 +0000

    Rename font_face_backend->create_font to scaled_font_create. Group the scaled_font prototypes together. A little more simple -> toy renaming.
    A little more simple -> toy renaming.
    Track rename of font_face_backend->scaled_font_create.

 ChangeLog              | 19 +++++++++++++++++++
 src/cairo-font.c       | 42 +++++++++++++++++++++---------------------
 src/cairo-ft-font.c    | 14 +++++++-------
 src/cairo-gstate.c     |  8 ++++----
 src/cairo-win32-font.c | 14 +++++++-------
 src/cairoint.h         | 30 +++++++++++++++---------------
 6 files changed, 73 insertions(+), 54 deletions(-)

commit 9c1fe21cd70bed9fd9e77ec757751df723cb9c42
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 20:30:43 2005 +0000

    Rather gratuitous (though mostly harmless) whitespace changes for font backend tables.

 ChangeLog      |   5 +++
 src/cairoint.h | 104 ++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 63 insertions(+), 46 deletions(-)

commit 4ad365f1834bf0204e44156a62b8e8539fb65ef9
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 20:15:19 2005 +0000

    Document the implicit closing of sub-paths for cairo_fill and cairo_fill_preserve.

 ChangeLog   |  5 +++++
 src/cairo.c | 10 ++++++----
 2 files changed, 11 insertions(+), 4 deletions(-)

commit d150513c6af3a7d1f52d7251ab0d097337f40ab3
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 17:27:57 2005 +0000

    Rename parameters to scalend_font_backend from font to scaled_font.

 ChangeLog      |  5 +++++
 src/cairoint.h | 19 ++++++++++---------
 2 files changed, 15 insertions(+), 9 deletions(-)

commit b482e1e25e57c7ae1422f4737a2702d3cb53c0eb
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 17:00:38 2005 +0000

    Rename scaled_font_backend->destroy to the more accurate fini, (since it frees only the dependent data within the scaled_font and not the scaled_font itself).
    Track rename of scaled_font_backend->fini.

 ChangeLog              | 12 ++++++++++++
 src/cairo-atsui-font.c |  4 ++--
 src/cairo-font.c       |  2 +-
 src/cairo-ft-font.c    |  4 ++--
 src/cairo-win32-font.c |  4 ++--
 src/cairoint.h         |  2 +-
 6 files changed, 20 insertions(+), 8 deletions(-)

commit 76f80cc42e442abaf52d6582d16be91258f3f8a9
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 16:44:20 2005 +0000

    Rename scaled_font_backend->create to create_toy. Move declaration of cairo_simple_font_face_t from cairo_font.c to cairoint.h and rename it cairo_toy_font_face_t. Rework create_toy to accept a cairo_toy_font_face_t rather than separate family, slant, and weight.
    Track change in create_toy interface.
    Partial rename of simple->toy. It's not complete as this is a step in the process of merging in a large patch of mine which actually removes most of the affected code.

 ChangeLog              | 22 ++++++++++++++++++++++
 src/cairo-atsui-font.c | 21 +++++++++------------
 src/cairo-font.c       | 33 ++++++++++-----------------------
 src/cairo-ft-font.c    | 21 ++++++++++-----------
 src/cairo-win32-font.c | 21 ++++++++++-----------
 src/cairoint.h         | 23 ++++++++++++++++-------
 6 files changed, 77 insertions(+), 64 deletions(-)

commit 8d0452c1ee7ba7466b7bb06ec5c4e9746fce2482
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 15:49:52 2005 +0000

    ignore a8-mask

 ChangeLog       | 4 ++++
 test/.cvsignore | 1 +
 2 files changed, 5 insertions(+)

commit 5925e3520fbf6223804d5c5e81698d7cdd888620
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 15:48:42 2005 +0000

    Patch memory leaks.

 ChangeLog      |  4 ++++
 test/a8-mask.c | 15 ++++++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)

commit 53bd9879bb802606789be76e5653e2fb6781f676
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 15:07:45 2005 +0000

    Add a test case for CAIRO_FORMAT_A8 masks that fails with libpixman.

 ChangeLog            |   8 ++++++
 test/Makefile.am     |   4 +++
 test/a8-mask-ref.png | Bin 0 -> 128 bytes
 test/a8-mask.c       |  71 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 83 insertions(+)

commit 549b7ff2a66335dc18434790895d4b4a25a76ba4
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 15:01:55 2005 +0000

    Bump automake_min_vers up to 1.7 since we clearly don't work with 1.4 anymore.

 ChangeLog  | 5 +++++
 autogen.sh | 3 +--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit ec93e241b0cf161216dab27eeee3917a71230aa7
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 12:26:33 2005 +0000

    Fix fbGetDrawable
    Patch from Billy Biggs <vektor@dumbterm.net>.

 pixman/ChangeLog                   | 6 ++++++
 pixman/src/pixman-xserver-compat.h | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 3ef2488265a1671d42224f4dca1b62c007ef5b0a
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 12:14:12 2005 +0000

    Fix some of the 4 bit per channel PICT definitions
    Patch from Billy Biggs <vektor@dumbterm.net>.

 pixman/ChangeLog   | 6 ++++++
 pixman/src/icint.h | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 2b20b7a23022a22a460b9441984ccdb7fdce5061
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 11:44:49 2005 +0000

    Fix up the fast-path compositing operators; those are useful for sources without alpha, but can't be used for sources with alpha. Also, replaced fbCompositeSrcSrc_nxn with call to fbBlt as this function must handle 1, 4, 8, 16, 24, 32 bpp objects. Would be nice to optimize fbBlt for common cases involving 8, 16, 24 and 32bpp.
    From Keith Packard.

 pixman/ChangeLog |  17 +++
 pixman/src/ic.c  | 432 +++++++++++++++++++++++++++++--------------------------
 2 files changed, 244 insertions(+), 205 deletions(-)

commit 594ba3ef69509d9c13258449f4b636bc52d77cd4
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 11:23:51 2005 +0000

    use the newly added buffer_diff_noalpha for comparing buffers of CAIRO_FORMAT_RGB24.

 ChangeLog           |  6 ++++++
 test/xlib-surface.c | 24 ++++++++++++------------
 2 files changed, 18 insertions(+), 12 deletions(-)

commit 5f78feda5d9819f82ff99911b90cd09e228466a9
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Aug 5 11:15:04 2005 +0000

    rewrite buffer_diff to be endian safe and add a new fuction buffer_diff_noalpha

 ChangeLog          |  7 +++++
 test/buffer-diff.c | 83 +++++++++++++++++++++++++++++++++++++-----------------
 test/buffer-diff.h | 14 ++++++++-
 3 files changed, 77 insertions(+), 27 deletions(-)

commit 2e1eaa88ff07fbd2048c76587cd6b9ca565fa047
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 10:46:40 2005 +0000

    Remove CAIRO_BEGIN_DECLS and CAIRO_END_DECLS which don't belong here.

 ChangeLog                     | 5 +++++
 doc/public/cairo-sections.txt | 2 --
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 7d88cdd15bbf8ccb82b7bd45313396ea6f93054f
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 10:43:07 2005 +0000

    Remove unused variable.

 ChangeLog                   | 4 ++++
 test/surface-finish-twice.c | 1 -
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e59d1dff7f8096c497ca4e70df1259b16c264f25
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 10:40:32 2005 +0000

    Ignore cairo-clip-private.h.
    Drop non-existent cairo-atsui.xml.
    Fix misnamed parameters in comment blocks.
    Include config.h so HAVE_UNISTD_H gets picked up as necessary.

 ChangeLog                 | 16 ++++++++++++++++
 doc/public/Makefile.am    |  1 +
 doc/public/cairo-docs.xml |  1 -
 src/cairo-font.c          |  7 ++-----
 test/cairo-test.c         |  4 ++++
 5 files changed, 23 insertions(+), 6 deletions(-)

commit 59d7f60249c9b0d01b01548907c792c324cb9bc8
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 10:30:31 2005 +0000

    Add some missing declarations to the appropriate sections.
    churn
    Rename cairo_path_nil to _cairo_path_nil since it may be exported, and tag it cairo_private to try to avoid exporting it. Qualify it as const well.
    Track new name of _cairo_path_nil and cast away the const as required.

 ChangeLog                          | 19 +++++++++++++++++++
 doc/public/cairo-sections.txt      |  5 +++++
 doc/public/tmpl/cairo-font.sgml    | 18 ++++++++++++++++++
 doc/public/tmpl/cairo-surface.sgml |  9 +++++++++
 doc/public/tmpl/cairo-xlib.sgml    | 11 +++++++++++
 doc/public/tmpl/cairo.sgml         |  7 +++++++
 src/cairo-path-data-private.h      |  2 +-
 src/cairo-path-data.c              |  8 ++++----
 src/cairo.c                        |  4 ++--
 9 files changed, 76 insertions(+), 7 deletions(-)

commit a2dc18fd0c89e267bd810d42c8e0965487a22058
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 10:05:29 2005 +0000

    Remove include of math.h since cairoint.h does it more carefully, (for annoying platforms for which just including math.h without extra defines is not enough).
    Replace Cairo with cairo.
    Include config.h so HAVE_UNISTD_H gets picked up as necessary.
    Fix non-UTF-8 copyright symbol.

 ChangeLog          | 14 ++++++++++++++
 src/cairo-arc.c    |  2 --
 src/cairo-matrix.c |  1 -
 src/cairo.c        |  2 +-
 test/buffer-diff.c |  4 ++++
 test/cairo-test.c  |  2 +-
 6 files changed, 20 insertions(+), 5 deletions(-)

commit 72f40f58bbaf1b80c82f9447007cd4c8d7a4916f
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 10:03:04 2005 +0000

    More obnoxious tmpl churn

 doc/public/tmpl/cairo-font.sgml    | 2 ++
 doc/public/tmpl/cairo-pattern.sgml | 1 +
 doc/public/tmpl/cairo-surface.sgml | 1 +
 doc/public/tmpl/cairo.sgml         | 1 +
 4 files changed, 5 insertions(+)

commit 2eabc47b853f08614d829acecb277388dcb4e046
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 09:49:38 2005 +0000

    Sort cairo-clip.c

 src/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0586daaa2927bfde9605487eef8e9b95c49d7d2f
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Aug 5 07:48:18 2005 +0000

    Patch from John Ehresman <jpe@wingide.com> to aid win32 compilation:
    Define snprintf as _snprintf when under the influence of _MSC_VER.
    Define int32_t and friends as __int32 and friends when under the influence of _MSC_VER.
    Make include of unistd.h conditional on HAVE_UNISTD_H.

 ChangeLog                 | 16 ++++++++++++++++
 src/cairo-output-stream.c |  4 ++++
 src/cairo-wideint.h       | 14 +++++++++++++-
 test/buffer-diff.c        |  2 ++
 test/cairo-test.c         |  6 ++++++
 test/read-png.c           | 14 +++++++++++++-
 6 files changed, 54 insertions(+), 2 deletions(-)

commit fd27af574d544d8adfd8cb6d5ac84837e6db43d2
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Thu Aug 4 23:10:26 2005 +0000

    Patch from Adrian Johnson <ajohnson@redneon.com>
    Remap composite glyps to use subset font glyph indices.

 ChangeLog               |  8 ++++++
 src/cairo-font-subset.c | 72 ++++++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 77 insertions(+), 3 deletions(-)

commit ebf985c87688f090c27c3906a6b441522b2f702a
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Thu Aug 4 22:45:59 2005 +0000

    New files. Move code for manipulating cairo_clip_t out into cairo_clip_* functions and put them in cairo-clip.c.
    Rewrite to use new cairo_clip_t functions for manipulating the clip state, change the clip_and_composite_trapezoids call tree to use cairo_clip_t instead of cairo_gstate_t.
    Use new cairo_clip_t function to maintain clip state while replaying.
    Pass fill rule and tolerance directly, to break gstate dependency.
    New function. Set the clip for a surface as specified by the cairo_clip_t.
    Move translate_traps() from cairo-gstate.c to here and rename it.
    Reviewed by: otaylor

 ChangeLog                  |  29 +++
 src/Makefile.am            |   2 +
 src/cairo-clip-private.h   | 118 +++++++++
 src/cairo-clip.c           | 457 ++++++++++++++++++++++++++++++++
 src/cairo-gstate-private.h |  41 +--
 src/cairo-gstate.c         | 637 +++++++--------------------------------------
 src/cairo-meta-surface.c   | 132 +++++-----
 src/cairo-path-fill.c      |  20 +-
 src/cairo-surface.c        |  23 +-
 src/cairo-traps.c          |  29 +++
 src/cairoint.h             |  35 ++-
 11 files changed, 849 insertions(+), 674 deletions(-)

commit 27573750eb9f2655d0b4cb5640a9f3f6c1316bc0
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Thu Aug 4 18:44:29 2005 +0000

    Change *_reference() functions to return the object being referenced.

 ChangeLog                 | 14 ++++++++++++++
 src/cairo-font-subset.c   |  3 +--
 src/cairo-font.c          | 26 ++++++++++++++++++--------
 src/cairo-ft-font.c       |  6 ++----
 src/cairo-glitz-surface.c |  3 +--
 src/cairo-gstate.c        | 11 ++++++-----
 src/cairo-image-surface.c |  3 +--
 src/cairo-meta-surface.c  |  3 +--
 src/cairo-pattern.c       | 13 ++++++++-----
 src/cairo-pdf-surface.c   |  9 +++++----
 src/cairo-surface.c       | 26 +++++++++++++++++++++++---
 src/cairo-xcb-surface.c   |  3 +--
 src/cairo-xlib-surface.c  |  3 +--
 src/cairo.c               |  8 ++++++--
 src/cairo.h               | 10 +++++-----
 src/cairoint.h            |  2 +-
 16 files changed, 94 insertions(+), 49 deletions(-)

commit a8ccf316201e5241bcde2359f6dcbe3557cca79b
Author: Tor Lillqvist <tml@novell.com>
Date:   Thu Aug 4 15:53:30 2005 +0000

    Check for render bug involving repeated patterns with a general transform matrix.

 ChangeLog                |  8 ++++++++
 src/cairo-xlib-surface.c | 40 ++++++++++++++++++++++++++++++----------
 2 files changed, 38 insertions(+), 10 deletions(-)

commit b5ab1741e9f9e73283dd18266834ecae2b03d93e
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Aug 4 13:22:15 2005 +0000

    Originally 2005-07-13 Carl Worth <cworth@cworth.org>
    Export opaque cairo_ft_unscaled_font_t and change _cairo_ft_unscaled_font_[un]lock_face to accept cairo_ft_unscaled_font_t rather than cairo_unscaled_font_t.
    Cast explicitly to cairo_ft_unscaled_font_t to track change in prototype of _cairo_ft_unscaled_font_[un]lock_face.
    Lots of renaming to use consistent namespacing:
    ft_font_transform_t -> cairo_ft_font_transform_t ft_font_face_t -> cairo_ft_font_face_t ft_unscaled_font_t -> cairo_ft_unscaled_font_t
    Add missing _cairo prefix to many functions.
    Disambiguate _ft_scaled_font_create and _cairo_ft_scaled_font_create by renaming the former to _cairo_ft_scaled_font_create_for_unscaled.
    Reviewed by: otaylor

 ChangeLog               |  28 +++++++
 src/cairo-font-subset.c |  18 +++-
 src/cairo-ft-font.c     | 215 +++++++++++++++++++++++-------------------------
 src/cairo-ft-private.h  |   6 +-
 4 files changed, 150 insertions(+), 117 deletions(-)

commit b45f68876528050107b6e8c4b24fb8edb7ded12e
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Aug 3 10:32:50 2005 +0000

    Fix for bug #3951:
    Add new _CHECK_FUNCS_WITH_FLAGS to abstract out the pain of temporarily setting flags for AC_CHECK_FUNCS. Use this to check for the existence of FcFini.
    Make call to FcFini conditional on HAVE_FCFINI.
    Remove stale comment about cleaning up memory which is now handled by cairo-test.c.

 ChangeLog               | 14 ++++++++++++++
 configure.in            | 30 +++++++++++++++++++++++-------
 test/cairo-test.c       |  2 ++
 test/text-cache-crash.c | 14 --------------
 4 files changed, 39 insertions(+), 21 deletions(-)

commit ba87f1324fda84ea816ad8f18442444c2ad1ed93
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Mon Aug 1 18:01:24 2005 +0000

    Optimize spans where the same value is being added to multiple pixels. This improves the speed of rasterizing wide trapezoids.
    Add an INLINE macro that matches the one from fbpict.h in xserver/fb.

 pixman/ChangeLog    |  10 +++
 pixman/src/fbedge.c | 230 ++++++++++++++++++++++++++++++++++++++++++++++------
 pixman/src/icint.h  |   6 ++
 3 files changed, 220 insertions(+), 26 deletions(-)

commit 500cc6fed1858d5e9240ce61bbbf00781ae4c097
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 1 14:39:01 2005 +0000

    src/cairo-gstate.c src/cairo-gstate-private.h: Store the inverse CTM at the time of cairo_gstate_set_source() to "lock" the user space matrix.
    Move the source pattern transformation to the outside of _cairo_gstate_clip_and_composite_trapezoids() instead of doing it at the leaves.
    Change size of output surface for aesthetics.
    Updated to correspond to the current definition.
    Remove source-surface-scale-paint.
    reviewed by: cworth

 ChangeLog                               |  23 +++++-
 src/cairo-gstate-private.h              |   1 +
 src/cairo-gstate.c                      | 119 ++++++++++++++++++--------------
 test/Makefile.am                        |   1 -
 test/source-surface-scale-paint-ref.png | Bin 147 -> 139 bytes
 test/source-surface-scale-paint.c       |   5 +-
 6 files changed, 91 insertions(+), 58 deletions(-)

commit c525c684ca712c5c5acd5431ec061bfab364cef5
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Aug 1 13:33:47 2005 +0000

    New public header file.
    New function to reset all static data (eg. caches) to their initial state.
    Fix check-valgrind target to depend on the 'all' target.
    Add check for a new, proposed, XrmFinalize function.
    Add cairo-debug.c.
    Move the definition of CAIRO_BEGIN_DECLS to cairo-features.h so that it can be shared between public header files, and so that it doesn't clutter cairo.h
    Implement reset_static_data in all modules as required.
    Call cairo_debug_reset_static_data and FcFini so that we can have all tests be valgrind-clean with respect to memory leaks and still-reachable data.

 ChangeLog                | 55 ++++++++++++++++++++++++++++++++++++
 Makefile.am              |  3 ++
 configure.in             |  7 +++++
 src/Makefile.am          |  1 +
 src/cairo-debug.c        | 73 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-debug.h        | 48 +++++++++++++++++++++++++++++++
 src/cairo-features.h.in  |  8 ++++++
 src/cairo-font.c         | 39 ++++++++++++++++++++------
 src/cairo-ft-font.c      | 13 +++++++++
 src/cairo-xlib-screen.c  | 53 +++++++++++++++++++++++++++++------
 src/cairo-xlib-surface.c | 26 +++++++++++++++--
 src/cairo.h              |  8 ------
 src/cairoint.h           | 13 +++++++++
 test/cairo-test.c        |  6 ++++
 test/cairo-test.h        |  1 +
 test/xlib-surface.c      |  2 ++
 16 files changed, 329 insertions(+), 27 deletions(-)

commit 480951827e567db89f88e71e7ba20f4fa4633c1b
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Aug 1 11:45:42 2005 +0000

    src/cairo.h src/cairoint.h src/cairo-surface.c: Add cairo_mark_dirty[_rectangle]() and cairo_flush() for
    Implement a cairo_flush() that restores the original clip. Also restore the original flush when a surface is finished.
    Check off the item.

 ChangeLog                          | 11 +++++
 ROADMAP                            |  2 +-
 doc/public/cairo-sections.txt      |  3 ++
 doc/public/tmpl/cairo-surface.sgml | 28 +++++++++++
 src/cairo-surface.c                | 97 +++++++++++++++++++++++++++++++++++++-
 src/cairo-win32-surface.c          | 16 +++++--
 src/cairo.h                        | 13 +++++
 src/cairoint.h                     | 11 +++++
 8 files changed, 176 insertions(+), 5 deletions(-)

commit 392a2746ef051d16be303477170511ef38dcf753
Author: Amaury Jacquot <sxpert@esitcom.org>
Date:   Mon Aug 1 06:57:09 2005 +0000

    fix typo

 pixman/ChangeLog | 4 ++++
 pixman/NEWS      | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit cd78d99642bdf1171d21083a6947c77ff00b599e
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sun Jul 31 11:19:47 2005 +0000

    Support versions of freetype without exact FT_Bitmap_Size.x/y_ppem values by using the pixel width and height values instead.
    Add a check for FT_Bitmap_Size.y_ppem.
    reviewed by: keithp

 ChangeLog           | 10 ++++++++++
 configure.in        | 14 ++++++++++++++
 src/cairo-ft-font.c |  8 +++++++-
 3 files changed, 31 insertions(+), 1 deletion(-)

commit b4ae3371b34ca67e98df5e73147adcd6b7853e1d
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sun Jul 31 11:03:35 2005 +0000

    Cast away the const on the nil surface to avoid a compiler warning.

 ChangeLog                  | 5 +++++
 src/cairo-quartz-surface.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 31e0d694294ef17037a0b464615916e065a81385
Author: Billy Biggs <vektor@dumbterm.net>
Date:   Sat Jul 30 22:21:12 2005 +0000

    Pass the options down to the scaled font object to keep things compiling.

 ChangeLog              | 5 +++++
 src/cairo-atsui-font.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b47c0050f985856d0c47a43d3a1b3cc8f18dbd32
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 30 12:57:54 2005 +0000

    Replace wide integer divide algorithms with trivial bit-at-a-time code. Original code was of unclear provenance, this new code is completely different.

 ChangeLog           |  11 ++
 src/cairo-wideint.c | 461 ++++++----------------------------------------------
 src/cairo-wideint.h |   6 +-
 3 files changed, 60 insertions(+), 418 deletions(-)

commit 05d84a0a1e1f4f4cb750ab6828a1e09ffa73b0f0
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jul 30 10:23:21 2005 +0000

    Finish up merging the optimization work from jaymz.

 pixman/ChangeLog       |  10 ++
 pixman/src/ic.c        | 316 +++++++++++++++++++++++--------------------------
 pixman/src/icblt.c     |   4 +-
 pixman/src/iccompose.c |  13 +-
 4 files changed, 170 insertions(+), 173 deletions(-)

commit bdfb7f4db0b48cf3882241b4b547082f68410567
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jul 30 09:43:51 2005 +0000

    s/uint(8|16|32)_t/CARD(8|16|32)/

 pixman/ChangeLog       |  17 +++
 pixman/src/iccompose.c | 280 ++++++++++++++++++++++++-------------------------
 2 files changed, 157 insertions(+), 140 deletions(-)

commit 5ebf2c5d967fb84a2e102254421057af9bcd307a
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jul 30 08:48:25 2005 +0000

    Add some optimizations from jaymz. Also adds some compile warnings that will hopefully go away as we continue merging.

 pixman/ChangeLog |   9 +
 pixman/src/ic.c  | 595 +++++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 504 insertions(+), 100 deletions(-)

commit 172e535ee05ab725ed1a951b31077843d112e7ca
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 29 15:35:19 2005 +0000

    Remove completed 0.6 tasks. Add cairo_surface_flush to the cairo_surface_mark_dirty task.

 ChangeLog |  5 +++++
 ROADMAP   | 25 ++++---------------------
 2 files changed, 9 insertions(+), 21 deletions(-)

commit ef4209a8a1fdcf7226bec2c6481a4f8239d63ec3
Author: Tor Lillqvist <tml@novell.com>
Date:   Fri Jul 29 15:31:48 2005 +0000

    src/cairo-quartz-surface.c (_cairo_quartz_surface_acquire_dest_image): Minor updates to keep quartz backend limping along.

 ChangeLog                  | 6 ++++++
 src/cairo-atsui-font.c     | 1 +
 src/cairo-quartz-surface.c | 3 ++-
 3 files changed, 9 insertions(+), 1 deletion(-)

commit 449087745b520c64113102f5c62bc5a8beba6c98
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri Jul 29 12:45:01 2005 +0000

    src/cairo-font.c src/cairo-ft-font.c src/cairo-win32-font.c src/cairoint.h: Move the font options into the base cairo_scaled_font_t object so that we have them available to use when we are removing a scaled font from the cache. (http://bugzilla.gnome.org/show_bug.cgi?id=#311299, Ali Akcaagac, Behdad Esfahbod)

 ChangeLog              |  9 +++++++++
 src/cairo-font.c       |  8 ++++++++
 src/cairo-ft-font.c    |  7 ++-----
 src/cairo-win32-font.c |  4 +---
 src/cairoint.h         | 17 ++++++++++-------
 5 files changed, 30 insertions(+), 15 deletions(-)

commit a0ca6026ad0ea049198e17dbda379d4737078053
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 15:58:09 2005 +0000

    Run the mask pattern through the CTM in the same way as the source pattern. This fixes the bug demonstrated by the mask-ctm and mask-surface-ctm tests so they should no longer fail.

 ChangeLog          |  7 +++++++
 src/cairo-gstate.c | 16 ++++++++++------
 2 files changed, 17 insertions(+), 6 deletions(-)

commit 26289b366434103eda1dd619d8bad0e9394724d6
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 15:55:00 2005 +0000

    Add two new tests: mask-ctm mask-surface-ctm demonstrating that masks are not currently being modified by the CTM.

 ChangeLog                     |  13 +++++++
 test/.cvsignore               |   2 ++
 test/Makefile.am              |   6 ++++
 test/mask-ctm-ref.png         | Bin 0 -> 129 bytes
 test/mask-ctm.c               |  82 ++++++++++++++++++++++++++++++++++++++++++
 test/mask-surface-ctm-ref.png | Bin 0 -> 129 bytes
 test/mask-surface-ctm.c       |  75 ++++++++++++++++++++++++++++++++++++++
 7 files changed, 178 insertions(+)

commit 5f6c5026e66c6325f2decf25300abede587fa4dc
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 15:38:50 2005 +0000

    CC gnome-announce-list@gnome.org on cairo release announcements.

 ChangeLog | 5 +++++
 RELEASING | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 3dd93a930f618df42f71c5961764753d0d53306b
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 14:58:25 2005 +0000

    Add -head to LIBPIXMAN_VERSION after tagging with SNAPSHOT_0_1_6.

 pixman/ChangeLog    | 5 +++++
 pixman/RELEASING    | 2 +-
 pixman/configure.in | 2 +-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit 6d8d18e2dcdb2c829ec25659c1397f258c6b5a6b
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 14:41:36 2005 +0000

    Add notes for snapshot 0.1.6.
    Increment version to 0.1.6.

 pixman/ChangeLog    |  6 ++++++
 pixman/NEWS         | 24 ++++++++++++++++++++++++
 pixman/configure.in |  2 +-
 3 files changed, 31 insertions(+), 1 deletion(-)

commit 61e28ec71f5492671d633ccf9459b6654f33edd6
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 12:45:26 2005 +0000

    Add -head to CAIRO_VERSION after tagging with SNAPSHOT_0_6_0.

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b9861b3e877776c5fe5b8b30fe76ced8ff846923
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 11:51:38 2005 +0000

    Added notes for snapshot 0.6.0
    Increment CAIRO_VERSION to 0.6.0

 ChangeLog    |   6 +++
 NEWS         | 146 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |   2 +-
 3 files changed, 153 insertions(+), 1 deletion(-)

commit 0e0f2571a4e6a1d99f8a3fe6e357cb49a51c30e2
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 11:46:01 2005 +0000

    Remove const qualifiers that only make things happy with a from-cvs version of freetype. Now we should be back to being happy with a released version.

 ChangeLog           | 11 +++++++++++
 src/cairo-ft-font.c | 10 +++++-----
 2 files changed, 16 insertions(+), 5 deletions(-)

commit d4056b1d1570f1e7c8636a54d2cd1b2a2ca8eb9c
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 11:42:33 2005 +0000

    Add missing cast.

 src/cairo-png.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08e810f5c1d2c71eb44a800ac6e4b334436aa5cf
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 11:41:37 2005 +0000

    Remove text-antialias-subpixel-ref.png from the list since it doesn't exist yet.

 ChangeLog        | 6 ++++++
 test/Makefile.am | 1 -
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 3f385a0330f4cf5775feada0cac1df9ef165a539
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 11:34:47 2005 +0000

    More doc/public/tmpl churn.

 ChangeLog                  | 4 ++++
 doc/public/tmpl/cairo.sgml | 1 +
 2 files changed, 5 insertions(+)

commit 1481fa5132ab66de40de270668024bc07ed64bcf
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 11:33:11 2005 +0000

    Add text-antialias-{gray|none|subpixel}-ref.png so they get distributed.

 ChangeLog        | 6 ++++++
 test/Makefile.am | 3 +++
 2 files changed, 9 insertions(+)

commit e604017c77e5c4b755d447b6efdf489417002986
Author: Dave Beckett <Dave.Beckett@bristol.ac.uk>
Date:   Thu Jul 28 11:22:36 2005 +0000

    Use cairo_surface_status(image) instead of testing for NULL from cairo_image_surface_create_from_png to enable testing when srcdir != builddir again.

 ChangeLog         | 7 +++++++
 test/cairo-test.c | 7 +++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit ddae93c72c15bca63931d3db6cfa2d2e8d368e7d
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 10:51:37 2005 +0000

    Note that consistent error handling is done now.

 ChangeLog | 4 ++++
 NEWS      | 6 ++++++
 ROADMAP   | 7 ++-----
 3 files changed, 12 insertions(+), 5 deletions(-)

commit 6efd4bf4d5f0f788db4020facb556d5b6aac1e6e
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 10:47:40 2005 +0000

    Fix to call _cairo_error and return 0 on surface-type mismatch.

 ChangeLog                 |  6 ++++++
 src/cairo-image-surface.c | 10 ++++++++++
 2 files changed, 16 insertions(+)

commit 1e66aee352d092cbd39cac196cdf1b3681ec4c17
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 28 10:43:27 2005 +0000

    configure.in Makefile.am: Skip tests/ directory if libpng was disabled. (#3423, reported by Steve Chaplin)

 ChangeLog    | 5 +++++
 Makefile.am  | 8 +++++++-
 configure.in | 2 ++
 3 files changed, 14 insertions(+), 1 deletion(-)

commit a83124a3eeff1602c199a961b36d75a51ce96843
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 10:41:08 2005 +0000

    Fix so that one of three different error status values will be returned:
    CAIRO_STATUS_NO_MEMORY CAIRO_STATUS_FILE_NOT_FOUND CAIRO_STATUS_READ_ERROR
    Add new CAIRO_STATUS_FILE_NOT_FOUND.
    Add new _cairo_surface_nil_read_error and _cairo_surface_nil_file_not_found.
    Test the new FILE_NOT_FOUND error.

 ChangeLog              | 21 +++++++++++++++++++++
 src/cairo-png.c        | 32 +++++++++++++++++++++-----------
 src/cairo-surface.c    | 32 ++++++++++++++++++++++++++++++++
 src/cairo.c            |  4 +++-
 src/cairo.h            |  4 +++-
 src/cairoint.h         |  2 ++
 test/create-from-png.c | 13 +++++++++++--
 7 files changed, 93 insertions(+), 15 deletions(-)

commit fe44b2406d30fc89ac6579bdd749b5c76e9257d8
Author: Stuart Parmenter <pavlov@pavlov.net>
Date:   Thu Jul 28 10:37:41 2005 +0000

    src/cairo-win32-font.c
    src/cairo-win32-surface.c Use surface->base.status instead of just surface on cairo_win32_surface_t *s

 ChangeLog                 | 7 +++++++
 src/cairo-win32-font.c    | 4 ++--
 src/cairo-win32-surface.c | 2 +-
 3 files changed, 10 insertions(+), 3 deletions(-)

commit cff61fbf0d85dfdebd8b522f8efda02ec2da412f
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 28 10:24:59 2005 +0000

    Disable PS surface build if no freetyp

 ChangeLog    |  4 ++++
 configure.in | 51 ++++++++++++++++++++++++++++-----------------------
 2 files changed, 32 insertions(+), 23 deletions(-)

commit 9c70498e72f86937e02101a13d02b429fb47efd2
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 28 10:15:35 2005 +0000

    Pass
    -1 not 1 to RestoreDC to restore to the last SaveDC. (#3905, Stuart Parmenter

 ChangeLog              | 6 ++++++
 src/cairo-win32-font.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 95beb7be6720230f65c2d2c642efd71cbbc92873
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 28 10:02:54 2005 +0000

    Patch from Martin Kretzschmar <martink@gnome.org>, #3798
    prevent sign-extension of masks.*_mask on 64bit architectures.
    ditto.

 ChangeLog                | 9 +++++++++
 src/cairo-xcb-surface.c  | 8 ++++----
 src/cairo-xlib-surface.c | 8 ++++----
 3 files changed, 17 insertions(+), 8 deletions(-)

commit 02c6aec91df93f523768e8bb6ff20c0fc0bc18fb
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 28 09:54:03 2005 +0000

    dest_image) src/cairo-quartz-surface.c (_cairo_quartz_surface_acquire_dest_image) src/cairo-xcb-surface.c (_cairo_xcb_surface_acquire_source,dest_image): src/cairo-xlib-surface.c (_cairo_xlib_surface_acquire_source,dest_image): Set image_extra to NULL to avoid purify warnings. (#3777, Stuart Parmenter)

 ChangeLog                  | 8 ++++++++
 src/cairo-image-surface.c  | 4 +++-
 src/cairo-quartz-surface.c | 1 +
 src/cairo-xcb-surface.c    | 2 ++
 src/cairo-xlib-surface.c   | 4 +++-
 5 files changed, 17 insertions(+), 2 deletions(-)

commit 5d7c796c1830663772dd681026e2d5dd952826b8
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 28 09:46:38 2005 +0000

    Remove all create_in_error functions as they were just muddling up the memory management semantics:
    _cairo_path_data_create_in_error _cairo_pattern_create_in_error _cairo_surface_create_in_error
    Don't bother with extra check of other->status to anticipate and try to prevent cairo_surface_create_similar from returning through cairo_surface_create_in_error.
    Just return &_cairo_surface|pattern|path_nil rather than _cairo_surface|pattern|path_create_in_error.
    After checking surface->status from a cairo_<foo>_surface_create function, just return CAIRO_STATUS_NO_MEMORY since that's the only error we'll get from one of these create functions.
    Remove unnecessary check for gstate == NULL;
    Fix old check for image == NULL instead of image->base.status.
    Add missing check of surface->image_base.status after creating surface->image.
    Add missing check of surface->base.status after creating surface.

 ChangeLog                       | 67 +++++++++++++++++++++++++++++++++++++++++
 doc/public/tmpl/cairo-font.sgml |  1 +
 src/cairo-ft-font.c             |  6 ++--
 src/cairo-glitz-surface.c       | 16 +++++-----
 src/cairo-gstate.c              | 25 +++------------
 src/cairo-image-surface.c       |  4 +--
 src/cairo-path-data-private.h   |  5 ++-
 src/cairo-path-data.c           | 34 +--------------------
 src/cairo-pattern.c             | 37 ++---------------------
 src/cairo-png.c                 | 20 +++++++-----
 src/cairo-ps-surface.c          |  8 ++---
 src/cairo-quartz-surface.c      |  5 +++
 src/cairo-surface.c             | 46 ++++++++++++----------------
 src/cairo-win32-font.c          |  2 +-
 src/cairo-win32-surface.c       |  7 +++--
 src/cairo-xcb-surface.c         |  6 +++-
 src/cairo-xlib-surface.c        | 12 ++++++--
 src/cairo.c                     | 44 ++++++++++++---------------
 src/cairoint.h                  |  8 ++---
 19 files changed, 173 insertions(+), 180 deletions(-)

commit b9fe1b74665e528e6114bd833028a8f62ecfa869
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 28 09:29:46 2005 +0000

    src/cairo-font.c src/cairoint.h: Define _cairo_font_face_nil. (cairo_font_face_reference, cairo_font_face_destroy cairo_font_face_set_user_data): Handle a nil font face. (cairo_font_face_status): New function.
    src/cairo-ft-font.c (cairo_ft_font_face_create_for_pattern): src/cairo-ft-font.c (cairo_ft_font_face_create_for_ft_face): src/cairo-win32-font.c (cairo_win32_font_face_create_for_logfontw): Return _cairo_font_face_nil on out-of-memory.
    Check return of _cairo_simple_font_face_create().
    Error out if font_face has a status.
    Handle a nil surface.

 ChangeLog              | 23 ++++++++++++++++++++
 src/cairo-font.c       | 57 +++++++++++++++++++++++++++++++++++++++++++-------
 src/cairo-ft-font.c    | 26 +++++++++++++++++------
 src/cairo-gstate.c     | 21 ++++++++++++-------
 src/cairo-surface.c    |  3 +++
 src/cairo-win32-font.c |  6 ++++--
 src/cairo.h            |  3 +++
 src/cairoint.h         |  3 +++
 8 files changed, 120 insertions(+), 22 deletions(-)

commit d7699f0c072a6820007280a167b86a95adf8a54e
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jul 27 19:13:39 2005 +0000

    Remove text-antialias-none which is now fixed.
    No longer xfail.

 ChangeLog                  | 7 +++++++
 test/Makefile.am           | 1 -
 test/text-antialias-none.c | 3 +--
 3 files changed, 8 insertions(+), 3 deletions(-)

commit 7143d8b7aee74ed4d75985158bf3dda147f3d21d
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jul 27 16:23:11 2005 +0000

    Go back to returning NULL.
    src/cairoint.h src/cairo-ft-font.c: Stop exporting _cairo_scaled_font_nil, since we dont' need it publically any more.
    return surface->status not status. (Fixes warning)

 ChangeLog              | 13 +++++++++++++
 src/cairo-font.c       |  2 +-
 src/cairo-ft-font.c    |  4 ++--
 src/cairo-surface.c    |  2 +-
 src/cairo-win32-font.c |  6 ++----
 src/cairoint.h         |  2 --
 6 files changed, 19 insertions(+), 10 deletions(-)

commit 2b5d9c8e007f4198b1c48bce53491842f065a759
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 27 15:39:34 2005 +0000

    Add CAIRO_STATUS_INVALID_CONTENT, CAIRO_STATUS_INVALID_FORMAT, and CAIRO_STATUS_INVALID_VISUAL.
    Change functions to return type of void:
    cairo_scaled_font_extents cairo_surface_finish
    Add new functions to query object status:
    cairo_scaled_font_status cairo_surface_status
    Implementation of new error handling scheme for cairo_surface_t and cairo_scaled_font_t.
    Track change in return value of cairo_surface_finish.

 ChangeLog                          |  42 +++++
 doc/public/tmpl/cairo-surface.sgml |   1 +
 doc/public/tmpl/cairo.sgml         |   3 +
 src/cairo-array.c                  |   5 +
 src/cairo-atsui-font.c             |   3 -
 src/cairo-font.c                   | 113 +++++++++++--
 src/cairo-ft-font.c                |  35 ++--
 src/cairo-glitz-surface.c          |  63 +++++---
 src/cairo-gstate.c                 |  38 +++--
 src/cairo-image-surface.c          |  76 +++++----
 src/cairo-meta-surface.c           |   6 +-
 src/cairo-path-data.c              |   2 +
 src/cairo-pattern.c                |  83 ++++++++--
 src/cairo-pdf-surface.c            |  24 ++-
 src/cairo-png.c                    |  38 +++--
 src/cairo-ps-surface.c             |  69 ++++----
 src/cairo-quartz-surface.c         |  17 +-
 src/cairo-surface.c                | 322 +++++++++++++++++++++++++++---------
 src/cairo-win32-font.c             |  17 +-
 src/cairo-win32-surface.c          |  42 +++--
 src/cairo-xcb-surface.c            |  33 ++--
 src/cairo-xlib-surface.c           |  52 +++---
 src/cairo.c                        | 323 ++++++++++++++++++++-----------------
 src/cairo.h                        |  14 +-
 src/cairoint.h                     |  28 +++-
 test/surface-finish-twice.c        |   9 +-
 26 files changed, 994 insertions(+), 464 deletions(-)

commit c884c4c541abe380500e24a55ec017677d56db19
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jul 27 15:04:03 2005 +0000

    Turn off antialiasing for rendering to alpha surfaces.

 ChangeLog                | 5 +++++
 src/cairo-xlib-surface.c | 9 ++++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 7b2b9df4e7b3c76b4dd40f865d7b6c55d3a0747c
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jul 27 14:11:58 2005 +0000

    Fix units for stride return to be FbStip-sized. : ----------------------------------------------------------------------

 pixman/ChangeLog   | 5 +++++
 pixman/src/icint.h | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 255913de9ef5da40604d55ca8d0d53ac606f7710
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 27 13:28:15 2005 +0000

    Note that the XFAIL tests all need to be fixed before 1.0.
    Add three new tests for testing the various antialiasing options for text rendering.

 ChangeLog                        |  15 +++++++
 ROADMAP                          |   4 ++
 test/.cvsignore                  |   3 ++
 test/Makefile.am                 |   8 ++++
 test/text-antialias-gray-ref.png | Bin 0 -> 723 bytes
 test/text-antialias-gray.c       |  77 ++++++++++++++++++++++++++++++++++++
 test/text-antialias-none-ref.png | Bin 0 -> 277 bytes
 test/text-antialias-none.c       |  78 +++++++++++++++++++++++++++++++++++++
 test/text-antialias-subpixel.c   |  82 +++++++++++++++++++++++++++++++++++++++
 9 files changed, 267 insertions(+)

commit 8cb451962b4be046024264fd6251f26ea1bf033c
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 27 09:23:29 2005 +0000

    Fix typo that caused cairo_image_surface_create_from_png_stream to segfault. Closes bug #3863 (thanks to Steve Chaplin).
    Add a test to actually call cairo_image_surface_create_from_png_stream.

 ChangeLog                           |  13 +++++
 src/cairo-png.c                     |   2 +-
 test/.cvsignore                     |   1 +
 test/Makefile.am                    |   3 ++
 test/create-from-png-stream-ref.png | Bin 0 -> 100 bytes
 test/create-from-png-stream.c       |  95 ++++++++++++++++++++++++++++++++++++
 test/create-from-png.c              |   4 +-
 7 files changed, 116 insertions(+), 2 deletions(-)

commit e859afecceb9e22ab8f42ca533c37a71b7ccec51
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jul 27 06:45:37 2005 +0000

    Deal with glyphs with entry->im->image NULL. (This can happen if fonts have size-zero bitmaps for some characters, for example) (http://bugzilla.gnome.org/show_bug.cgi?id=311709, Sangu Kim)

 ChangeLog                |  7 +++++
 src/cairo-xlib-surface.c | 73 ++++++++++++++++++++++++++++++++----------------
 2 files changed, 56 insertions(+), 24 deletions(-)

commit e056a72ec8316fa586d18d771923ace44c56291c
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jul 27 04:07:46 2005 +0000

    FreeType bitmaps may only be padded out to 8-bit boundaries, not 32-bit boundaries. (_render_glyph_bitmap): Fix sign error in using glyphslot->bitmap_left

 ChangeLog           |  6 ++++++
 src/cairo-ft-font.c | 21 +++++++++++++++++++--
 2 files changed, 25 insertions(+), 2 deletions(-)

commit 1467168326b57f11ae7080e8d9fc3816b6dc3a3c
Author: David Reveman <davidr@novell.com>
Date:   Tue Jul 26 22:36:00 2005 +0000

    Fix infinite loop bug in xlib backend

 ChangeLog                | 5 +++++
 src/cairo-xlib-surface.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ea1218a434fb4077d27a4d8310e4ce3415102c58
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 25 16:23:05 2005 +0000

    Replace all occurences of refcount with ref_count.
    Replace refcounted with reference-counted.

 ChangeLog                        | 12 ++++++++++++
 doc/public/language-bindings.xml |  2 +-
 src/cairo-font.c                 | 20 ++++++++++----------
 src/cairo-ft-font.c              |  4 ++--
 src/cairo-glitz-surface.c        | 10 +++++-----
 src/cairo-pdf-surface.c          | 10 +++++-----
 src/cairoint.h                   |  6 +++---
 7 files changed, 38 insertions(+), 26 deletions(-)

commit 85b74d82164e7908842d42bb1b11e8cf8c876b82
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Jul 25 12:29:23 2005 +0000

    src/cairo.[ch] src/cairo-gstate-private.h src/cairo-gstate.c src/cairoint.c: Add cairo_{get,set}_font_options().
    Add cairo-xlib-private.h
    Update
    reviewed by: cworth

 ChangeLog                               | 11 +++++++++
 doc/public/Makefile.am                  |  1 +
 doc/public/cairo-sections.txt           |  2 ++
 doc/public/tmpl/cairo-xlib-xrender.sgml |  1 +
 doc/public/tmpl/cairo-xlib.sgml         |  1 +
 doc/public/tmpl/cairo.sgml              | 18 ++++++++++++++
 src/cairo-font-options.c                |  2 +-
 src/cairo-gstate-private.h              |  1 +
 src/cairo-gstate.c                      | 22 +++++++++++++++++
 src/cairo.c                             | 43 +++++++++++++++++++++++++++++++++
 src/cairo.h                             |  8 ++++++
 src/cairoint.h                          |  8 ++++++
 12 files changed, 117 insertions(+), 1 deletion(-)

commit fcd8867a47ce77163def423a37bb517870f6cc35
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sun Jul 24 05:18:15 2005 +0000

    Fix size of allocated buffer for vertical subpixel rendering. (Reported by Fryderyk Dziarmagowski, http://bugzilla.gnome.org/show_bug.cgi?id=310935) (_get_pattern_load_flags): Fix a problem where we were OR'ing multiple FT_LOAD_* flags together.
    Fix reversed check for subpixel or not.

 ChangeLog               | 11 +++++++++++
 src/cairo-ft-font.c     | 20 +++++++++++++-------
 src/cairo-xlib-screen.c |  2 +-
 3 files changed, 25 insertions(+), 8 deletions(-)

commit 55e2a0a03128bff86765b14179dd87af792dc4cc
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Jul 23 10:05:54 2005 +0000

    Testing UseNewInfoFtmStrings hack

commit c8d754803181105c53cd389c0dd762dd473630fb
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Jul 23 09:54:54 2005 +0000

    Testing UseNewInfoFtmStrings hack

commit d527428bb6775c82b3c0cc6cbb364f08317a3d17
Author: Malcolm Tredinnick <malcolm@commsecure.com.au>
Date:   Sat Jul 23 09:48:13 2005 +0000

    Slight change to previous commit based on feedback from cworth.

 src/cairo.h | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 563dddd81cc06f1d17c1a6880b4e6a3e5d05da97
Author: Malcolm Tredinnick <malcolm@commsecure.com.au>
Date:   Sat Jul 23 09:36:00 2005 +0000

    Add some missing parameters for API docs.

 ChangeLog           |  5 +++++
 src/cairo-ft-font.c |  9 +++++----
 src/cairo.h         | 33 +++++++++++++++++++++++++++------
 3 files changed, 37 insertions(+), 10 deletions(-)

commit 9fb898898ed3bc6458a365eac43861f1a77a08d0
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sat Jul 23 05:37:23 2005 +0000

    src/cairo-xlib-private.h src/cairo-xlib-screen.c: Switch to using Screen * not screen number to match surface code.
    Get the screen info for the right screen for the surface.

 ChangeLog                | 8 ++++++++
 src/cairo-xlib-private.h | 4 ++--
 src/cairo-xlib-screen.c  | 5 +++--
 src/cairo-xlib-surface.c | 2 +-
 4 files changed, 14 insertions(+), 5 deletions(-)

commit 399b00a99b2bbc1c56a05974c936aa69a08021f5
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri Jul 22 15:15:15 2005 +0000

    Protect against division by zero in various places. (http://bugzilla.gnome.org/show_bug.cgi?id=311299, reported by Ali Akcaag

 ChangeLog           |  5 ++++
 src/cairo-ft-font.c | 70 ++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 55 insertions(+), 20 deletions(-)

commit 5fb1c8033358f45c523b07be6b7e36c91e772a58
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri Jul 22 07:15:57 2005 +0000

    Patch from Tor Lillqvist <tml@novell.com>
    Define TT_PRIM_CSPLINE if it wasn't in the headers. (_get_system_quality): Add missing variable smoothing_type.

 ChangeLog              | 8 ++++++++
 src/cairo-win32-font.c | 4 ++++
 2 files changed, 12 insertions(+)

commit e9c321e66bb2b813783b1504011eb70bf8bdb3f6
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 22 06:20:53 2005 +0000

    Initial import of preliminary tutorial pieces.

 doc/tutorial/slides/.cvsignore               |   7 +
 doc/tutorial/slides/Makefile                 |   7 +
 doc/tutorial/slides/cairo-blank.svg          | 487 +++++++++++++++++++++++++
 doc/tutorial/slides/cairo-code.svg           | 508 +++++++++++++++++++++++++++
 doc/tutorial/slides/cairo-separator.svg      | 491 ++++++++++++++++++++++++++
 doc/tutorial/slides/cairo-title.svg          | 373 ++++++++++++++++++++
 doc/tutorial/slides/cairo.svg                | 508 +++++++++++++++++++++++++++
 doc/tutorial/slides/circle-cairo-large.png   | Bin 0 -> 3362 bytes
 doc/tutorial/slides/circle-cairo.png         | Bin 0 -> 1429 bytes
 doc/tutorial/slides/circle-ooo-large.png     | Bin 0 -> 1491 bytes
 doc/tutorial/slides/circle-ooo.png           | Bin 0 -> 383 bytes
 doc/tutorial/slides/expander-fuzzy-large.png | Bin 0 -> 1300 bytes
 doc/tutorial/slides/expander-fuzzy.png       | Bin 0 -> 296 bytes
 doc/tutorial/slides/expander-sharp-large.png | Bin 0 -> 929 bytes
 doc/tutorial/slides/expander-sharp.png       | Bin 0 -> 183 bytes
 doc/tutorial/slides/fuzzies.svg              |  11 +
 doc/tutorial/slides/jaggies.svg              |  11 +
 doc/tutorial/slides/tutorial.xml             | 468 ++++++++++++++++++++++++
 doc/tutorial/src/.cvsignore                  |   7 +
 doc/tutorial/src/Makefile                    |  30 ++
 doc/tutorial/src/cairo-tutorial-gtk.h        | 116 ++++++
 doc/tutorial/src/cairo-tutorial-pdf.h        |  74 ++++
 doc/tutorial/src/cairo-tutorial-png.h        |  74 ++++
 doc/tutorial/src/cairo-tutorial-xlib.h       | 219 ++++++++++++
 doc/tutorial/src/cairo-tutorial.h            |  41 +++
 doc/tutorial/src/circle.c                    |  22 ++
 doc/tutorial/src/expander.c                  |  16 +
 27 files changed, 3470 insertions(+)

commit dd9d984ab90904f47faaf6d3de900c136add010e
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 22 02:04:59 2005 +0000

    Get the case right. It's cairo, not Cairo.

 ChangeLog      | 4 ++++
 src/cairoint.h | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a7b38c6826fe6f9d9a02ed94ddd5d955313f9c78
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 21 21:02:11 2005 +0000

    Note that sub-pixel text rendering is done now.

 ChangeLog | 4 ++++
 ROADMAP   | 7 +++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 857c9fe1c4808ffe534de7eff0d3479cc439fbea
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 21 18:12:21 2005 +0000

    The FT_LOAD_TARGET_* flags aren't separate bitfields, but rather an embedded subfield, so test with FT_LOAD_TARGET_MODE (val->key.flags) == FT_RENDER_LCD, and similar.

 ChangeLog           | 6 ++++++
 src/cairo-ft-font.c | 8 ++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 3c0bfb39758172cca78611338de1848ea9595522
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 21 14:31:28 2005 +0000

    Add ARGB glyph support.
    Change Bi-level glyph support to use A1 format.
    Support bit/byte swapping of glyph image data in the Xlib backend.
    reviewed by: cworth, otaylor

 ChangeLog                |  24 ++++
 src/cairo-ft-font.c      | 325 ++++++++++++++++++++++++++++++++++++++++-------
 src/cairo-xlib-surface.c | 218 ++++++++++++++++++++++++++++---
 src/cairoint.h           |   4 -
 4 files changed, 504 insertions(+), 67 deletions(-)

commit a3ad7dc0b9f3495d7797653ba2ffb326e92393fa
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 21 11:26:31 2005 +0000

    Whitespace fixes.

 ChangeLog          | 5 +++++
 src/cairo-ft.h     | 5 +++--
 src/cairo-quartz.h | 6 +++---
 3 files changed, 11 insertions(+), 5 deletions(-)

commit 9c6299c164e567311816a129125cf3a86148c018
Author: David Reveman <davidr@novell.com>
Date:   Thu Jul 21 08:50:20 2005 +0000

    Fix empty glyph issue in glitz backend

 ChangeLog                 | 5 +++++
 src/cairo-glitz-surface.c | 9 ++++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit b3dfbe94c3ec7713904cf5bd1872a0480f96f03a
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 21 08:45:57 2005 +0000

    Add cairo_xlib_surface_set_drawable which changes the target drawable for an xlib cairo_t to another which shares the same format, screen and display.
    reviewed by: otaylor, cworth

 ChangeLog                | 11 +++++++++++
 ROADMAP                  |  2 +-
 src/cairo-xlib-surface.c | 44 ++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-xlib.h         |  6 ++++++
 4 files changed, 62 insertions(+), 1 deletion(-)

commit 464ce69689045614a0c44037c77e1261c3fecda5
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 21 07:41:20 2005 +0000

    Note that cairo_font_options_t is done now.

 ChangeLog |  4 ++++
 ROADMAP   | 10 +++-------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 075cf23cdc071b170e591fd07ff6c272d561d3ee
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jul 21 06:52:13 2005 +0000

    src/cairo-font-options.c src/cairo.h src/cairoint.h src/Makefile.am: Add an opaque cairo_font_options_t structure.
    src/cairo-font.c src/cairo.h src/cairoint.h: Add a cairo_font_options_t object to cairo_scaled_font_create().
    src/cairo-surface.c src/cairoint.h: Add virtualized cairo_surface_get_font_options() to get the font options for a surface.
    Adapt to cairo_scaled_font_create() change.
    Add an implementation of get_font_options() that turns off metrics hinting.
    src/cairo-xlib-screen.c src/cairo-xlib-private.h: Add a "screen info" structure that holds (for now) information about the default font options for the screen.
    Implement get_font_options()
    src/cairo-ft-font.c src/cairo-ft.h: Add functions to apply a cairo_font_options_t to a FcPattern or get the load flags for a cairo_font_options_t.
    Adapt to font options additions. Add support for non-antialiased rendering of scalable fonts. Add support for turning off metrics hinting.
    Adapt to font options additions.
    doc/public/Makefile.am doc/public/cairo-sections.txt: Update.
    reviewed by: cworth

 ChangeLog                          |  37 +++
 doc/public/Makefile.am             |   3 +
 doc/public/cairo-sections.txt      |  29 ++-
 doc/public/tmpl/cairo-font.sgml    | 184 ++++++++++++++
 doc/public/tmpl/cairo-ft.sgml      |   9 +
 doc/public/tmpl/cairo-pattern.sgml |  23 ++
 doc/public/tmpl/cairo-surface.sgml |  13 +-
 doc/public/tmpl/cairo.sgml         |  27 +-
 src/Makefile.am                    |   3 +-
 src/cairo-font-options.c           | 352 ++++++++++++++++++++++++++
 src/cairo-font.c                   |  32 ++-
 src/cairo-ft-font.c                | 504 ++++++++++++++++++++++++++-----------
 src/cairo-ft.h                     |   3 +
 src/cairo-gstate.c                 |   5 +-
 src/cairo-pdf-surface.c            |  13 +-
 src/cairo-surface.c                |  27 ++
 src/cairo-win32-font.c             | 101 +++++---
 src/cairo-xlib-private.h           |  54 ++++
 src/cairo-xlib-screen.c            | 345 +++++++++++++++++++++++++
 src/cairo-xlib-surface.c           |  22 +-
 src/cairo.h                        | 154 +++++++++++-
 src/cairoint.h                     |  17 ++
 22 files changed, 1762 insertions(+), 195 deletions(-)

commit a43c9eb7b0b73493735ffa176154073604da33e6
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 21 00:35:07 2005 +0000

    Finally grepped through and fixed up the last remaining calls to cairo_pattern_release_surface.

 ChangeLog                 | 11 ++++++++++
 src/cairo-glitz-surface.c | 56 ++++++++++++++++++++++++++++-------------------
 2 files changed, 44 insertions(+), 23 deletions(-)

commit 133d7f0b441d3ba255a9a36163e7446f24f7601b
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 20 23:30:08 2005 +0000

    Fix yet another file that I missed when I made the cairo_pattern_release_surface change. You would think that I would have grepped for all uses of this function by now.

 ChangeLog               | 8 ++++++++
 src/cairo-xcb-surface.c | 6 +++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 63331a8d9218424ecf176b0b34a53fc8723fede9
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 20 21:54:35 2005 +0000

    Mark cairo_xlib_surface_create as complete. Move cairo_xlib_surface_set_drawable from 0.6 to 1.0 since it is an API addition, not a change.

 ChangeLog |  6 ++++++
 ROADMAP   | 16 ++++++++--------
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 689fdfb6ea7460aec6283414a79bbf17a2d03eae
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 20 19:23:19 2005 +0000

    Fix macro to not consider CAIRO_FORMAT_ARGB32 (==0) as a valid cairo_content_t.

 ChangeLog   | 7 +++++++
 src/cairo.h | 8 +++++---
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 88cf98fe334577fc3ecd84e179479b3b60f55c91
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 20 18:52:31 2005 +0000

    Add Screen* arguments to:
    cairo_xlib_surface_create_with_xrender_format cairo_xlib_surface_create_for_bitmap
    Required to correctly identify when two Xlib surfaces are compatible with Core and Render rendering requests.
    cairo_xlib_surface_create can determine the screen given the required Visual *
    reviewed by: otaylor

 ChangeLog                |  27 +++++++++++
 src/cairo-xlib-surface.c | 116 +++++++++++++++++++++++++++++++++--------------
 src/cairo-xlib-xrender.h |   1 +
 src/cairo-xlib.h         |   1 +
 test/cairo-test.c        |   1 +
 5 files changed, 112 insertions(+), 34 deletions(-)

commit d1b1167ec5f5d89bec9f27f1e253cad0baba3b98
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 20 18:31:17 2005 +0000

    Move all API changes from 1.0 to 0.6. Other 1.0 API issues are strictly additions.

 ChangeLog |   5 +++
 ROADMAP   | 121 ++++++++++++++++++++------------------------------------------
 2 files changed, 43 insertions(+), 83 deletions(-)

commit b0b2f8021a6eb60c3b0d434f65f1c636540aeeb6
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 18 14:36:39 2005 +0000

    Add valgrind suppressions for libpng/libz use of uninitialized data. There are clearly bugs here that are not cairo's fault as zeroing the buffer before writing the png image actually causes more errors(\!). And, notably, setting all the data to random bytes usually makes the errors go away.
    Change the check-valgrind target to include the .valgrind-suppresions file and to tee output into valgrind.log.

 ChangeLog | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd587375e327da08b5da01beccb1ebb8bb2d1e3d
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 18 14:35:54 2005 +0000

    Add valgrind suppressions for libpng/libz use of uninitialized data. There are clearly bugs here that are not cairo's fault as zeroing the buffer before writing the png image actually causes more errors(\!). And, notably, setting all the data to random bytes usually makes the errors go away.
    Change the check-valgrind target to include the .valgrind-suppresions file and to tee output into valgrind.log.

 ChangeLog                   | 13 +++++++++++++
 test/.valgrind-suppressions | 26 ++++++++++++++++++++++++++
 test/Makefile.am            |  2 +-
 3 files changed, 40 insertions(+), 1 deletion(-)

commit 0adea66c73bb8dec0e45a900815d98c029221219
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 18 11:51:42 2005 +0000

    Add -head to CAIRO_VERSION after tagging with SNAPSHOT_0_5_2.

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 0e40baa9a7bd08abd15bfdc666c6e2d21d791e82
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 18 09:23:33 2005 +0000

    Fix the quartz backend so that it at least compiles again. This change is slipped in before 0.5.2 was pushed out and tagged.

 ChangeLog                  |  8 ++++++++
 src/cairo-quartz-surface.c | 11 ++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)

commit b65393917cade57d65ef92aa3510d7e3724f476d
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 18 08:31:24 2005 +0000

    Added notes for snapshot 0.5.2
    Increment CAIRO_VERSION to 0.5.2

 ChangeLog    |  6 +++++
 NEWS         | 74 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |  2 +-
 3 files changed, 81 insertions(+), 1 deletion(-)

commit f0fae1d1bcde4f469cf6e00272fd4530875d283f
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 18 08:23:21 2005 +0000

    Fix leak of pattern.

 ChangeLog                                      | 5 +++++
 test/composite-integer-translate-over-repeat.c | 1 +
 2 files changed, 6 insertions(+)

commit 751e059f5c506138c478fbcc2e9dfe8e92aaa3ab
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 18 08:04:16 2005 +0000

    Note some progress.
    New helper function to help create an image surface from a PNG file, while taking the srcdir environment variable into consideration. Rename the pattern creating helper function to match.
    Use new cairo_test_create_surface_from_png so that non-srcdir builds work.
    Track change in cairo_test_create_pattern_from_png.

 ChangeLog                                 | 19 +++++++++++++++++++
 ROADMAP                                   |  8 ++++----
 test/cairo-test.c                         | 16 +++++++++++++---
 test/cairo-test.h                         |  6 ++++--
 test/composite-integer-translate-over.c   |  2 +-
 test/composite-integer-translate-source.c |  2 +-
 test/mask.c                               |  2 +-
 test/trap-clip.c                          |  2 +-
 8 files changed, 44 insertions(+), 13 deletions(-)

commit 584954859ead08491cd5ed04aec54aae6b1048b8
Author: Carl Worth <cworth@cworth.org>
Date:   Sun Jul 17 22:15:57 2005 +0000

    Add note that Xlib caches need to be cleand up on close of display.

 BUGS      | 7 +++++++
 ChangeLog | 5 +++++
 2 files changed, 12 insertions(+)

commit c36fd95f6ed1dbdb9c7053f8ba5c58623d6095b8
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jul 16 11:27:32 2005 +0000

    Add call to fbCompositeSrcSrc_nxn that I missed.

 pixman/ChangeLog | 5 +++++
 pixman/src/ic.c  | 6 ++++++
 2 files changed, 11 insertions(+)

commit d3661b0d53bf0c3c4132d8d02f8527019d65fc6b
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 15 13:59:47 2005 +0000

    Remove cairo_private qualifier from .c files, (we only need it in the .h files).

 ChangeLog           |  6 ++++++
 src/cairo-font.c    |  2 +-
 src/cairo-surface.c | 18 +++++++++---------
 3 files changed, 16 insertions(+), 10 deletions(-)

commit 8ad8aa63605610eaec78cdbfea321148c02be331
Author: Vladimir Vukicevic <vladimir@pobox.com>
Date:   Fri Jul 15 13:45:19 2005 +0000

    Use XCopyArea when possible, for optimization and bug workaround.
    Exercise XCopyArea, XRenderComposite, and XSetTile/XFillRectangle paths for _cairo_xlib_surface_composite

 ChangeLog                                          |  10 ++
 ROADMAP                                            |   2 +-
 src/cairo-xlib-surface.c                           | 117 +++++++++++++++------
 test/.cvsignore                                    |   3 +
 test/Makefile.am                                   |  11 +-
 test/composite-integer-translate-over-ref.png      | Bin 0 -> 15397 bytes
 ...composite-integer-translate-over-repeat-ref.png | Bin 0 -> 401 bytes
 test/composite-integer-translate-over-repeat.c     |  61 +++++++++++
 test/composite-integer-translate-over.c            |  42 ++++++++
 test/composite-integer-translate-source-ref.png    | Bin 0 -> 16385 bytes
 test/composite-integer-translate-source.c          |  42 ++++++++
 11 files changed, 255 insertions(+), 33 deletions(-)

commit 2534057cb5df78eb5aa79c24317e4a97f6c0f2c6
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 15 10:39:59 2005 +0000

    Add new check-valgrind target for running the test suite under the influence of valgrind.
    Fix memory leak when reference image is not found.

 ChangeLog          | 8 ++++++++
 test/Makefile.am   | 3 +++
 test/buffer-diff.c | 4 +++-
 3 files changed, 14 insertions(+), 1 deletion(-)

commit 07d09acf2a9a8341f281cfe235325a52a20cd750
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 15 01:38:38 2005 +0000

    Fix a few memory leaks (missing cairo_pattern_destroy in 3 places).

 ChangeLog   | 6 ++++++
 test/mask.c | 5 ++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 3a053c1e58962c3fb9eae11954651270244cabae
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 15 01:05:56 2005 +0000

    Fix memory leak, (missing _cairo_pattern_fini).

 ChangeLog          | 5 +++++
 src/cairo-gstate.c | 1 +
 2 files changed, 6 insertions(+)

commit 89a9771b60906092cca1b5e7582be3ae140b9bc2
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 15 00:56:58 2005 +0000

    Remove errant line of code that was inadvertently committed recently.

 ChangeLog         | 5 +++++
 test/cairo-test.c | 3 ---
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 3e05319bf8584d88fc34825d79c138f0e9f8a297
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 17:55:58 2005 +0000

    Fix leak of surface.

 ChangeLog                   | 4 ++++
 test/surface-finish-twice.c | 2 ++
 2 files changed, 6 insertions(+)

commit 6df1baa395ad11c1a22dd5279d6281b3ee149e94
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 17:52:17 2005 +0000

    Call _cairo_array_fini on the several array objects to patch memory leaks.

 ChangeLog               |  6 ++++++
 src/cairo-pdf-surface.c | 10 ++++++++++
 2 files changed, 16 insertions(+)

commit df181620c0e6ca889013435d1ae5d0ffddfeec9d
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 16:56:08 2005 +0000

    Eek. Yet _more_ fixups for _cairo_pattern_release_surface missed earlier.

 ChangeLog                | 7 +++++++
 src/cairo-xlib-surface.c | 8 ++++----
 2 files changed, 11 insertions(+), 4 deletions(-)

commit 174056f7364892b07177f9e7cbda2821ca6c9ac9
Author: Stuart Parmenter <pavlov@pavlov.net>
Date:   Thu Jul 14 16:50:58 2005 +0000

    blue and green values were swapped in the DO_SOURCE case.

 ChangeLog                 | 5 +++++
 src/cairo-win32-surface.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 40edca337e3976ddca98caafcbab950000e66880
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 16:18:39 2005 +0000

    Rewrite to use cairo_image_surface_create_from_png rather than custom read_png_argb32. In addition to being simpler, this eliminates the leak of the image data buffer.
    Add calls to cairo_pattern_destroy to close two memory leaks.

 ChangeLog         | 10 ++++++++++
 test/cairo-test.c | 19 ++++++++-----------
 test/trap-clip.c  |  2 ++
 3 files changed, 20 insertions(+), 11 deletions(-)

commit d8500060a972de9ca0f202d9cfb73460446dfc17
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 15:47:18 2005 +0000

    Fix up one more call to _cairo_pattern_release_surface missed in the previous commit.

 ChangeLog           |  6 ++++++
 src/cairo-pattern.c | 50 ++++++++++++++++++++++++--------------------------
 2 files changed, 30 insertions(+), 26 deletions(-)

commit 3cd006bb2b3986aefaf6cf9002735c430e4bc172
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 15:10:47 2005 +0000

    Fix to accept a cairo_pattern_t rather than a cairo_surface_t as the primary argument.
    Track change in _cairo_pattern_release_surface and also pass the appropriate pattern for each acquired surface. The previous backend mismatch was causing memory leaks.
    Remove stale comment.
    Add missing fclose to keep valgrind happy about memory leaks.

 ChangeLog                 | 19 +++++++++++++++++++
 src/cairo-image-surface.c |  6 +++---
 src/cairo-pattern.c       | 13 +++++++++----
 src/cairo-xlib-surface.c  |  1 -
 src/cairoint.h            |  2 +-
 test/xlib-surface.c       |  4 ++++
 6 files changed, 36 insertions(+), 9 deletions(-)

commit 288f0f7f49849c74c1025804ecb7076b3485b8f2
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 12:50:28 2005 +0000

    Make the per-backend test results print XFAIL rather than FAIL for expected failures.

 ChangeLog         |  6 ++++++
 test/cairo-test.c | 12 ++++++++----
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 6f6c9196c8248f469a9f3b54f886816430c86ac4
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 12:25:41 2005 +0000

    Fix comment describing test result. It's not enough that all tested backends are successful. We also require that at least one backend is actually tested.

 ChangeLog         | 7 +++++++
 test/cairo-test.c | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 456e3ffc4ddd496823dce6551b0545ce5c9530d4
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 12:20:42 2005 +0000

    Don't consider a test to fail if it can't create a surface at all (eg. no X server is available). Instead mark this backend as untested and only consider the overall test a success if all tested backend are successful.

 ChangeLog         |  8 ++++++++
 test/cairo-test.c | 31 ++++++++++++++++++++++++++-----
 test/cairo-test.h |  3 ++-
 3 files changed, 36 insertions(+), 6 deletions(-)

commit 0c3ee348f890879154089f23ea37bfaa2bfcd87a
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 11:48:40 2005 +0000

    Add missing (putatively unreachable) return value.

 ChangeLog              | 5 +++++
 src/cairo-ps-surface.c | 1 +
 2 files changed, 6 insertions(+)

commit 14ea7b583b90142bcec829716a0077d969b847e3
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 11:45:39 2005 +0000

    Remove the copying of the region. This was a workaround for a missing copy bug in libpixman that has since been fixed. So now it was just a memory leak.

 ChangeLog                 |  7 +++++++
 src/cairo-image-surface.c | 15 +--------------
 2 files changed, 8 insertions(+), 14 deletions(-)

commit 171b053347c83d2a1f234b553510ef3f72f22f29
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 11:41:00 2005 +0000

    Whitespace fix. (pixman_image_destroy): Fix leak of the clip region associated with an image. (NOTE: xserver/render doesn't have the same bug since it has FreePicture that calls into both DestroyPicture and DestroyPictureClip separately).

 pixman/ChangeLog     | 8 ++++++++
 pixman/src/icimage.c | 4 +++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 513e9e6fe5bbd8dda3e90c89d200f34104b27646
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 11:24:56 2005 +0000

    Patch memory leak of png_info object.

 ChangeLog       | 5 +++++
 src/cairo-png.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 574b702029894f035791a99600130b16f30ddd55
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 11:17:12 2005 +0000

    Rename create-for-png test to create-from-png to match the naming of the cairo_image_surface_create_from_png function.

 ChangeLog                   |  10 +++++++
 test/.cvsignore             |   2 +-
 test/Makefile.am            |   6 ++--
 test/create-for-png-ref.png | Bin 100 -> 0 bytes
 test/create-for-png.c       |  69 --------------------------------------------
 test/create-from-png.c      |   4 +--
 6 files changed, 16 insertions(+), 75 deletions(-)

commit c41e9d698f5dbc318819fb958618b704dbc5388a
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 14 11:11:15 2005 +0000

    Patch a few memory leaks.

 ChangeLog         |  6 ++++++
 test/cairo-test.c | 47 ++++++++++++++++++++++++++---------------------
 2 files changed, 32 insertions(+), 21 deletions(-)

commit 3a469446376eb23bd4a852417b0a319b914805b9
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Wed Jul 13 12:32:51 2005 +0000

    Use the _cairo_surface_*() functions when replaying.
    Fold the "locate fallbacks" pass into the postscript output pass, and add a simple, first implementation of image fallbacks.

 ChangeLog                        |   9 ++
 src/cairo-meta-surface-private.h |   1 +
 src/cairo-meta-surface.c         |  35 +++--
 src/cairo-ps-surface.c           | 286 +++++++++++++++++++--------------------
 4 files changed, 163 insertions(+), 168 deletions(-)

commit aafc2e749725fab0684cce6e36b130f838696912
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 13 11:34:37 2005 +0000

    Rename CAIRO_FONT_BACKEND_DEFAULT to the more accurate CAIRO_SCALED_FONT_BACKEND_DEFAULT.

 ChangeLog        | 7 +++++++
 src/cairo-font.c | 3 ++-
 src/cairoint.h   | 6 +++---
 3 files changed, 12 insertions(+), 4 deletions(-)

commit 6725cc9d7f9b44f930478c337073d372272407de
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 13 11:01:25 2005 +0000

    New predicates to allow checking for cairo_ft derivates of generic font type.
    Add explicit checks for cairo_ft derivatives of generic fonts rather than just blindly assuming that's what we get.

 ChangeLog               | 15 +++++++++++++++
 src/cairo-font-subset.c |  4 ++++
 src/cairo-ft-font.c     | 12 ++++++++++++
 src/cairo-ft-private.h  |  6 ++++++
 src/cairo-pdf-surface.c |  8 ++++++++
 src/cairo-ps-surface.c  | 12 ++++++++++++
 6 files changed, 57 insertions(+)

commit dda555de995e2af3cc49e3e2ed9e2444c8622a55
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Jul 12 14:43:37 2005 +0000

    Remove destroy notifier. This simplifies the implementation a bit, and no anticipated use of cairo_hash_table_t in cairo needs the destroy notifier. Most uses will be hash-backed object create/destroy functions.
    (_cairo_hash_table_destroy): Document that it is now a fatal error to call _cairo_hash_table_destroy on a non-empty hash table.
    (_cairo_hash_table_insert): Document that it is now a fatal error to insert an entry with a key that matches an existing entry.
    (_cairo_hash_table_random_entry): Add predicate function so that the user can select a random entry satisying the given predicate.
    (_cairo_hash_table_remove): Change return type to void since failure is really not possible here.

 ChangeLog                |  22 +++++++++
 src/cairo-hash-private.h |  25 +++++++----
 src/cairo-hash.c         | 115 +++++++++++++++++++++--------------------------
 3 files changed, 90 insertions(+), 72 deletions(-)

commit efb413c084c51c08875ab2f356484718ff4f91dd
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 11 16:24:19 2005 +0000

    Add note that glyph measurement performance needs to improve.

 ChangeLog | 1 +
 ROADMAP   | 3 +++
 2 files changed, 4 insertions(+)

commit 4329b709639c2dd3a6ec0cf113877323abfcbc2c
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 11 16:09:55 2005 +0000

    Fix typo (cairo_ft_options_t -> cairo_font_options_t).

 ChangeLog | 1 +
 ROADMAP   | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit abdaf7555f467e2df248430853e9dd8bf3c4056d
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 11 16:07:08 2005 +0000

    Add cache lock deadlock problem to roadmap for 0.5.2.
    Disable mutex locks, (making the caches non-thread-safe again, just like they were in the last snapshot and before).

 ChangeLog      |  8 ++++++++
 ROADMAP        |  9 +++++++++
 src/cairoint.h | 48 ++++++++++++++++++++++++++++++++++++------------
 3 files changed, 53 insertions(+), 12 deletions(-)

commit e9d42ab9f9b6def69c8de976fb3482b9559ffb9c
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 11 14:03:51 2005 +0000

    ROADMAP: Add recent API change proposals (cairo_ft_options_t, cairo_xlib_surface_create needs to be screen aware, and cairo_xlib_surface_set_drawable).

 ChangeLog |  3 +++
 ROADMAP   | 15 +++++++++++++++
 2 files changed, 18 insertions(+)

commit 9cddbaf8e6d4aef89017baf6bf10d8d34a47b0ef
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 11 13:37:43 2005 +0000

    ROADMAP: Note progress on cairo_meta_surface_t, ARGB text, and group support.

 ChangeLog |  2 ++
 ROADMAP   | 11 ++++++++---
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 48e5806f1e30e1e46a18442a568ed99daab78f66
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jul 11 13:29:45 2005 +0000

    Note that the cairo_content_t work is done.
    Note that this function is computing an incorrect result.

 ChangeLog       | 7 +++++++
 ROADMAP         | 4 ++--
 src/cairo-arc.c | 2 ++
 3 files changed, 11 insertions(+), 2 deletions(-)

commit 2ff04df85219828c0058155ba7038a23bd264ebc
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jul 9 19:00:36 2005 +0000

    Begin merging in newer fb code.
    The code comes from keithp: Initial import of Composite extension along with name change from Apportion. Added some accelerated code to fbpict to make this initial hack a bit faster. "real" extension bits to follow.

 pixman/ChangeLog |  12 ++++
 pixman/src/ic.c  | 177 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 187 insertions(+), 2 deletions(-)

commit 1d48dc6cdb653b95c4353613399972663c71e68e
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jul 9 18:13:14 2005 +0000

    More misc merging. Mostly s/pixman_composite/fbComposite/.

 pixman/ChangeLog | 12 ++++++++++
 pixman/src/ic.c  | 72 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 48 insertions(+), 36 deletions(-)

commit 36a57bcdcbb0025250bfa037fbd7e7c08819e43b
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jul 9 15:47:43 2005 +0000

    More misc merging. Mostly stuff like s/uint32_t/CARD32/.

 pixman/ChangeLog |  16 ++
 pixman/src/ic.c  | 626 +++++++++++++++++++++++++++----------------------------
 2 files changed, 329 insertions(+), 313 deletions(-)

commit 9a2ba48b298c3bf4b462e1030b105efaf9fd015c
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jul 8 10:12:28 2005 +0000

    Give enum tags an underscore prefix to match the style of the struct tags. Add new cairo_content_t and change cairo_surface_create_similar to accept a cairo_content_t rather than a cairo_format_t.
    Change surface backend create_similar call to accept a cairo_content_t rather than a cairo_format_t.
    Fix all calls into create_similar to pass a cairo_content_t rather than a cairo_format_t.

 ChangeLog                  |  44 +++++++++++++++++++
 src/cairo-glitz-surface.c  |  41 +++++++++---------
 src/cairo-gstate.c         |  10 ++---
 src/cairo-image-surface.c  |  52 +++++++++++++++++++++--
 src/cairo-meta-surface.c   |   4 +-
 src/cairo-pattern.c        |   2 +-
 src/cairo-pdf-surface.c    |   4 +-
 src/cairo-ps-surface.c     |  10 ++---
 src/cairo-quartz-surface.c |  11 +++--
 src/cairo-surface.c        |  36 ++++++++++++----
 src/cairo-win32-surface.c  |   9 ++--
 src/cairo-xcb-surface.c    |   6 ++-
 src/cairo-xlib-surface.c   |   8 ++--
 src/cairo.h                | 103 ++++++++++++++++++++++++++++-----------------
 src/cairoint.h             |  14 ++++--
 test/mask.c                |   4 +-
 test/pixman-rotate.c       |   2 +-
 test/source-clip.c         |   2 +-
 18 files changed, 256 insertions(+), 106 deletions(-)

commit 9fd2f0a25c4954e839d79de00ff14b1990ae39eb
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jul 7 01:15:21 2005 +0000

    Add a missing word.
    Note that the BadMatch bug has been resolved.

 CODING_STYLE | 4 ++--
 ChangeLog    | 6 ++++++
 ROADMAP      | 9 ++++++---
 3 files changed, 14 insertions(+), 5 deletions(-)

commit f766e06d25334cd8d75d28d105b6a2fa62f08702
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 6 14:52:01 2005 +0000

    Remove CAIRO_STATUS_NO_TARGET_SURFAC and add CAIRO_STATUS_INVALID_STATUS.
    Don't check for gstate->target == NULL anymore as the API now guarantees it never occurs.
    Check that path->status is a valid status value and cause an INVALID_STATUS error otherwise.
    Test the new CAIRO_STATUS_INVALID_STATUS error case in cairo_append_path.

 ChangeLog          | 18 ++++++++++++++++++
 src/cairo-gstate.c |  9 ---------
 src/cairo.c        | 18 +++++++++++++-----
 src/cairo.h        | 27 ++++++++++++++-------------
 test/path-data.c   | 15 +++++++++++++++
 5 files changed, 60 insertions(+), 27 deletions(-)

commit eb12e493084ace63cebf9eb95b07953a952a817f
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jul 6 11:23:39 2005 +0000

    Require libpixman >= 0.1.5, (since 0.1.4 crashes on some X servers).

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ad0e040fb6625c9fcc76b99c65f3caff098fd256
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Jul 5 22:30:59 2005 +0000

    Disable the compilation of the _ps_locate_fallbacks code which, inaddition to being broken, appears to not currently be used.

 ChangeLog              |  6 ++++++
 src/cairo-ps-surface.c | 11 +++++++++--
 2 files changed, 15 insertions(+), 2 deletions(-)

commit e314e86cc1eb5feafee621ece4be79d897eb2850
Author: David Reveman <davidr@novell.com>
Date:   Mon Jul 4 03:58:43 2005 +0000

    Use frame buffer objects for accelerated offscreen drawing in glitz backend

 ChangeLog                 |   9 +++
 configure.in              |   2 +-
 src/cairo-glitz-surface.c | 156 ++++++++++++++++++----------------------------
 3 files changed, 72 insertions(+), 95 deletions(-)

commit 7a923e6dddcefa643ef059e8eef0ebeba7e383ee
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Jul 1 12:45:35 2005 +0000

    Rewrite postscript backend to generate more interesting output than the current big-image implementation, using meta surfaces for font subsetting and image fallbacks.
    Remove obsolete comment.
    Make a couple of stylistic changes and add _cairo_output_stream_write_hex_string.
    Add _cairo_surface_intersect_clip_path so we can replay path clipping.

 ChangeLog                 |   15 +
 src/cairo-meta-surface.c  |    6 -
 src/cairo-output-stream.c |   28 +-
 src/cairo-ps-surface.c    | 1261 +++++++++++++++++++++++++++++++++++++++------
 src/cairo-surface.c       |   17 +
 src/cairoint.h            |   11 +
 6 files changed, 1167 insertions(+), 171 deletions(-)

commit 7ab5dbfa7547bd0d8a99e4d0fcd34d8a55722a11
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Jul 1 12:22:23 2005 +0000

    Add meta surface implementation.
    Add cairo-meta-surface.c and cairo-meta-surface-private.h

 ChangeLog                        |   8 +
 src/Makefile.am                  |   2 +
 src/cairo-meta-surface-private.h | 151 ++++++++++
 src/cairo-meta-surface.c         | 601 +++++++++++++++++++++++++++++++++++++++
 4 files changed, 762 insertions(+)

commit 4e01c4aa2f8427113153fe569b6cf22388ba0882
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 29 17:05:31 2005 +0000

    Remove debugging printfs.

 ChangeLog        | 7 ++++++-
 src/cairo-hash.c | 4 ----
 2 files changed, 6 insertions(+), 5 deletions(-)

commit aad6dce6bc9adc829e719345c5df954d9464cefb
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 29 17:02:37 2005 +0000

    Add _cairo_hash_table_random_entry.
    Fix to update live_entries.
    style changes.
    Add code to shrink table as well as to grow it.
    Call new version of resize so that table will grow or shrink as needed on insert and remove.

 ChangeLog                |  18 +++++++
 src/cairo-hash-private.h |   5 +-
 src/cairo-hash.c         | 138 +++++++++++++++++++++++++++++++++++++++--------
 3 files changed, 139 insertions(+), 22 deletions(-)

commit e7ffbb4179b388304d4aadda66eb6c641758f91b
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 29 15:02:10 2005 +0000

    Rewrite hash table to use a single cairo_hash_entry_t* rather than void *key and void *value. This is slightly more painful to use, but lends itself to a more memory-efficient implementation. Add documentation.

 ChangeLog                |  12 ++
 src/cairo-hash-private.h |  58 ++++++---
 src/cairo-hash.c         | 332 +++++++++++++++++++++++++----------------------
 3 files changed, 235 insertions(+), 167 deletions(-)

commit 82f244eca84b37886bd0b118dc44ec04342d7a26
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 29 07:04:34 2005 +0000

    Rework the cache code as a hast table with a much simpler interface, (no object derviation is required to use it).
    Remove extraneous prototype for non-existent _cairo_cache_reference.

 ChangeLog                |  14 ++
 src/cairo-hash-private.h |  85 +++++++
 src/cairo-hash.c         | 643 ++++++++++++++++++++---------------------------
 src/cairoint.h           |   3 -
 4 files changed, 374 insertions(+), 371 deletions(-)

commit 5ab8a3085ee4c5cab7d07d233530d74c2d978d94
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Tue Jun 28 15:58:42 2005 +0000

    New functions to create a cairo_pattern_t corresponding to a solid color and a translucent color respectively. Document a few pattern functions.

 ChangeLog           |   7 +++
 src/cairo-pattern.c | 148 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo.c         |  37 +++----------
 src/cairo.h         |   8 +++
 4 files changed, 171 insertions(+), 29 deletions(-)

commit e7442a4523603642c4805058140a7ad23fc0489d
Author: Tor Lillqvist <tml@novell.com>
Date:   Tue Jun 28 15:03:53 2005 +0000

    Implement.
    reviewed by: otaylor

 ChangeLog              |   7 +++
 src/cairo-win32-font.c | 133 +++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 135 insertions(+), 5 deletions(-)

commit 6d65ee6fc40ed1dcf7cc2f50413afc207520b299
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Jun 28 13:28:53 2005 +0000

    Also flag older XFree86 servers as buggy-repeat.

 ChangeLog                | 5 +++++
 src/cairo-xlib-surface.c | 3 +++
 2 files changed, 8 insertions(+)

commit e0982300cad9cf9873c28f69e025dd9a278934f0
Author: Tor Lillqvist <tml@novell.com>
Date:   Tue Jun 28 11:52:42 2005 +0000

    Prevent crash on empty string.

 ChangeLog              |  5 +++++
 src/cairo-atsui-font.c | 17 ++++++++++-------
 2 files changed, 15 insertions(+), 7 deletions(-)

commit f3b7d3dfd8d2bec03969bc5a52fb41473b88c747
Author: Owen Taylor <otaylor@redhat.com>
Date:   Tue Jun 28 05:02:27 2005 +0000

    Fix stray commit marker

 ChangeLog | 1 -
 1 file changed, 1 deletion(-)

commit 3b0c3d0ee84f991347df12249f944c780dde99f8
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 25 23:24:19 2005 +0000

    Provide locking macros, implement with pthreads.
    Add _cairo_cache_shrink_to which reduces cache memory usage to a specified level.
    Change global glyph and xlib glyphset caches behaviour to only shrink cache on unlock. This is done by telling the cache code to never shrink (max_memory == 0), and then manually shrinking using _cairo_cache_shrink_to from the unlock function.
    Fix Carl's variable renaming mixing (cache = cache).
    reviewed by: cworth

 ChangeLog                | 33 ++++++++++++++++++++++++++++++
 configure.in             |  8 ++++++++
 src/cairo-cache.c        | 24 ++++++++++++++--------
 src/cairo-font.c         | 28 ++++++++++++++++---------
 src/cairo-ft-font.c      |  6 ++++--
 src/cairo-hash.c         | 24 ++++++++++++++--------
 src/cairo-xlib-surface.c | 53 +++++++++++++++---------------------------------
 src/cairoint.h           | 23 +++++++++++++++++++++
 8 files changed, 132 insertions(+), 67 deletions(-)

commit 574f7f560bf2cc851ad4f3267840e37fa06611fa
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jun 25 15:03:17 2005 +0000

    Merge over most of the low-hanging renames from xserver/fb.

 pixman/ChangeLog                   |  34 +++
 pixman/src/ic.c                    |  30 +--
 pixman/src/icblt.c                 |  34 +--
 pixman/src/icbltone.c              |  32 +--
 pixman/src/iccompose.c             | 498 ++++++++++++++++++-------------------
 pixman/src/icint.h                 | 296 ++++++++++++----------
 pixman/src/icrop.h                 |  18 +-
 pixman/src/icutil.c                |   2 +-
 pixman/src/pixman-xserver-compat.h |   4 +-
 9 files changed, 501 insertions(+), 447 deletions(-)

commit be38e07c4e511c075f9a30c67a4385bbb1d30594
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Sat Jun 25 14:41:38 2005 +0000

    Fix broken build on older gcc's caused by overzealous s/IC_/FB_/g

 pixman/ChangeLog   | 5 +++++
 pixman/src/icint.h | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 5f0e8de3e5721d55328b6b06922f7b29b49cc5cb
Author: Owen Taylor <otaylor@redhat.com>
Date:   Sat Jun 25 13:51:22 2005 +0000

    Add mostly useless (other than perhaps 90-degree rotation) code for transforming bitmap glyphs.

 ChangeLog           |   8 +++-
 src/cairo-ft-font.c | 136 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 142 insertions(+), 2 deletions(-)

commit 13a27d19d4e8748a4233b70cdd4a223865d3d57c
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Jun 25 02:00:17 2005 +0000

    From: J. Ali Harlow" <ali@avrc.city.ac.uk> Reviewed by: Vladimir Vukicevic <vladimirv@gmail.com>
    Update win32 backend to match current API, so it actually builds once again.

 ChangeLog                 | 22 ++++++++++++++++++++++
 src/cairo-win32-surface.c | 19 +++++++++++--------
 test/Makefile.am          |  4 ++--
 3 files changed, 35 insertions(+), 10 deletions(-)

commit 64d5b34a9843e63d36c605abe7cdd56bacabccee
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Jun 24 20:13:19 2005 +0000

    s/Ic/Fb/g This gets read of most of the [Ii][cC]'s the rest will probably dealt with on a case by case basis.
    trimmed function list again.

 pixman/ChangeLog                   |  26 +++
 pixman/src/ic.c                    | 108 +++++-----
 pixman/src/icblt.c                 | 268 +++++++++++------------
 pixman/src/icbltone.c              | 174 +++++++--------
 pixman/src/iccolor.c               |  20 +-
 pixman/src/iccompose.c             | 288 ++++++++++++-------------
 pixman/src/icformat.c              |  10 +-
 pixman/src/icimage.c               |  36 ++--
 pixman/src/icimage.h               |  70 +++---
 pixman/src/icint.h                 | 426 ++++++++++++++++++-------------------
 pixman/src/icpixels.c              |  28 +--
 pixman/src/icrect.c                |   6 +-
 pixman/src/icrop.h                 |  66 +++---
 pixman/src/icstipple.c             |  20 +-
 pixman/src/ictrap.c                |   6 +-
 pixman/src/ictri.c                 |  20 +-
 pixman/src/icutil.c                |   4 +-
 pixman/src/pixman-xserver-compat.h |   2 +-
 18 files changed, 802 insertions(+), 776 deletions(-)

commit 42fc090745c8d262b8348b9f7a6c204e9a9b2379
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Jun 24 18:28:19 2005 +0000

    selective s/Ic/fb/g.
    I took out the list of functions because it was ridiculously long.

 pixman/ChangeLog       |  16 ++
 pixman/src/ic.c        |  96 +++++-----
 pixman/src/icblt.c     |  34 ++--
 pixman/src/icbltone.c  |  96 +++++-----
 pixman/src/iccompose.c | 466 ++++++++++++++++++++++++-------------------------
 pixman/src/icimage.h   |   2 +-
 pixman/src/icint.h     |  30 ++--
 pixman/src/icrop.h     |  26 +--
 pixman/src/icstipple.c |   2 +-
 pixman/src/icutil.c    |  42 ++---
 10 files changed, 413 insertions(+), 397 deletions(-)

commit 43e3e7eeff6ff0f9fc0b161f70dfa0f5071a087e
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Fri Jun 24 18:21:15 2005 +0000

    s/IC_/FB_/g
    dd #define FB_BITS IC_BITS so that FB_BITS get defined early enough

 pixman/ChangeLog                   |  18 ++++
 pixman/src/ic.c                    |   4 +-
 pixman/src/icblt.c                 | 106 +++++++++++------------
 pixman/src/icbltone.c              |  76 ++++++++---------
 pixman/src/icint.h                 | 168 ++++++++++++++++++-------------------
 pixman/src/icpixels.c              |   6 +-
 pixman/src/icrop.h                 |   4 +-
 pixman/src/icstipple.c             |   6 +-
 pixman/src/icutil.c                |  16 ++--
 pixman/src/pixman-xserver-compat.h |   2 +
 pixman/src/pixman.h                |   3 +-
 11 files changed, 215 insertions(+), 194 deletions(-)

commit d469cc18eb21f69f8546f1d35ea44509c6eac329
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 24 15:14:31 2005 +0000

    Remove stray character.

 ChangeLog           | 5 +++++
 src/cairo-ft-font.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 05e2ffa00ad672d33f1c204237f54a006f2e5c94
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 24 15:09:41 2005 +0000

    Prefer descriptive variable names over single-character names. Remove unneeded XGlpyhInfo field from glyphset_cache_entry_t.

 ChangeLog                |  12 +++++
 src/cairo-xlib-surface.c | 135 +++++++++++++++++++++++------------------------
 2 files changed, 78 insertions(+), 69 deletions(-)

commit 87008a44d3043e48376cb3bee3702226ec5bcac7
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri Jun 24 15:06:40 2005 +0000

    Handle rendering bitmap glyphslots as well as outline glyphslots.
    When setting the scale for a non-scalable font, use the nearest available size (FreeType won't set the glyph metrics otherwise.)

 ChangeLog           |   9 ++
 src/cairo-ft-font.c | 269 ++++++++++++++++++++++++++++++++++++++++------------
 2 files changed, 218 insertions(+), 60 deletions(-)

commit 81fa936fd2153e62411a5fbd3e8e5a43bc493d74
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Thu Jun 23 19:41:07 2005 +0000

    s/IcCombine/fbCombine/

 pixman/ChangeLog       |  31 ++++++
 pixman/src/iccompose.c | 272 ++++++++++++++++++++++++-------------------------
 2 files changed, 167 insertions(+), 136 deletions(-)

commit e77d9776ae5217e9317209815b3195366a84f70f
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Thu Jun 23 19:39:12 2005 +0000

    s/pixman_compositeOperand/FbCompositeOperand/g.

 pixman/ChangeLog       |  59 ++++++
 pixman/src/iccompose.c | 552 ++++++++++++++++++++++++-------------------------
 pixman/src/icimage.h   |  20 +-
 3 files changed, 345 insertions(+), 286 deletions(-)

commit 373e7f68b1c076eab08f2bc6b249dae4e8ac9bf4
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Thu Jun 23 19:35:45 2005 +0000

    s/pixman_bits_t/FbBits/s

 pixman/ChangeLog       |  31 ++++++++++++++
 pixman/src/ic.c        |  14 +++---
 pixman/src/icblt.c     |  80 +++++++++++++++++-----------------
 pixman/src/icbltone.c  |  44 +++++++++----------
 pixman/src/iccompose.c | 114 ++++++++++++++++++++++++-------------------------
 pixman/src/icimage.c   |   6 +--
 pixman/src/icstipple.c |   8 ++--
 7 files changed, 164 insertions(+), 133 deletions(-)

commit aa07c01cb5d1f0c41067ee005b6db4481d5d8b58
Author: Jeff Muizelaar <jeff@infidigm.net>
Date:   Thu Jun 23 19:33:34 2005 +0000

    more merging:
    630. Fix incorrect datatype for the pixmap width in fbCompositeSrcAdd_8000x8000(), and add some small optimisations (#A.1423, Keith Packard).

 pixman/ChangeLog | 12 +++++++++++-
 pixman/src/ic.c  | 36 ++++++++++++++++++++++--------------
 2 files changed, 33 insertions(+), 15 deletions(-)

commit 81ec18369736888bea6d4d79d0de6ed00e8ca802
Author: Jeff Muizelaar <jrmuizel@infidigm.net>
Date:   Thu Jun 23 19:30:12 2005 +0000

    Start the xserver/fb -> libpixman merging with a copy optimization.

 pixman/ChangeLog   |  7 +++++++
 pixman/src/icblt.c | 26 +++++++++++++++++++++++++-
 pixman/src/icint.h |  1 +
 3 files changed, 33 insertions(+), 1 deletion(-)

commit adeff84bc2eba19bb3f667297e594a1ef86ae2a9
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jun 23 15:52:37 2005 +0000

    Add ARGB text to 1.0 roadmap.

 ChangeLog | 4 ++++
 ROADMAP   | 2 ++
 2 files changed, 6 insertions(+)

commit 609ef32bfa13c09d3a6de5c6631458109445eda0
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jun 23 13:05:07 2005 +0000

    Improve last ChangeLog entry a bit

 ChangeLog | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ff27263f3968d8f97534ce218bfde0392908cf6c
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jun 23 12:58:49 2005 +0000

    Only unpremultiply ARGB32 data. Call png_write_info() *before* we set up the write conversion... it doesn't work after.

 ChangeLog       |  6 ++++++
 src/cairo-png.c | 47 ++++++++++++++++++++++++++++++++++++-----------
 2 files changed, 42 insertions(+), 11 deletions(-)

commit 3b20ab66b89527c25c1fbfff8ed1ff672196520f
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jun 23 12:45:38 2005 +0000

    Add workaround for Render's overlapping source/dest bug to the 0.5.2 roadmap.

 ChangeLog | 5 +++++
 ROADMAP   | 4 ++++
 2 files changed, 9 insertions(+)

commit 03c7b6aa7a5d2b97b7f892296f2a46ae56dde5b2
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 22 22:12:09 2005 +0000

    Add link to BadMatch bug.

 ChangeLog | 6 ++++--
 ROADMAP   | 3 ++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit b04b434db189904b108ab5167e61a286ea8225d2
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 22 17:09:08 2005 +0000

    Update ROADMAP with some comments on 0.5.2.
    Add documentation for cairo_set_source_surface and fix some typos in other documentation blocks.

 ChangeLog   |  6 ++++++
 ROADMAP     | 16 ++++++++--------
 src/cairo.c | 29 ++++++++++++++++++++++++++---
 3 files changed, 40 insertions(+), 11 deletions(-)

commit 687f3d78d6b1fe1fb03980c70537bea331bbcf28
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jun 22 09:49:48 2005 +0000

    minor whitespace and spellfix

 ChangeLog                        | 4 ++++
 doc/public/language-bindings.xml | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit b1130276d59a219e70d43dd1d199ddf391fa3330
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Tue Jun 21 15:38:51 2005 +0000

    Split out font subsetting code from here,
    and put it here.

 ChangeLog                       |   7 +
 src/Makefile.am                 |  91 +++---
 src/cairo-font-subset-private.h |  68 +++++
 src/cairo-font-subset.c         | 645 +++++++++++++++++++++++++++++++++++++++
 src/cairo-pdf-surface.c         | 657 ++--------------------------------------
 5 files changed, 784 insertions(+), 684 deletions(-)

commit 7283ba6d470950e0e49f33fc25f3358113dda51e
Author: Tor Lillqvist <tml@novell.com>
Date:   Tue Jun 21 09:54:58 2005 +0000

    allow building against < 10.3 SDK.

 ChangeLog              |  4 ++++
 src/cairo-atsui-font.c | 12 ++++++++++++
 2 files changed, 16 insertions(+)

commit adee31be18e20112c7da49675b93d37cc66ee263
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 20 17:06:10 2005 +0000

    Add -head to CAIRO_VERSION after tagging with SNAPSHOT_0_5_1.

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 86869f02b9206eaeac331ff8945dacf4d840df98
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 20 17:01:36 2005 +0000

    Force distcheck to enable gtk-doc.

 ChangeLog                  |  4 ++++
 Makefile.am                |  2 ++
 doc/public/tmpl/cairo.sgml | 19 -------------------
 3 files changed, 6 insertions(+), 19 deletions(-)

commit d7ef15d4b48820a072e4f4525fa83b23dc2cdf5d
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 20 16:35:40 2005 +0000

    Added notes for snapshot 0.5.1
    Increment CAIRO_VERSION to 0.5.1

 ChangeLog    |   6 ++++
 NEWS         | 102 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |   2 +-
 3 files changed, 109 insertions(+), 1 deletion(-)

commit 74e3cc672f4b687d48caabe53a9c611868e27904
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 20 16:31:17 2005 +0000

    Fix abbreviated ChangeLog

 ChangeLog | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ea2a04d901947106d15978c077cad61b7b7c9b26
Author: Owen Taylor <otaylor@redhat.com>
Date:   Mon Jun 20 15:48:46 2005 +0000

    Workaround for https://bugs.freedesktop.org/show_bug.cgi?id=3566
    Detect servers with a bug in repeating surfaces by checking vendor string and version.
    For such surfaces
    Save clip rects when setting a clip region on a surface so that we set the right clip for the surface's GC if we create it later.

 ChangeLog                  |  13 +++
 doc/public/tmpl/cairo.sgml |  19 +++
 src/cairo-xlib-surface.c   | 282 ++++++++++++++++++++++++++++++++++++++++++---
 3 files changed, 300 insertions(+), 14 deletions(-)

commit 1ce9be95415c43b9db73b80f2641cc3a8eee9215
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 20 12:54:15 2005 +0000

    Make out parameters optional. Style cleanup.

 ChangeLog          |  5 +++++
 src/cairo-matrix.c | 42 +++++++++++++++++++++++-------------------
 2 files changed, 28 insertions(+), 19 deletions(-)

commit ab668278b060f3708bd1418c5707ceda74b9e2b4
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 20 11:09:51 2005 +0000

    Abstract CAIRO_ALPHA_IS_OPAQUE out for general internal use.
    Optimize to defer to cairo_paint if the alpha value is actually opaque.

 ChangeLog           | 9 +++++++++
 src/cairo-pattern.c | 2 +-
 src/cairo.c         | 5 +++++
 src/cairoint.h      | 2 ++
 4 files changed, 17 insertions(+), 1 deletion(-)

commit f15ec64e7f2cfb9071c05ec072e49f364dbc4164
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 20 09:59:23 2005 +0000

    Rip out cairo_set_error_notfiy function as it is clear that it is not the right approach.
    Remove error-notify test.

 ChangeLog                  |  12 +++++
 doc/public/tmpl/cairo.sgml |  19 --------
 src/cairo-private.h        |   3 --
 src/cairo.c                |  32 --------------
 src/cairo.h                |  14 ------
 test/.cvsignore            |   1 -
 test/Makefile.am           |   2 -
 test/error-notify.c        | 108 ---------------------------------------------
 8 files changed, 12 insertions(+), 179 deletions(-)

commit 3b8da5f213c3d0cf4357b29207639357241938bb
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 17 23:22:20 2005 +0000

    Remove references to repeat and matrix fields that no longer exist.

 ChangeLog                          |  5 +++++
 doc/public/tmpl/cairo-pattern.sgml |  4 ++--
 doc/public/tmpl/cairo.sgml         | 23 +++++++++++++++++++++--
 src/cairo-xcb-surface.c            |  3 ---
 4 files changed, 28 insertions(+), 7 deletions(-)

commit 92222f8bcaca41304ddd6a49a7e9d731a6a15820
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri Jun 17 16:19:08 2005 +0000

    Fix width/height typo.

 ChangeLog                | 6 ++++++
 src/cairo-xcb-surface.c  | 2 +-
 src/cairo-xlib-surface.c | 2 +-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 66f8b1202ed82e4e88a63c6c385aded852186e68
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Jun 17 13:25:19 2005 +0000

    Remove matrix, filter and repeat from the cairo_surface_t struct.

 ChangeLog                 | 10 ++++++++++
 src/cairo-glitz-surface.c |  3 ---
 src/cairo-image-surface.c |  6 +++---
 src/cairo-pattern.c       |  6 ------
 src/cairo-pdf-surface.c   |  2 +-
 src/cairo-surface.c       |  4 ----
 src/cairo-xlib-surface.c  |  3 ---
 src/cairoint.h            | 16 ----------------
 8 files changed, 14 insertions(+), 36 deletions(-)

commit 9318742aa434c1e8dd7c71ae07632383f8f7c59b
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 17 11:24:24 2005 +0000

    cairo_reference and cairo_destroy shouldn't behave differently when cr->status indicates an error. Fix this bug that just slipped back in.
    Remove useless conditional return at the end of a void function.
    Fix so that after calling _cairo_error the most that any cairo entry function ever does is return a previously computed value.

 ChangeLog   | 14 ++++++++++++++
 src/cairo.c | 39 +++++++++++++++++++--------------------
 2 files changed, 33 insertions(+), 20 deletions(-)

commit c71f0904f19beb7b5916fc229fe02c78ab296bae
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Jun 17 10:48:47 2005 +0000

    Remove the path clipping entry from the list.

 ChangeLog | 4 ++++
 TODO      | 3 ---
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 7c811e0ac604e71ab67937c5a0842a6d01c67fbe
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jun 16 12:31:56 2005 +0000

    update documentation build stuff

 doc/public/cairo-sections.txt      | 2 ++
 doc/public/tmpl/cairo-pattern.sgml | 2 ++
 doc/public/tmpl/cairo.sgml         | 2 ++
 3 files changed, 6 insertions(+)

commit d6eca5a45f220d806491af518ba8ce16b524e01d
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jun 16 12:20:46 2005 +0000

    Reorder fields of cairo_private_t to match initialization order.
    Call error_notify callback if set. (cairo_create): Initialize error_notify callback to NULL. (cairo_set_error_notify): New function to allow the user to set an error notify callback.
    New cairo_set_error_notify prototye.
    New test for cairo_set_error_notify.

 ChangeLog           |  17 +++++++++
 src/cairo-private.h |   8 +++-
 src/cairo.c         |  39 +++++++++++++++++--
 src/cairo.h         |  14 +++++++
 test/.cvsignore     |   1 +
 test/Makefile.am    |   2 +
 test/error-notify.c | 108 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 184 insertions(+), 5 deletions(-)

commit 18c2d12b9ed98aea7f8ebe2b97b9406a6acb4d29
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 15 16:52:11 2005 +0000

    Add CAIRO_STATUS_DESTROYED to TODO list.
    Note progress on consistent error handling.
    Fix typo in documentation comment for _cairo_surface_get_current_clip_serial.

 ChangeLog           | 9 +++++++++
 ROADMAP             | 4 +++-
 TODO                | 1 +
 src/cairo-surface.c | 2 +-
 4 files changed, 14 insertions(+), 2 deletions(-)

commit 615d50976735a544da6888dc608495d130878400
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jun 15 16:04:19 2005 +0000

    Remove --only-section-tmpl; it doesn't really work currently :-(.

 ChangeLog                               |    5 +
 doc/public/Makefile.am                  |    2 +-
 doc/public/tmpl/cairo-font.sgml         |  121 ++++
 doc/public/tmpl/cairo-ft.sgml           |   36 ++
 doc/public/tmpl/cairo-glitz.sgml        |    9 +
 doc/public/tmpl/cairo-matrix.sgml       |  131 ++++
 doc/public/tmpl/cairo-pattern.sgml      |  154 +++++
 doc/public/tmpl/cairo-pdf.sgml          |   33 +
 doc/public/tmpl/cairo-png.sgml          |   40 ++
 doc/public/tmpl/cairo-ps.sgml           |   33 +
 doc/public/tmpl/cairo-quartz.sgml       |   11 +
 doc/public/tmpl/cairo-surface.sgml      |   75 +++
 doc/public/tmpl/cairo-win32.sgml        |   45 ++
 doc/public/tmpl/cairo-xcb-xrender.sgml  |   13 +
 doc/public/tmpl/cairo-xcb.sgml          |   35 ++
 doc/public/tmpl/cairo-xlib-xrender.sgml |   13 +
 doc/public/tmpl/cairo-xlib.sgml         |   35 ++
 doc/public/tmpl/cairo.sgml              | 1039 +++++++++++++++++++++++++++++++
 src/cairo-ft-font.c                     |    2 +-
 src/cairo-win32-font.c                  |    2 +-
 20 files changed, 1831 insertions(+), 3 deletions(-)

commit a3906e65aaca3a9aaee0f42e49a53585f684ef3e
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed Jun 15 12:44:52 2005 +0000

    Use a clip region when rendering a non-solid pattern through a rectangular path ... trapezoid rasterization is just too slow to use that path when we aren't forced to do so.

 ChangeLog          |  7 +++++++
 src/cairo-gstate.c | 25 ++++++++++++++++---------
 2 files changed, 23 insertions(+), 9 deletions(-)

commit fac3cd46b38d8ad45e0f6b1d112318cce289a8b4
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 15 10:58:52 2005 +0000

    (cairo_test_for_target): And add missing parenthesis.

 ChangeLog         | 1 +
 test/cairo-test.c | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 0b122003e7b1e45d28b535a5f5577544d1666510
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 15 10:56:31 2005 +0000

    Track removal of cairo_status_string.

 ChangeLog         | 4 ++++
 test/cairo-test.c | 3 ++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ac17f1ce68b829908e6329890b08eb7ef47d9910
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 15 10:54:00 2005 +0000

    Add cairo_finish to TODO list. Note that cairo_satus_string has now been removed.

 ChangeLog | 5 +++++
 TODO      | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 4834b8e7f0be882e08ce0166750eb69e161e2a2c
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 15 10:52:01 2005 +0000

    Remove cairo_status_string function which can now be replaced by:
    cairo_status_to_string (cairo_status (cr));
    This allows consistent handling of status values for things like cairo_pattern_status where there is now cairo_pattern_status_string function.

 ChangeLog   | 12 ++++++++++++
 src/cairo.c |  6 ------
 src/cairo.h |  6 ++----
 3 files changed, 14 insertions(+), 10 deletions(-)

commit e3c92f26134460117e58bf37bd6a5d2c90ca49a6
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 15 10:46:49 2005 +0000

    Add _cairo_error so we have a single function which all errors can pass through. This allows the user to set a breakpoint on error and will allow us to augment error handling later as necessary.
    Make all assignements to cr->status go through the new _cairo_error function. Remove CAIRO_CHECK_SANITY macro.

 ChangeLog   |  41 ++++
 src/cairo.c | 639 ++++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 400 insertions(+), 280 deletions(-)

commit e749cf524caafe1c20c8ceba510974abb490a67e
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 15 10:41:41 2005 +0000

    Remove cairo-atsui section since cairo-atsui.h is currently empty. Add cairo_path_data_type_t and cairo_path_data_t.
    Add pdf-clip and pdf-clip.pdf.

 ChangeLog                     | 8 ++++++++
 doc/public/cairo-sections.txt | 7 ++-----
 test/.cvsignore               | 2 ++
 3 files changed, 12 insertions(+), 5 deletions(-)

commit 476fe9a66e2be74e65fe2f4e42bda5f4c8b244a0
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Tue Jun 14 19:45:22 2005 +0000

    Implement path clipping and refactor _cairo_gstate_clip() out in three different functions corresponding to the three different clipping modes.
    Add NULL pointers for intersect_clip_path.
    New test case to exercise PDF clipping code.

 ChangeLog                  |  36 ++++++++
 src/cairo-glitz-surface.c  |   1 +
 src/cairo-gstate-private.h |  16 +++-
 src/cairo-gstate.c         | 222 +++++++++++++++++++++++++++++++--------------
 src/cairo-image-surface.c  |   1 +
 src/cairo-pdf-surface.c    | 101 +++++++++++++++++++--
 src/cairo-ps-surface.c     |   1 +
 src/cairo-quartz-surface.c |   1 +
 src/cairo-surface.c        | 116 +++++++++++++++--------
 src/cairo-win32-surface.c  |   1 +
 src/cairo-xcb-surface.c    |   1 +
 src/cairo-xlib-surface.c   |   1 +
 src/cairoint.h             |  71 +++++++++++----
 test/Makefile.am           |  11 ++-
 test/pdf-clip.c            | 134 +++++++++++++++++++++++++++
 15 files changed, 583 insertions(+), 131 deletions(-)

commit 663e39a63c6ae223dc3095d29fd95bc8885c74f2
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Jun 14 15:38:15 2005 +0000

    Remove Boolean 'drawable' parameter from the create_similar surface backend function since nothing anywhere is actually using this parameter.

 ChangeLog                  | 23 +++++++++++++++++++++++
 src/cairo-glitz-surface.c  |  9 ++++-----
 src/cairo-image-surface.c  |  1 -
 src/cairo-pdf-surface.c    |  1 -
 src/cairo-ps-surface.c     |  1 -
 src/cairo-quartz-surface.c |  1 -
 src/cairo-surface.c        |  6 ++----
 src/cairo-win32-surface.c  |  2 --
 src/cairo-xcb-surface.c    |  3 +--
 src/cairo-xlib-surface.c   |  3 +--
 src/cairoint.h             |  2 --
 11 files changed, 31 insertions(+), 21 deletions(-)

commit d2ddfe42a9d66a8b369afb75e6e758af145def3e
Author: Tor Lillqvist <tml@novell.com>
Date:   Tue Jun 14 14:12:00 2005 +0000

    Correct extents for text with a general tranform.

 ChangeLog              | 5 +++++
 src/cairo-win32-font.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit bb7eeeb7498dad5b6bd70d1497b049a80d77af11
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Jun 14 11:58:14 2005 +0000

    Remove comment suggesting ambiguity of whether cairo_get_target references the surface, (we decided as part of the API shakeup that cairo functions returning pointers to internal objects do not automatically take a reference).

 ChangeLog   | 7 +++++++
 src/cairo.h | 2 --
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 8084fb9b095fb28d39d26f223e73be1867d4f0bc
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 13 16:53:52 2005 +0000

    Add new _cairo_pattern_create_in_error.
    Propagate error values from cr->status to pattern->status.

 ChangeLog           |  9 +++++++++
 src/cairo-pattern.c | 31 +++++++++++++++++++++++++++++++
 src/cairo.c         |  4 +---
 src/cairoint.h      |  3 +++
 4 files changed, 44 insertions(+), 3 deletions(-)

commit 14ae3ce3ade3448f3c3d6ae0344ab4785afa96aa
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 13 16:36:40 2005 +0000

    No longer need to check for NULL after creating a pattern.
    Propagate status errors from pattern->status to cr->status.
    Originally 2005-05-08 Owen Taylor <otaylor@redhat.com>:
    src/cairo-pattern.c src/cairoint.h: If allocation of pattern objects fails, return special static nil pattern objects.
    If adding a color stop fails to allocate memory, set pattern->status. (And fix a memory leak.) Make public functions return when pattern->status is set, (and no longer return a cairo_status_t).
    src/cairo-pattern.c src/cairo.h doc/public/cairo-sections.txt: Add cairo_pattern_status()
    Check the status of gstate->source and of mask patterns passed in.

 ChangeLog                     |  25 ++++++
 doc/public/cairo-sections.txt |   1 +
 src/cairo-gstate.c            |  24 +++++-
 src/cairo-pattern.c           | 188 ++++++++++++++++++++++++++++++------------
 src/cairo.c                   |  34 +++++---
 src/cairo.h                   |  16 ++--
 src/cairoint.h                |   6 +-
 7 files changed, 219 insertions(+), 75 deletions(-)

commit 15fb5e0d27a1fc7743894792a168980363df5d71
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 13 16:35:03 2005 +0000

    Originally 2005-05-08 Owen Taylor <otaylor@redhat.com>:
    If cairo_create() fails, return a special static object, cairo_nil.
    Don't return early if cr->status is set. cr->status should not affect reference counting.
    Ignore any magic object with a reference count of -1.

 ChangeLog   | 14 ++++++++++++++
 src/cairo.c | 26 ++++++++++++++++++++++++--
 2 files changed, 38 insertions(+), 2 deletions(-)

commit 01e1844e9ceb58edb3ef6351f2163264611635fe
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jun 13 16:29:26 2005 +0000

    Originally 2005-06-02 Carl Worth <cworth@cworth.org>:
    Add a status field to cairo_path_t.
    Add documentation for the new approach for handling errors in these functions---always returning a valid pointer with at least a status. (cairo_append_path): Propagate path status errors to the context. Add note to documentation on initializing path->status.
    Add missing cairo_private qualifier to a couple functions.
    Track new status field in cairo_path_t. (cairo_path_destroy): Don't destroy cairo_path_nil. Add documentation. (_cairo_path_data_create): (_cairo_path_data_create_flat): (_cairo_path_data_append_to_context): Add documentation. (_cairo_path_data_create_in_error): New function to create a placeholder cairo_path_t just to propagate a cairo_status_t error.

 ChangeLog                     | 26 ++++++++++++
 src/cairo-path-data-private.h | 11 ++---
 src/cairo-path-data.c         | 98 ++++++++++++++++++++++++++++++++++++-------
 src/cairo.c                   | 50 +++++++++++++++++-----
 src/cairo.h                   |  1 +
 5 files changed, 156 insertions(+), 30 deletions(-)

commit 730fb40455118894d970c0cb1a9b37880660889e
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Jun 11 01:09:15 2005 +0000

    Make these functions static, which allows slightly less awkward error handling within them.

 ChangeLog          |  8 ++++++++
 src/cairo-gstate.c | 22 ++++++++++++++++------
 src/cairoint.h     | 13 -------------
 3 files changed, 24 insertions(+), 19 deletions(-)

commit df19a5aa7e0aa37a0d33eb3946f5492db0307ff3
Author: Carl Worth <cworth@cworth.org>
Date:   Sat Jun 11 00:06:04 2005 +0000

    Provide font-backend-specific macros for FONT_FAMILY_DEFAULT. Change CAIRO_FT_FONT_FAMILY_DEFAULT from "serif" to "" to allow the actual default to come from the system/user configuration.

 ChangeLog      |  7 +++++++
 src/cairoint.h | 10 +++++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

commit ff2dee65bdff0e3bce239a6617b7acb680d5ad27
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 10 23:47:23 2005 +0000

    Pull the enum out from inside cairo_path_data_t and give it a name of cairo_path_data_type_t. This allows C++ programs to see the enum values. It also allows variables to be declared of this type for manually constructing a cairo_path_t.

 ChangeLog   |  7 +++++++
 src/cairo.h | 14 ++++++++------
 2 files changed, 15 insertions(+), 6 deletions(-)

commit 4c37790a22a029332d182dc21bff4a72a976bbf8
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 10 13:23:24 2005 +0000

    Add 'consistent error handling' to 1.0 roadmap. (This isn't new, we just forgot to list it here before).
    Big cleanup to remove finished items. Also, split the file up to separate TODO items that affect the API from items that do not.

 ChangeLog | 3 +++
 ROADMAP   | 4 ++++
 2 files changed, 7 insertions(+)

commit 2a1c88064508938124c0700b8939303c579df188
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 10 13:19:45 2005 +0000

    Big cleanup to remove finished items. Also, split the file up to separate TODO items that affect the API from items that do not.

 ChangeLog |   8 ++-
 TODO      | 183 ++++++++++++++++++++++++++------------------------------------
 2 files changed, 83 insertions(+), 108 deletions(-)

commit 6cd484a4c0d6a6a67c1922746a2c21b5f46bff38
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 10 12:46:49 2005 +0000

    Originally: 2005-06-09 Carl Worth <cworth@cworth.org>
    Rework occurrences of 'if (status == CAIRO_STATUS_SUCCESS)' to use 'if (status)' instead where trivial.

 ChangeLog                | 14 ++++++++++++++
 src/cairo-pdf-surface.c  |  8 +++++---
 src/cairo-xcb-surface.c  | 16 ++++++++++------
 src/cairo-xlib-surface.c | 16 ++++++++++------
 4 files changed, 39 insertions(+), 15 deletions(-)

commit 31dcb954fe2b8269563dbcd05c9ce0c1ca2f9a16
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 10 12:18:20 2005 +0000

    Remove STATUS_OK macro which was not being used universally.

 ChangeLog                 | 18 ++++++++++++++++
 src/cairo-font.c          | 12 +++++------
 src/cairo-ft-font.c       |  6 +++---
 src/cairo-glitz-surface.c | 22 ++++++++++++--------
 src/cairo-gstate.c        | 52 +++++++++++++++++++++++------------------------
 src/cairo-image-surface.c |  6 +++---
 src/cairo-pattern.c       |  2 +-
 src/cairo-pdf-surface.c   |  4 ++--
 src/cairo-png.c           | 10 ++++++---
 src/cairo-surface.c       | 10 ++++-----
 src/cairo-win32-font.c    | 32 ++++++++++++++++-------------
 src/cairo-win32-surface.c | 34 ++++++++++++++++---------------
 src/cairo-xcb-surface.c   |  6 +++---
 src/cairo-xlib-surface.c  |  6 +++---
 src/cairoint.h            |  2 --
 15 files changed, 127 insertions(+), 95 deletions(-)

commit e6eef091152a7bcdcc6119224fa1aa1bfea5a823
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Jun 9 12:27:02 2005 +0000

    Remove trailing comma from enum values which gcc 4.0 does not want to see (Luis Villa). Closes bug #3502.

 ChangeLog   | 5 +++++
 src/cairo.h | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 23976d00b2cfb4640a0e0119247ae7d8f7f2ad73
Author: Owen Taylor <otaylor@redhat.com>
Date:   Thu Jun 9 07:26:40 2005 +0000

    Add
    -I$(top_builddir)/src for cairo-features.h (Tomasz Cholewo)

 ChangeLog        | 5 +++++
 test/Makefile.am | 7 ++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit c1c8c57b90659287e43c2fd591e74df4c696cb09
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 7 23:28:12 2005 +0000

    Font matrix was output incorrectly; the implicit mirror-in-y transformation was not computed correctly, missing a negation of the 'xy' component.

 ChangeLog               | 7 +++++++
 src/cairo-pdf-surface.c | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 4f2f520dcec441be34628d233456ad252ff14f58
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 16:45:46 2005 +0000

    Allow NULL as a valid value for several objects. That is, calling reference or destroy on these objects will simply do nothing, successfully.
    Remove extra whitespace.

 ChangeLog                 | 20 ++++++++++++++++++++
 src/cairo-atsui-font.c    |  1 -
 src/cairo-font.c          | 31 +++++++++++++++++++++++++++----
 src/cairo-ft-font.c       |  7 +++++++
 src/cairo-glitz-surface.c |  2 +-
 src/cairo-path-data.c     | 17 +++++++++++++++++
 src/cairo-pdf-surface.c   |  6 ++++++
 src/cairo-win32-font.c    |  3 +++
 8 files changed, 81 insertions(+), 6 deletions(-)

commit 7b4a65dba4b37111ec56b9cbb5d462bc08d4b0db
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Jun 3 16:40:15 2005 +0000

    When clipping, update the clip surface to a new surface the size of the intersection of the old clip surface and the extents of the new clip path.

 ChangeLog               |   6 ++++
 src/cairo-gstate.c      |  75 ++++++++++++++++++++++++++++++++++++++----------
 test/clip-twice-ref.png | Bin 751 -> 1191 bytes
 test/clip-twice.c       |   6 ++++
 4 files changed, 72 insertions(+), 15 deletions(-)

commit 7c47633b2c74e329f04b9f1ebde4c05c409d73c0
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 16:22:26 2005 +0000

    Remove unused cache->refcount and _cairo_cache_reference().
    Remove gratuitous nesting as recommended in CODING_STYLE.

 ChangeLog         |  9 +++++++++
 src/cairo-cache.c | 28 ++++++++--------------------
 src/cairo-hash.c  | 28 ++++++++--------------------
 src/cairoint.h    |  1 -
 4 files changed, 25 insertions(+), 41 deletions(-)

commit 756e991b91465c6da933368d66f19e54849815dd
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 16:16:44 2005 +0000

    Fix name of _cairo_user_data_array_destroy to be _cairo_user_data_array_fini.

 ChangeLog           | 8 ++++++++
 src/cairo-array.c   | 6 +++---
 src/cairo-font.c    | 2 +-
 src/cairo-surface.c | 2 +-
 src/cairoint.h      | 2 +-
 5 files changed, 14 insertions(+), 6 deletions(-)

commit 42c1fb7c918ceb7920ddc8b6b75b38fd757d3a06
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 16:08:28 2005 +0000

    Rename functions to match the naming scheme used by cairo-cache.c and all other users of it. Though it's quite likely that glitz had this right and now everything could be changed to match it instead. I'll save that for some day when we're cleaning up the cache code.

 ChangeLog                 | 12 ++++++++++++
 src/cairo-glitz-surface.c | 14 +++++++-------
 2 files changed, 19 insertions(+), 7 deletions(-)

commit 97ac61700ae8d2fcf055fdad12533671895f539b
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 15:56:52 2005 +0000

    Fix spelling errors.

 CODING_STYLE | 6 +++---
 ChangeLog    | 4 ++++
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 56990720358ea18b026f952101ddd674a5fbb268
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 15:54:40 2005 +0000

    Fix Freudian unwrapped line in paragraph describing why long lines should be wrapped.

 CODING_STYLE               | 5 +++--
 ChangeLog                  | 7 ++++++-
 src/cairo-gstate-private.h | 1 -
 3 files changed, 9 insertions(+), 4 deletions(-)

commit 36beed9bf1b3ddef42e0fb1a46035ed4a6afa4f7
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 14:51:57 2005 +0000

    Add CODING_STYLE document to standardize on some style issues.
    Standardize brace handling around all else clauses according to new CODING_STYLE guidelines.

 CODING_STYLE              | 211 ++++++++++++++++++++++++++++++++++++++++++++++
 ChangeLog                 |  21 ++++-
 src/cairo-atsui-font.c    |   6 +-
 src/cairo-cache.c         |   6 ++
 src/cairo-ft-font.c       |   5 +-
 src/cairo-glitz-surface.c |   6 +-
 src/cairo-gstate.c        |   4 +
 src/cairo-hash.c          |   6 ++
 src/cairo-matrix.c        |   2 +
 src/cairo-pattern.c       |  16 +++-
 src/cairo-pdf-surface.c   |   6 +-
 src/cairo-spline.c        |  16 ++--
 src/cairo-wideint.c       |   6 +-
 src/cairo-win32-font.c    |   3 +-
 src/cairo-xlib-surface.c  |  13 ++-
 15 files changed, 297 insertions(+), 30 deletions(-)

commit f87fd91bcf06a1e7a9332005b5d88d6b55c82548
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri Jun 3 10:28:42 2005 +0000

    Patch from Tomasz Cholewo <cholewo@ieee-cis.org>:
    Store the index of the checksum instea of a pointer to the location.

 ChangeLog               |  8 ++++++++
 src/cairo-pdf-surface.c | 10 +++++-----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit bb00e0fce5a92693e20fde64b039fd4d105b82eb
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Jun 3 09:38:39 2005 +0000

    Move internal convenience up from _cairo_gstate_set_source_solid to _cairo_set_source_solid so that all set_source functions flow through cairo_set_source.

 ChangeLog          |  9 +++++++++
 src/cairo-gstate.c | 18 ------------------
 src/cairo.c        | 20 ++++++++++++++++++--
 src/cairoint.h     |  4 ----
 4 files changed, 27 insertions(+), 24 deletions(-)

commit 4914eac983a92b7c424c217fdbaf13bb772cb1b9
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 1 13:36:20 2005 +0000

    Remove obsolete _cairo_gstate_set_target_surface, folding its contents into _cairo_gstate_init, most of which disappears due to constant folding. Ensure that gstate->next is initialized even if _cairo_pattern_create_solid fails.
    Remove unused _cairo_xcb_surface_set_clip_region.

 ChangeLog               | 11 +++++++++
 src/cairo-gstate.c      | 60 ++++---------------------------------------------
 src/cairo-xcb-surface.c |  8 -------
 3 files changed, 15 insertions(+), 64 deletions(-)

commit c56938e568b3c4a5118e2f050214bb1906329153
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 1 13:24:10 2005 +0000

    Rename CAIRO_OK to STATUS_OK. No intended changes in functionality.

 ChangeLog                 | 18 ++++++++++++++++++
 src/cairo-font.c          | 12 ++++++------
 src/cairo-ft-font.c       |  6 +++---
 src/cairo-glitz-surface.c |  6 +++---
 src/cairo-gstate.c        | 48 +++++++++++++++++++++++------------------------
 src/cairo-image-surface.c |  6 +++---
 src/cairo-pattern.c       |  2 +-
 src/cairo-pdf-surface.c   |  4 ++--
 src/cairo-png.c           |  6 +++---
 src/cairo-surface.c       | 10 +++++-----
 src/cairo-win32-font.c    | 26 ++++++++++++-------------
 src/cairo-win32-surface.c |  4 ++--
 src/cairo-xcb-surface.c   |  6 +++---
 src/cairo-xlib-surface.c  |  6 +++---
 src/cairoint.h            |  2 +-
 15 files changed, 90 insertions(+), 72 deletions(-)

commit 045ba795dabacbb9153015ce0d4cb0881cd0d863
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 1 13:19:52 2005 +0000

    Rename gstate->surface to gstate->target. No intended changes in functionality.

 ChangeLog                  |   6 +++
 src/cairo-gstate-private.h |   2 +-
 src/cairo-gstate.c         | 114 ++++++++++++++++++++++-----------------------
 3 files changed, 64 insertions(+), 58 deletions(-)

commit 6c62cf76435153c6fdc165d229ee02e52c5c0db5
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 1 13:13:10 2005 +0000

    Remove unused fields from cairo_gstate_t, (font_family, font_slant, font_weight). Reorder fields to match between declaration and initialization and to put the most problematic fields (surface and source) at the end. No intended changes in functionality.

 ChangeLog                  |  9 +++++++++
 src/cairo-gstate-private.h | 14 +++++---------
 src/cairo-gstate.c         | 14 +++++++-------
 3 files changed, 21 insertions(+), 16 deletions(-)

commit 707a2c97a1cb709ccf60899576467b898f658481
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 1 13:10:57 2005 +0000

    Add self-intersecting to the list of expected failures.

 ChangeLog        | 5 +++++
 test/Makefile.am | 1 +
 2 files changed, 6 insertions(+)

commit 48fbc201c787512076934c40f15e173dbff771c3
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 1 11:03:50 2005 +0000

    Add self-intersecting test which demonstrates the long-standing bug with stroking self-intersecting paths.

 ChangeLog                      |   9 +++++
 test/.cvsignore                |   1 +
 test/Makefile.am               |   3 ++
 test/self-intersecting-ref.png | Bin 0 -> 242 bytes
 test/self-intersecting.c       |  89 +++++++++++++++++++++++++++++++++++++++++
 5 files changed, 102 insertions(+)

commit 37a48e674c575eaf36a3d9e8d84ea21f70da9a5b
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Jun 1 00:29:24 2005 +0000

    Fix bug in converting box to rectangle that left clip_rect.height uninitialized, (leading to unpredictable, intermittent test failures).

 ChangeLog          | 7 +++++++
 src/cairo-gstate.c | 2 +-
 src/cairo-traps.c  | 2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 7bb6dfdaa2cd1c7b6c673edce27045678938bd18
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 31 16:05:06 2005 +0000

    Add new function cairo_status_to_string an reimplement cairo_status_string in terms of the new function.

 ChangeLog                               |  7 +++++++
 doc/public/cairo-sections.txt           |  1 +
 doc/public/tmpl/cairo-win32.sgml        |  2 --
 doc/public/tmpl/cairo-xcb-xrender.sgml  |  2 --
 doc/public/tmpl/cairo-xlib-xrender.sgml |  2 --
 src/cairo.c                             | 10 ++++++++--
 src/cairo.h                             |  3 +++
 7 files changed, 19 insertions(+), 8 deletions(-)

commit 63428d3cc77bc08d1db9e228ddf37a153a0cc221
Author: Olivier Andrieu <oliv__a@users.sourceforge.net>
Date:   Thu May 26 17:35:35 2005 +0000

    : Fix memory leak

 ChangeLog             |  7 ++++++-
 src/cairo-path-data.c | 16 ++++++++++++----
 2 files changed, 18 insertions(+), 5 deletions(-)

commit ae96f5db6cb357ae9432d66a9590e11e6c7d9cca
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 26 13:02:31 2005 +0000

    Split clipping into separate source and destination operand clips. By default, source operands are not affected by any client clipping. This matches the desired semantics for cairo. When this code is ported back to the X server, that will have to select the clipping option which clip source operands to the client clip.

 pixman/ChangeLog       | 15 +++++++++++++++
 pixman/src/iccompose.c | 20 +++++++++++++-------
 pixman/src/icimage.c   | 37 ++++++++++++++++++++++++++++++++-----
 pixman/src/icimage.h   |  9 ++++++---
 4 files changed, 66 insertions(+), 15 deletions(-)

commit 45a966f69528c86dd6e3d4736805803b80de9f9b
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 26 11:35:44 2005 +0000

    Replace nesting-only surface clipping with gstate contained serial-number tracked clipping sets that are loaded into the surface on demand just before each rendering operation. This permits multiple cairo_t contexts to reference a surface without regard to ordering of operations among the contexts.
    Also in this patch is a change to the xlib surface that creates two separate Pictures, one for source and one for destination operands which separates the source clipping from destination clipping. Cairo now specifies that sources are never clipped by any clipping applied to them as destinations.
    Move cairo_clip_t (renamed from cairo_clip_rec_t) from cairoint.h to cairo-gstate-private.h. Eliminate stack of clip state from surfaces. Add new surface clipping API.
    Manage clip objects entirely within the gstate, loading the whole thing into the surface just before drawing.
    Source surfaces need not have clipping modified as the surface interface now specifies that source surfaces are always unclipped.
    Eliminate nested clipping contexts, leaving clip management entirely to the gstate. Create new clip API for the gstate which uses per-surface serial numbers to match gstate clipping against current surface clipping values.
    Surfaces no longer track clipping regions at all, so the old _cairo_surface_get_clip_extents has been replaced with _cairo_surface_get_extents. For PDF/PS surfaces, this function is expected to return a rectangle covering the entire fixed point coordinate space to leave rendering unclipped by the surface.
    Region clipping capability is now signalled by a non-NULL function pointer in set_clip_region.
    Each surface now contains two Pictures, one for source and one for destination operands so that source operands are never clipped by destination clipping.
    CAIRO_STATUS_BAD_NESTING removed
    self-copy now passes (Xlib only, until libpixman changes land)
    reviewed by: krh, otaylor, cworth

 ChangeLog                  |  95 +++++++++++++++
 src/cairo-gstate-private.h |  30 ++++-
 src/cairo-gstate.c         | 286 ++++++++++++++++++++++++--------------------
 src/cairo-pattern.c        |  28 -----
 src/cairo-surface.c        | 292 ++++++++++++++++++++-------------------------
 src/cairo-xcb-surface.c    |   2 +-
 src/cairo-xlib-surface.c   | 123 ++++++++++++-------
 src/cairo.c                |   2 -
 src/cairo.h                |   7 +-
 src/cairoint.h             |  72 ++++++-----
 test/Makefile.am           |   1 -
 test/self-copy.c           |   3 +-
 12 files changed, 541 insertions(+), 400 deletions(-)

commit be903f4c2232bfa8b48c1dca60ad5cf65f403c77
Author: Olivier Andrieu <oliv__a@users.sourceforg.net>
Date:   Thu May 26 03:31:28 2005 +0000

    trivial doc fixes.

 ChangeLog   | 4 ++++
 src/cairo.c | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 17a5c3a3daef92ee1702edd4ca007590d5606ae6
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 24 16:08:39 2005 +0000

    Re-synch with latest from gtk-doc CVS tree.
    Add --only-section-tmpl option so that changes to inline documentation does not lead to churn in the .sgml template files.
    Commit new templates now that gtk-doc has ripped all the inline portions out.
    New template files added for new sections.
    Update to match current API.
    Make parameter names match those in the .c file and its documentation.

 ChangeLog                               |   33 +
 doc/public/.cvsignore                   |    3 +
 doc/public/Makefile.am                  |    3 +
 doc/public/cairo-sections.txt           |  102 ++-
 doc/public/tmpl/cairo-font.sgml         |  129 ----
 doc/public/tmpl/cairo-ft.sgml           |   36 -
 doc/public/tmpl/cairo-glitz.sgml        |    9 -
 doc/public/tmpl/cairo-matrix.sgml       |  157 -----
 doc/public/tmpl/cairo-pattern.sgml      |  151 -----
 doc/public/tmpl/cairo-pdf.sgml          |   21 -
 doc/public/tmpl/cairo-png.sgml          |   40 --
 doc/public/tmpl/cairo-ps.sgml           |   17 -
 doc/public/tmpl/cairo-quartz.sgml       |   11 -
 doc/public/tmpl/cairo-surface.sgml      |  145 ----
 doc/public/tmpl/cairo-win32.sgml        |   21 +
 doc/public/tmpl/cairo-xcb-xrender.sgml  |   21 +
 doc/public/tmpl/cairo-xcb.sgml          |   17 -
 doc/public/tmpl/cairo-xlib-xrender.sgml |   21 +
 doc/public/tmpl/cairo-xlib.sgml         |   26 -
 doc/public/tmpl/cairo.sgml              | 1108 -------------------------------
 gtk-doc.make                            |   26 +-
 src/cairo-xcb.h                         |    2 +-
 22 files changed, 177 insertions(+), 1922 deletions(-)

commit d41465d89a4df689d56d4a6cf06d6615ddf1b3ce
Author: Carl Worth <cworth@cworth.org>
Date:   Sun May 22 11:12:46 2005 +0000

    Protect less-than and greater-than symbols in documentation string.

 ChangeLog                        |  3 +++
 doc/public/tmpl/cairo-atsui.sgml |  9 ---------
 doc/public/tmpl/cairo-pdf.sgml   | 22 +++++-----------------
 doc/public/tmpl/cairo-ps.sgml    |  6 +++++-
 doc/public/tmpl/cairo-xcb.sgml   |  9 +++++++--
 doc/public/tmpl/cairo-xlib.sgml  | 17 ++++-------------
 doc/public/tmpl/cairo.sgml       |  1 +
 src/cairo.c                      |  2 +-
 8 files changed, 26 insertions(+), 43 deletions(-)

commit e90a5c89900ec2034628b8894ada7bef272326a6
Author: Carl Worth <cworth@cworth.org>
Date:   Sun May 22 09:08:23 2005 +0000

    Not that a patch has been submitted for consistent error handling.
    Fix documentation string for cairo_create so that it might actualyl appear in the manual.

 ChangeLog   | 8 ++++++++
 TODO        | 2 +-
 src/cairo.c | 4 ++--
 3 files changed, 11 insertions(+), 3 deletions(-)

commit b16dafe5539676874dff783ba1c31dc5a65cf9a4
Author: Carl Worth <cworth@cworth.org>
Date:   Wed May 18 10:23:48 2005 +0000

    Add -head to CAIRO_VERSION after tagging with SNAPSHOT_0_1_5.

 pixman/ChangeLog    | 5 +++++
 pixman/configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 17c740eb6bb7567a0ac70afd339d1a0cc0bb979e
Author: Carl Worth <cworth@cworth.org>
Date:   Wed May 18 10:13:14 2005 +0000

    Add notes for snapshot 0.1.5.
    Increment version to 0.1.5.

 pixman/ChangeLog    |  6 ++++++
 pixman/NEWS         | 18 ++++++++++++++++++
 pixman/configure.in |  2 +-
 3 files changed, 25 insertions(+), 1 deletion(-)

commit b1301f401336a29f63a8b5990969e03593f1808a
Author: Carl Worth <cworth@cworth.org>
Date:   Wed May 18 09:41:47 2005 +0000

    Add -head to CAIRO_VERSION after tagging with SNAPSHOT_0_5_0.

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit f083b21c76b3a3f542b93d32a40cd5deccc0c985
Author: Carl Worth <cworth@cworth.org>
Date:   Wed May 18 09:27:24 2005 +0000

    Clear pointers to NULL after destroying/freeing them.

 pixman/ChangeLog     |  5 +++++
 pixman/src/icimage.c | 12 +++++++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

commit 55a7bb718ffe9598b8c39902023e68355836592f
Author: Carl Worth <cworth@cworth.org>
Date:   Wed May 18 09:25:54 2005 +0000

    Declare pixman_fixed16_16_t properly as int32_t rather than just int. Reported by Lance Fetters.

 pixman/ChangeLog    | 5 +++++
 pixman/src/pixman.h | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit f030aec810d74a60a44c35bf7815b9e94743cd65
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 18:39:56 2005 +0000

    Added porting guide to help with transition to cairo 0.5 API.
    Added notes for snapshot 0.5.0
    Increment CAIRO_VERSION to 0.5.0

 ChangeLog     |   9 ++
 NEWS          | 304 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 PORTING_GUIDE | 257 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in  |   2 +-
 4 files changed, 571 insertions(+), 1 deletion(-)

commit 3f9573b7bb3f3066ad3e20908edd4af30cac3284
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 15:23:53 2005 +0000

    Bring up to date with Keith's latest improvements to cairo-xlib-surface.c: Add some comments about how and why masks are computed. Generalize overflow detection in mask computation. Expand on pixman format conversion comment. Fix the broken visual->format case.

 ChangeLog               | 11 +++++++++-
 src/cairo-xcb-surface.c | 53 ++++++++++++++++++++++++++++---------------------
 2 files changed, 40 insertions(+), 24 deletions(-)

commit f0923288c58f42bf45dc6658a504b14faec6df53
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 12:40:55 2005 +0000

    Two fixes from Kristion Høgsberg:
    Fix to close the file if we opened it.
    Grab the status from out of the stream _before_ we destroy the stream.

 ChangeLog                 | 12 ++++++++++++
 src/cairo-output-stream.c |  9 ++++++++-
 src/cairo-pdf-surface.c   |  5 ++++-
 3 files changed, 24 insertions(+), 2 deletions(-)

commit b4710711b8e39738587249f04a41ae99c5eae981
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 17 12:21:56 2005 +0000

    Add some comments about how and why masks are computed. Generalize overflow detection in mask computation. Expand on pixman format conversion comment.

 ChangeLog                |  7 +++++++
 src/cairo-xlib-surface.c | 32 ++++++++++++++++++++------------
 2 files changed, 27 insertions(+), 12 deletions(-)

commit e72c41f95b8ae262f82d9023174c88f4e9c02fe3
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 11:28:26 2005 +0000

    Fix documentation to not mention set_size for the _for_bitmap functions.

 ChangeLog                | 6 ++++++
 src/cairo-xcb-surface.c  | 6 +-----
 src/cairo-xlib-surface.c | 6 +-----
 3 files changed, 8 insertions(+), 10 deletions(-)

commit 5cc39a708c623cbe6a8c5efdad538778b2fbadd7
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 09:13:02 2005 +0000

    Remove #ifdef munging since we once again support either #if or #ifdef.

 ChangeLog             | 5 +++++
 RELEASING             | 7 +++++--
 util/cairo-api-update | 1 -
 3 files changed, 10 insertions(+), 3 deletions(-)

commit ec84ace5a6830778d29d36f9fc87361e8545f57b
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 09:08:23 2005 +0000

    Update instructions to match output of 'make distcheck'
    Add private headers and flesh out CLEANFILES so that 'make distcheck' actually passes.

 ChangeLog        | 9 +++++++++
 RELEASING        | 7 ++++---
 src/Makefile.am  | 4 ++++
 test/Makefile.am | 4 ++--
 4 files changed, 19 insertions(+), 5 deletions(-)

commit 366aa98a792460bda8de70bc7eb342950e214ce3
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 08:34:44 2005 +0000

    Fix more deprecation macros

 src/cairo.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 23b7ac25edae4992c78b20f02d538bd717799f95
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 08:26:37 2005 +0000

    Add a few more REPLACED_BY and DEPRECATED_BY definitions.
    Add some helpful warnings.

 ChangeLog             |  7 +++++++
 src/cairo.h           | 17 ++++++++++++++++-
 util/cairo-api-update |  8 ++++++++
 3 files changed, 31 insertions(+), 1 deletion(-)

commit f82a3b2b557c91be0f6e6e26f89c5f7ef90b426a
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 06:12:52 2005 +0000

    Add cairo-xlib-xrender.h which was missed from an earlier commit.

 ChangeLog       | 5 +++++
 src/Makefile.am | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 30d7ede3dfdc256180e4447debd0be6d69c699b7
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 06:11:32 2005 +0000

    Update cairo-xcb.h to provide the same style of interface as cairo-xlib.h.
    Update to match new cairo_xcb_surface_t create functions.

 ChangeLog               |  14 ++
 src/Makefile.am         |   2 +-
 src/cairo-xcb-surface.c | 410 ++++++++++++++++++++++++++++--------------------
 src/cairo-xcb-xrender.h |  62 ++++++++
 src/cairo-xcb.h         |  21 ++-
 test/cairo-test.c       | 115 ++++++++++++--
 6 files changed, 427 insertions(+), 197 deletions(-)

commit f67f5003df306de40416f24bc652fc4630cf5808
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 06:08:01 2005 +0000

    Avoid shifting 32-bit quanity by 32 bits, which is undefined behavior.

 ChangeLog                | 5 +++++
 src/cairo-xlib-surface.c | 5 +++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 0c05b23b3165ec6908c28f56b3446cf43dff44a2
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 06:05:13 2005 +0000

    Rework of cairo_xlib_surface create functions by Keith Packard:
    Add cairo_xlib_surface_create_with_render_format.
    Reduce Xlib constructors down to two simple forms. Add width, height to constructors and eliminate any synchronous size queries from the implementation.
    Update to match new cairo_xlib_surface_t create functions.

 ChangeLog                |  18 ++
 src/cairo-xlib-surface.c | 453 +++++++++++++++++++++++++----------------------
 src/cairo-xlib-xrender.h |  62 +++++++
 src/cairo-xlib.h         |  15 +-
 test/cairo-test.c        |  14 +-
 test/xlib-surface.c      |  10 +-
 6 files changed, 342 insertions(+), 230 deletions(-)

commit 84bc5a32d6b3ad366698c14a01f7a4898f1cd25c
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 05:58:01 2005 +0000

    Remove destroy_closure from cairo_output_stream_t interface.
    Remove destroy_closure argument from cairo_pdf_surface_create_for_stream. Rename width,height to width_in_points, height_in_points for better clarity.
    Brush a bunch of dust off of the PS backend and bring it up to date with the latest API conventions from the PDF backend. These include: accepting a filename rather than a FILE in the primary constructor, providing a stream-based interface for more flexibility, and accepting a surface size in device-space units (points) rather than inches.
    Make it a little more clear that the width and height being passed around are in units of points.
    Update to the latest cairo-ps.h changes as described above. Notice how much more sane things become now that the surface size is described in device-space units.

 ChangeLog                 |  27 ++++++++
 src/cairo-output-stream.c |  23 ++-----
 src/cairo-pdf-surface.c   |  13 ++--
 src/cairo-pdf.h           |  17 +++---
 src/cairo-ps-surface.c    | 153 ++++++++++++++++++++++++++++------------------
 src/cairo-ps.h            |  19 ++++--
 src/cairoint.h            |   1 -
 test/pdf-surface.c        |  11 ++--
 test/ps-surface.c         |  13 +---
 9 files changed, 164 insertions(+), 113 deletions(-)

commit 9bf26e8e73e0bafd7361ae38d485c9b9b17794b1
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 01:05:35 2005 +0000

    Add simple test for ps surface backend (modeled after pdf-surface.c).
    Add print message telling user to examine resulting file.

 ChangeLog          |  10 +++++
 test/.cvsignore    |   2 +
 test/Makefile.am   |   5 +++
 test/pdf-surface.c |   2 +
 test/ps-surface.c  | 122 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 141 insertions(+)

commit 189161118faeb3a6d5d7b625f16ffbef22231c93
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 00:54:09 2005 +0000

    Update PDF test case to make sure we're actually getting the right paper size, image scaling etc. And it should now be easier to see if cairo is happy by manually viewing the resulting PDF file.

 ChangeLog          |  7 ++++++
 test/pdf-surface.c | 62 ++++++++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 62 insertions(+), 7 deletions(-)

commit 9bf669a790cfda9950a8fa204de541133c671bd9
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 00:39:17 2005 +0000

    Fix to include cairo-xlib.h, (which also fixes test/xlib-surface.c).

 ChangeLog             | 5 +++++
 src/cairo-xlib-test.h | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 91dcaea6a2cd9a169e8b0a23a1a0902cd42b3a93
Author: Carl Worth <cworth@cworth.org>
Date:   Tue May 17 00:34:10 2005 +0000

    Update to the latest PDF surface API changes: use filename not FILE* and use surface dimension in points, not inches.

 ChangeLog          |  6 ++++++
 test/pdf-surface.c | 18 ++++++++----------
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 200bcda18859699832ea2cf8d86abd57b501aecc
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 16 22:31:36 2005 +0000

    Initialize op->stops[0].scale = 0.
    This scale value is used only when computing gradient values before the defined range, in which case stop 0 is used for both ends of the interpolation, making the value of 'scale' not actually matter, except that valgrind notices we're using an undefined value.

 ChangeLog           | 11 +++++++++++
 src/cairo-pattern.c |  7 +++++++
 2 files changed, 18 insertions(+)

commit e5b31bca7c0a7d7eb4dec303fb652c26652c3f60
Author: Carl Worth <cworth@cworth.org>
Date:   Mon May 16 15:05:56 2005 +0000

    Remove quarter-over test name accidentally added to Makefile.

 ChangeLog        | 6 ++++++
 test/.cvsignore  | 1 -
 test/Makefile.am | 3 ---
 3 files changed, 6 insertions(+), 4 deletions(-)

commit ea410111d38145e7c74558951b1d895ebaf6f8dc
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon May 16 11:41:42 2005 +0000

    Take a filename instead of a FILE pointer.

 ChangeLog                 |  7 +++++++
 src/cairo-output-stream.c | 20 +++++++++++++++++---
 src/cairo-pdf-surface.c   | 24 ++++++++++++------------
 src/cairo-pdf.h           | 10 ++++------
 src/cairoint.h            |  2 +-
 5 files changed, 41 insertions(+), 22 deletions(-)

commit 60b0a05df73cef4a67d111a282b20ce1fd5081e6
Author: Carl Worth <cworth@cworth.org>
Date:   Sat May 14 14:01:46 2005 +0000

    Brush the dust off the XCB backend and get it compiling and working again. This patch makes the XCB surface API match that of the Xlib surface API as of yesterday. But, it's already stale as the Xlib API changed again. So we'll need one more revision of the XCB backend before the next snapshot.
    Add support for testing of the xcb backend as well.

 ChangeLog               |  24 +++
 src/cairo-xcb-surface.c | 404 +++++++++++++++++++++++++++++++++++++++---------
 src/cairo-xcb.h         |  22 ++-
 test/.cvsignore         |   2 +
 test/Makefile.am        |   3 +
 test/cairo-test.c       |  47 +++++-
 test/cairo-test.h       |   2 -
 7 files changed, 427 insertions(+), 77 deletions(-)

commit 6a1af1999dfb79f05341ea6c4bf0e23795db01bc
Author: Carl Worth <cworth@cworth.org>
Date:   Sat May 14 13:51:59 2005 +0000

    Cleanup output a bit, move verbose messages to test-specific log file.

 ChangeLog           |  7 +++++++
 test/cairo-test.c   |  6 +++++-
 test/pdf-surface.c  |  1 +
 test/xlib-surface.c | 31 ++++++++++++++++++-------------
 4 files changed, 31 insertions(+), 14 deletions(-)

commit 53e6fdb8855ad7bc54ec40ebf6609cccb6eac54c
Author: Carl Worth <cworth@cworth.org>
Date:   Sat May 14 13:22:25 2005 +0000

    Fix the last commit so it actually compiles now.

 ChangeLog                | 8 +++++++-
 src/cairo-xlib-surface.c | 2 +-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 55366995b6783309493af8a9f88560b6ad3494ff
Author: Carl Worth <cworth@cworth.org>
Date:   Sat May 14 10:15:11 2005 +0000

    Fix a few documentation typos in the recent xlib surface rework.

 ChangeLog                |  7 +++++++
 src/cairo-xlib-surface.c | 17 +++++++++--------
 test/.cvsignore          |  1 +
 3 files changed, 17 insertions(+), 8 deletions(-)

commit 95859dc2c6975f072696374b90e1108626a99830
Author: Carl Worth <cworth@cworth.org>
Date:   Sat May 14 10:03:56 2005 +0000

    Add an #error if cairo-foo.h is included when cairo was compiled without support for the foo backend.

 ChangeLog          | 13 +++++++++++++
 src/cairo-atsui.h  |  3 +++
 src/cairo-ft.h     |  3 +++
 src/cairo-glitz.h  |  3 +++
 src/cairo-pdf.h    |  3 +++
 src/cairo-ps.h     |  3 +++
 src/cairo-quartz.h |  3 +++
 src/cairo-win32.h  |  6 ++++--
 src/cairo-xcb.h    |  3 +++
 src/cairo-xlib.h   |  3 +++
 10 files changed, 41 insertions(+), 2 deletions(-)

commit f797eaac1ce939a0a890ab2157f42d2ae3421dda
Author: Carl Worth <cworth@cworth.org>
Date:   Sat May 14 10:00:27 2005 +0000

    Update for change in cairo_pdf_surface_create which no longer accepts DPI values.

 ChangeLog          | 5 +++++
 test/pdf-surface.c | 3 +--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit bef4b1371676444e51dcd73f1ec52024265c1f5b
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri May 13 17:54:43 2005 +0000

    src/cairo-xlib-surface.c src/cairo-xlib.h doc/public/cairo-sections.txt: Drop the _for_pixmap() and _for_window() out of the create functions and use some lazy cleverness to sniff the information out as needed.
    src/cairo-xlib-surface.c src/cairo-xlib-test.h Makefile.am: add cairo_test_xlib_disable_render() to turn off RENDER for tests.
    Test various different types of Xlib surface creation.
    Remove left-over include of Xrender.h.

 ChangeLog                       |  16 +++
 doc/public/Makefile.am          |   1 +
 doc/public/cairo-sections.txt   |   5 +-
 doc/public/tmpl/cairo-xlib.sgml |  20 +---
 src/Makefile.am                 |   2 +-
 src/cairo-xlib-surface.c        | 190 +++++++++++++++++++----------
 src/cairo-xlib-test.h           |  55 +++++++++
 src/cairo-xlib.h                |  18 +--
 test/Makefile.am                |   5 +
 test/cairo-test.c               |   4 +-
 test/xlib-surface.c             | 260 ++++++++++++++++++++++++++++++++++++++++
 11 files changed, 479 insertions(+), 97 deletions(-)

commit 15ecc8776327ee076274d4234f36ab584956c073
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri May 13 14:04:22 2005 +0000

    Make this a varg function and use the new _cairo_output_stream_vprintf() function to format extra dict contents.
    Reimplement the printf logic so we can special case formatting of doubles to be locale independent and trim trailing zeros.

 ChangeLog                 |   9 +++
 src/cairo-output-stream.c | 156 ++++++++++++++++++++++++++++++++++++++++++----
 src/cairo-pdf-surface.c   |  86 +++++++++++++------------
 src/cairoint.h            |   5 ++
 4 files changed, 203 insertions(+), 53 deletions(-)

commit b9db66eb17754da628894a4e43943f3fbef88406
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Fri May 13 09:26:20 2005 +0000

    Rename cairo_pdf_surface_create_for_callback() to cairo_pdf_surface_create_for_stream(), and change PDF constructors to take width and height as points and move PPI setting to cairo_pdf_surface_set_ppi()

 ChangeLog               |   8 ++++
 src/cairo-pdf-surface.c | 120 +++++++++++++++++++++---------------------------
 src/cairo-pdf.h         |  23 +++++-----
 3 files changed, 73 insertions(+), 78 deletions(-)

commit 9ebf15e9600c5a5c741cd1540478bb18f236b55d
Author: Owen Taylor <otaylor@redhat.com>
Date:   Fri May 13 08:09:24 2005 +0000

    Fix misplaced goto.

 ChangeLog                | 5 +++++
 src/cairo-xlib-surface.c | 5 +++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 7c4a2b1d6e10808bac483b5f2b01efa70bca2c02
Author: Carl Worth <cworth@cworth.org>
Date:   Thu May 12 23:11:55 2005 +0000

    Fix image->data to be unsigned
    Track change in signedness of data member/parameter.

 ChangeLog                 | 13 +++++++++++++
 src/cairo-glitz-surface.c |  2 +-
 src/cairo-image-surface.c |  6 +++---
 src/cairo-xlib-surface.c  |  6 +++---
 src/cairoint.h            |  6 +++---
 5 files changed, 23 insertions(+), 10 deletions(-)

commit d5ca4e37d7b761ccc4fc500c5ba615526a4a38c7
Author: Carl Worth <cworth@cworth.org>
Date:   Thu May 12 23:09:58 2005 +0000

    Update xcb backend to compile after recent API changes:
    Fix missing return value. (_cairo_xcb_surface_acquire_source_image): Remove calls to non-existent cairo_surface functions. (_cairo_xcb_surface_set_matrix): Update for new matrix member names. (_cairo_xcb_surface_get_extents): Fix typo.

 ChangeLog               | 11 +++++++++++
 src/cairo-xcb-surface.c | 25 +++++++++++--------------
 2 files changed, 22 insertions(+), 14 deletions(-)

commit 949daa1bc98cdd34a6c3d7b3ca69fd06e88883e4
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 12 20:25:07 2005 +0000

    libpixman creates an A8 format object and sometimes forgets to destroy (when the bounds of the trapezoids are empty). Avoids creating the format object in that case.
    reviewed by: cworth

 pixman/ChangeLog    |  9 +++++++++
 pixman/src/ictrap.c | 13 ++++++++-----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit 27d9c575a77e0b6dc995e348c4877bc0092a4571
Author: Carl Worth <cworth@cworth.org>
Date:   Thu May 12 11:02:35 2005 +0000

    Add new test for bug in cairo_paint_with_alpha not transforming the source.
    Use a transformed copy of the source just like we do in all the other calls to cairo_surface_composite. Fixes the bug tested by test/paint-with-alpha.

 ChangeLog                     |  13 +++++++++
 src/cairo-gstate.c            |   6 +++-
 test/.cvsignore               |   1 +
 test/Makefile.am              |   3 ++
 test/paint-with-alpha-ref.png | Bin 0 -> 164 bytes
 test/paint-with-alpha.c       |  64 ++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 86 insertions(+), 1 deletion(-)

commit 52f41b7bf08a5e3a599ef6ebc7273f057ada4fa6
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 12 08:04:22 2005 +0000

    _get_mask_extents creates a pixman region but neglects to destroy it.
    reviewed by: otaylor

 ChangeLog          | 8 ++++++++
 src/cairo-gstate.c | 2 ++
 2 files changed, 10 insertions(+)

commit e4e5b1f00ded346f40c788fa9b6cfdd3164c1241
Author: Owen Taylor <otaylor@redhat.com>
Date:   Wed May 11 16:32:44 2005 +0000

    Handle more cases by assuming no-super-luminescent colors.

 ChangeLog                 |  5 +++++
 src/cairo-win32-surface.c | 12 ++++++++++--
 2 files changed, 15 insertions(+), 2 deletions(-)

commit b913a81c3482f4dc8bc452d91bfaf64b416523f3
Author: T Rowley <tim.rowley@gmail.com>
Date:   Wed May 11 16:01:56 2005 +0000

    Revive quartz backend.
    Set fill type repeat on source surface. (_cairo_glitz_surface_show_glyphs): Add missing cairo operator to glitz operator conversion. (_cairo_glitz_surface_show_glyphs): Only render glyphs with non zero size.
    Fix bounding box computation.

 ChangeLog                 |  21 +++++++++
 src/cairo-surface.c       |  18 ++++----
 src/cairo-win32-font.c    |  36 +++++++--------
 src/cairo-win32-surface.c | 111 +++++++++++++++++++++++++++++++++++++---------
 test/Makefile.am          |   5 ++-
 test/cairo-test.c         |   9 ++--
 6 files changed, 149 insertions(+), 51 deletions(-)

commit 3be31fee9ae5d1740f71ea829ba26df7569c976c
Author: Tor Lillqvist <tml@novell.com>
Date:   Wed May 11 15:39:26 2005 +0000

    Revive quartz backend.

 ChangeLog                  |   6 ++
